===============================================================================
Name: gutenprint-5_3_5

2025-03-11  <Solomon Peachy>	4eb8708b8e5d6cd768863e6498ea57689361909b

	Lines: +3, -3
	Files:	NEWS (+1, -1)
		README (+1, -1)
		configure.ac (+1, -1)

	Time to make 5.3.5 official

2025-03-06  <Solomon Peachy>	1026d33e0bfab355ed3b6bd5e968a6183019426b

	Lines: +55, -57
	Files:	src/main/canon-media.h (+2, -2)
		src/main/print-canon.c (+4, -4)
		src/main/print-escp2.c (+23, -25)
		src/main/print-escp2.h (+20, -20)
		src/main/print-version.c (+6, -6)

	Fix up more -Wsign-compare issues, in escp2, canon, and elsewhere.

2025-03-06  <Solomon Peachy>	465434b2a8727cef63ead4d913c40fb1e5704064

	Lines: +27, -28
	Files:	src/main/dither-ed.c (+3, -3)
		src/main/dither-eventone.c (+4, -4)
		src/main/dither-inks.c (+5, -5)
		src/main/dither-main.c (+8, -8)
		src/main/dither-ordered.c (+5, -6)
		src/main/dither-predithered.c (+2, -2)

	Partially revert the -Wsign-compare fixups

	This removes the fixups from the dithering code.

2025-03-05  <Solomon Peachy>	e7424a1052a8164b3294416ca1412abd2c1ba1b5

	Lines: +6, -9
	Files:	src/cups/backend_mitsud90.c (+2, -3)
		src/cups/backend_sinfonia.c (+2, -4)
		src/cups/backend_sinfonia.h (+2, -2)

	dyesub: backend: minor updates to silence build warnings

2025-03-05  <Solomon Peachy>	9451128f2dd01b30ef235fc92eca7ce02f0b4105

	Lines: +109, -112
	Files:	src/main/buffer-image.c (+0, -1)
		src/main/canon-modes.h (+3, -3)
		src/main/dither-ed.c (+3, -3)
		src/main/dither-eventone.c (+4, -4)
		src/main/dither-inks.c (+5, -5)
		src/main/dither-main.c (+8, -8)
		src/main/dither-ordered.c (+6, -5)
		src/main/dither-predithered.c (+2, -2)
		src/main/escp2-channels.c (+2, -2)
		src/main/module.c (+0, -1)
		src/main/print-canon.c (+16, -18)
		src/main/print-color.c (+15, -15)
		src/main/print-dpl.c (+12, -12)
		src/main/print-lexmark.c (+4, -4)
		src/main/print-pcl.c (+15, -15)
		src/main/print-ps.c (+4, -4)
		src/main/print-util.c (+1, -1)
		src/main/print-vars.c (+3, -3)
		src/main/xml.c (+4, -4)
		src/main/xmlppd.c (+2, -2)

	misc:  Correct a large pile of -Wsign-compare warnings

	Plenty more to go, but this goes a long way towards cleaning up
	superflous build warnings.

2025-03-05  <Solomon Peachy>	534b988574587fbb2f039b37a63f4df4a2c3cc55

	Lines: +20, -20
	Files:	src/main/print-dyesub.c (+20, -20)

	dyesub: flip the "extra" margin for 2x6*2 LANDSCAPE prints

	This moves the margin from the left to the right side, which bypasses
	a strange corner case causing garbled output under some circumstances.

2025-03-05  <Solomon Peachy>	cd1d4ef8ecd5014cdc31faf25759d4575ca6fa7d

	Lines: +4, -4
	Files:	src/cups/rastertogutenprint.c (+4, -4)

	cups:  Don't "adjust" margins if it's not needed

	(effectively this is no change except to logging output)

2025-03-04  <Solomon Peachy>	599908e0d56ca248aa19d1a06863cda56941cebd

	Lines: +43, -44
	Files:	src/main/print-dyesub.c (+43, -44)

	dyesub: Resolve all differing-signed comparison warnings

2025-03-04  <Solomon Peachy>	e157d6f9a5fac98541bbedbf97db7af94ed80f87

	Lines: +66, -86
	Files:	src/main/print-dyesub.c (+66, -86)

	dyesub: Centralize non-printer-specific resolution definitions

2025-03-04  <Solomon Peachy>	81f4047e85c29a8585f87b035027778ad9be351f

	Lines: +19, -21
	Files:	src/main/print-dyesub.c (+19, -21)

	dyesub:  Document flags and other constants

2025-02-12  <Solomon Peachy>	678f43f1cb3f2fb8825d42c30c9ed8be85c4126c

	Lines: +1, -2
	Files:	configure.ac (+1, -2)

	Pull in latest Georgian (ka) translation

	Minor fix for Russian (ru) as well.

2025-02-11  <Solomon Peachy>	146b185f54c068ea50241d070fbda6828e8b592d

	Lines: +1, -0
	Files:	src/main/print-util.c (+1, -0)

	i18n:  call textdomain() after bindtextdomain()

	Not sure why this wasn't done, but gettext docs show it as necessary.

2025-02-11  <Solomon Peachy>	80e177f61bbc7b4971499299e825589001e462f9

	Lines: +8, -1
	Files:	src/main/print-util.c (+8, -1)

	i18n:  don't crash if setlocale() fails

	The setlocale(3) man page states that "the return value is NULL if the
	request cannot be honored"

	It is not clear _why_ the call is failing, but we need to handle it
	as best we can.

2025-01-22  <Solomon Peachy>	5a352916d91fb8dc98300ae1123831b28858d923

	Lines: +12, -11
	Files:	src/cups/backend_sonyupdneo.c (+12, -11)

	dyesub: backend: Don't issue a USB reset for the Sony UP-DR80MD

	Only the B&W thermal models need the USB reset, this breaks the others

2025-01-21  <Solomon Peachy>	49953c583c8633aa91073540bc471ea8678e18c8

	Lines: +0, -0
	Files:	src/testpattern/Checksums/sums.5.3.5.xz (+0, -0)

	Update 5.3.5 checksums after some last minute bugfixes

2025-01-15  <Solomon Peachy>	37935022795b087521d26f4c867e2062228a920b

	Lines: +2, -2
	Files:	src/cups/backend_common.c (+2, -2)

	dyesub: backend:  Fix nasty regression in parsing IEEE1284 data

	This broke all of the newer Sony printers

2025-01-07  <Solomon Peachy>	eb761e474644eb8d46b5e7148a69ccf15e89cdc9

	Lines: +106, -76
	Files:	src/cups/backend_common.c (+10, -9)
		src/cups/backend_dnpds40.c (+2, -2)
		src/cups/backend_hiti.c (+4, -3)
		src/cups/backend_kodak8800.c (+17, -15)
		src/cups/backend_magicard.c (+4, -2)
		src/cups/backend_mitsu70x.c (+10, -3)
		src/cups/backend_mitsu9550.c (+4, -8)
		src/cups/backend_mitsud90.c (+22, -4)
		src/cups/backend_mitsup95d.c (+8, -5)
		src/cups/backend_shinkos1245.c (+5, -5)
		src/cups/backend_shinkos2145.c (+1, -1)
		src/cups/backend_sonyupd.c (+12, -4)
		src/cups/backend_sonyupdneo.c (+7, -15)

	dyesub: backend:  Resync with upstream

	The updated backend is needed for the copy generation changes
	in the previous two commits

2025-01-07  <Solomon Peachy>	1f334a2ebda065796967767521884f0ad3613c95

	Lines: +7, -5
	Files:	src/main/print-dyesub.c (+7, -5)

	dyesub:  Add a 'copy count' to  Mitsubishi D70 and D90 family spool format

2025-01-05  <Solomon Peachy>	cf4efff19671672d450a5bc7ac768c8cd4bbefdd

	Lines: +14, -14
	Files:	src/main/print-dyesub.c (+14, -14)

	dyesub:  Canon SELPHY, Kodak 1400, and Kodak 805 don't do hardware copies

2025-01-04  <Solomon Peachy>	5575f25b4b9e3662cabe04eb313b5cfe70f05e2d

	Lines: +5, -4
	Files:	src/cups/backend_dnpds40.c (+5, -4)

	dyesub: backend: dnp: More verbose panorama printing errors

2025-01-04  <Solomon Peachy>	b43f798dd7473bab228d38e22af9907a8c3acf19

	Lines: +44, -0
	Files:	src/cups/genppd.c (+30, -0)
		src/main/print-dyesub.c (+14, -0)

	cups:  Add conditional support for the PPD 'Collate' option

	Only supported by dyesub models that have hardware copy
	support _and_ use the backend.

2025-01-01  <Solomon Peachy>	95e8efcae16eb74897a95fd329c16b8da8719db0

	Lines: +4, -1
	Files:	src/main/print-dyesub.c (+4, -1)

	dyesub:  Correct copy generation with the Kodak 605.

	It has been broken since support was added.

	I guess this means nobody is actually using this in production.

2024-12-30  <Solomon Peachy>	746420fd0bcafc2679f71685795bf4d0969a08d0

	Lines: +3, -3
	Files:	src/main/print-dyesub.c (+3, -3)

	dyesub:  Correct size definitions for a few multicut sizes

	Kodak 8810:  8x4*3
	Mitsu CP-M1: 2x6*2
	Hiti  P52x:  2x6*4

	..Off-by-one in the border/margin regions

2024-12-27  <Solomon Peachy>	60c540fa475402c22843ef18c22e7dfd2fe6688d

	Lines: +82, -3
	Files:	src/main/color-conversions.c (+2, -0)
		src/main/curve.c (+2, -0)
		src/main/dither-ed.c (+4, -0)
		src/main/dither-eventone.c (+3, -0)
		src/main/dither-inks.c (+2, -0)
		src/main/dither-inlined-functions.h (+1, -0)
		src/main/dither-main.c (+4, -0)
		src/main/dither-ordered.c (+4, -0)
		src/main/dither-predithered.c (+2, -0)
		src/main/dither-very-fast.c (+3, -0)
		src/main/escp2-channels.c (+3, -0)
		src/main/escp2-driver.c (+5, -0)
		src/main/generic-options.c (+3, -0)
		src/main/print-canon.c (+13, -3)
		src/main/print-color.c (+2, -0)
		src/main/print-dither-matrices.c (+2, -0)
		src/main/print-dpl.c (+4, -0)
		src/main/print-dyesub.c (+9, -0)
		src/main/print-escp2.c (+6, -0)
		src/main/print-lexmark.c (+1, -0)
		src/main/print-papers.c (+2, -0)
		src/main/print-ps.c (+3, -0)
		src/main/print-weave.c (+2, -0)

	Fix up a large pile of unused-argument warnings

2024-12-27  <Solomon Peachy>	bafd69d0320238df4ba06f298501a3c90b777c67

	Lines: +38, -9
	Files:	src/main/module.c (+2, -0)
		src/main/path.c (+1, -1)
		src/main/print-lexmark.c (+23, -2)
		src/main/print-raw.c (+4, -0)
		src/main/printers.c (+2, -0)
		src/main/sequence.c (+6, -6)

	Another batch of compiler warning fixups.

2024-12-24  <Solomon Peachy>	b3531c2620f208034f2634e4d9a396e31e890169

	Lines: +3, -0
	Files:	src/cups/backend_common.h (+3, -0)

	dyesub: backend:  Explicitly disable -Wcast-qual

	We intentionally use consts in the public interface but need to
	manipulate them behind the scenes.  There may be a better way
	to deal with this but it causes a ton of warnings that drown out
	legit stuff.

2024-12-24  <Solomon Peachy>	f023bb669ba96358e7dfd91c8a87e8a78fc0eddd

	Lines: +60, -44
	Files:	src/cups/backend_sinfonia.c (+1, -1)
		src/cups/backend_sinfonia.h (+59, -43)

	dyesub: backend: Correct a harmless overflow in the common sinfonia code

2024-12-24  <Solomon Peachy>	bed07f0a4ad971bfd5c09c7ecb13320cc9219a1b

	Lines: +1, -1
	Files:	configure.ac (+1, -1)

	configure:  Don't use -pedantic in developer mode builds

	(it throws a ton of warnings about stuff that violates ISO C90 but we're
	 explicitly using C99 instead)

2024-12-20  <Solomon Peachy>	a426e7f481da17bf098f93cab7c350545ea97cf1

	Lines: +52, -18
	Files:	src/cups/cups-calibrate.c (+2, -0)
		src/cups/genppd.c (+28, -3)
		src/cups/i18n.c (+2, -2)
		src/cups/rastertogutenprint.c (+17, -12)
		src/main/array.c (+1, -1)
		src/main/bit-ops.c (+2, -0)

	cups:  Clean up all non-backend warnings.

2024-12-19  <Solomon Peachy>	d72fc1e119b65c2e79f5bc505e0de1801c9c1c78

	Lines: +86, -28
	Files:	include/gutenprintui2/gutenprintui.h (+3, -0)
		src/gutenprintui2/curve.c (+3, -0)
		src/gutenprintui2/gammacurve.c (+4, -0)
		src/gutenprintui2/panel.c (+64, -25)
		src/gutenprintui2/plist.c (+4, -3)
		src/gutenprintui2/print-image-thumbnail.c (+5, -0)
		src/gutenprintui2/ui-utils.c (+3, -0)

	libgutenprintui2:  Cleaning up warnings.

	Notably disable all deprecation warnings that come from the GTK headers

	...They aren't going anywhere in GTK2.

2024-12-19  <Solomon Peachy>	231078f887e664c6206e9fd69ee0f642cbcb6fcb

	Lines: +25, -22
	Files:	src/escputil/d4lib.c (+2, -0)
		src/escputil/escputil.c (+23, -22)

	escputil:  Clean up warnings.

2024-12-19  <Solomon Peachy>	cc7784f895fee84f5bd3ecb92f06841eca36483e

	Lines: +23, -10
	Files:	src/testpattern/printer_options.c (+3, -2)
		src/testpattern/printers.c (+2, -0)
		src/testpattern/testpattern.c (+18, -8)

	testpattern:  Clean up signedness comparison warnings

2024-12-19  <Solomon Peachy>	035481586a06a8ddaf8d9729078f46ed59170028

	Lines: +59, -50
	Files:	test/bjc-unprint.c (+5, -3)
		test/curve.c (+4, -4)
		test/escp2-weavetest.c (+2, -0)
		test/gen-printer-list.c (+3, -0)
		test/pcl-unprint.c (+9, -6)
		test/pixma_parse.c (+8, -8)
		test/testdither.c (+5, -9)
		test/unprint.c (+23, -20)

	tests:  Clean up a large pile of warnings

	(differing signedness in comparisons and unused variables)

2024-12-17  <Solomon Peachy>	15dc038c1dc127ad3805c827ef8945d6278d8c22

	Lines: +22, -11
	Files:	NEWS (+1, -1)
		src/cups/backend_mitsu.c (+6, -2)
		src/cups/backend_mitsu.h (+1, -1)
		src/cups/backend_mitsud90.c (+13, -6)
		src/xml/printers/dyesub.xml (+1, -1)

	dyesub:  The Mitsubishi CP-D90DW-SL is now supported.

2024-12-13  <Solomon Peachy>	fcede0874fa80fe8c4c5a3d5bf00440f534c57dc

	Lines: +0, -0
	Files:	src/testpattern/Checksums/sums.5.3.5.xz (added +0)

	Add checksums for 5.3.5

2024-11-30  <Solomon Peachy>	55b12dfb2f5908963c8ec7095b504d8cbe9dfd35

	Lines: +1, -1
	Files:	src/main/escp2-channels.c (+1, -1)

	escp2:  Correct incorrect inkgroup cache element storage

	We were looking things up with:

	   stp_refcache_find_item("escp2Inkgroup", name);

	But storing them with:

	   stp_refcache_add_item("escpInkgroup", name, igl);

	I don't know what performance difference this will make in practice but
	it's still clearly a bug.  The fix is to make them both use the same key.

	Reported-by: Simon Wang

2024-11-22  <Solomon Peachy>	c891d44b2ae12f70b73e89a003a2bc667c9b3a26

	Lines: +13, -2
	Files:	NEWS (+1, -0)
		README (+1, -1)
		src/cups/backend_mitsud90.c (+4, -1)
		src/cups/blacklist (+6, -0)
		src/xml/printers/dyesub.xml (+1, -0)

	dyesub: Add EXPERIMENTAL support for the Mitsubishi CP-D90DW-SL

	It is not known if the -SL variant needs a tweak to the command stream
	but this is the first step.

2024-10-24  <Solomon Peachy>	77f0b4dddf1e60e373c41c7f4d922cb7f2a310ab

	Lines: +4375, -1456
	Files:	.travis.yml (+0, -6)
		container-build/Dockerfile (+1, -2)
		doc/developer/cleanwarnings.pl (+1, -1)
		doc/gutenprint.dox.in (+2186, -645)
		doc/gutenprintui2.dox.in (+2186, -645)
		doc/users_guide/Makefile.am (+0, -23)
		scripts/autogen.sh (+1, -134)

	documentation:  Clean up some obsolete kruft (Eric Beck)

	 * Remove long-obsolete command tests that don't actually do anything but
	   give warning messages (openjade and related, and sgmltools)

	 * Clean up and update the two .dox.in files, removing the long unsupported
	   a4wide option and updating other items to modern dox file requirements.

	 * Remove jade and sgmltools from docker and travis build files

2024-10-04  <Solomon Peachy>	bd31a44383a663bfe33578d43dac7020cdca3f9c

	Lines: +2, -1
	Files:	configure.ac (+2, -1)

	Temporarily disable the new Georgian (ka) translation

	It has numerous strings that cause PPD validation failures.

	PPD has a strict 80 _byte_ limit on translation strings, causing
	a <80 _character_ string like this...

	   "თუ საჭიროა, საზღვრებში ჩასატევად გვერდის დაპატარავება"

	...to take up _149 bytes_.

	Some of these too-long strings are assembled from smaller ones, making
	this even omre of a mess.  There is no good solution, so I'm going to
	punt to get the tree back into working order.

2024-10-02  <Solomon Peachy>	ff7fc1bd9dd21886aa81fb054f848cc580eda3f4

	Lines: +1, -1
	Files:	configure.ac (+1, -1)

	Resync all translations with https://translationproject.org

	...Didn't realize Gutenprint was set up to use it.  Hopefully now I will
	get future notifications of updates.

	Three new translations were picked up:  Icelandic, Georgian, and Romanian.

2024-08-22  <Solomon Peachy>	00c23caa38bb9c40e95f7aafe949bb88e3c38e0d

	Lines: +153, -55
	Files:	src/cups/backend_common.h (+1, -0)
		src/cups/backend_hiti.c (+149, -55)
		src/cups/blacklist (+3, -0)

	dyesub:  backend:  Synchronize HiTi backend with upstream

	 * U826 support
	 * LUT lookup was broken
	 * Support for additiona print sizes
	 * Fixes for job/copy combining

2024-08-21  <Solomon Peachy>	f5e885c9a12a14286c78e46d394f547e9103e8e9

	Lines: +4, -0
	Files:	src/main/print-dyesub.c (+4, -0)

	dyesub: hiti: Add support for a psuedo-6x8-div4 mode.

2024-08-15  <Solomon Peachy>	c6ccc2027f668def4540e6ccd703db195204723e

	Lines: +45, -0
	Files:	src/main/print-dyesub.c (+45, -0)

	dyesub:  Add media variation support to the Joyspace U826

2024-08-15  <Solomon Peachy>	dc98115d001fff3dbb6848d94c782b268d5c2a02

	Lines: +1, -1
	Files:	src/main/print-dyesub.c (+1, -1)

	dyesub:  Fix regression in 4x6-div2 print size on the HiTi P51x series

2024-08-15  <Solomon Peachy>	8195e33f5de1a7b93262e97707ee50717f5f974a

	Lines: +1, -1
	Files:	src/xml/printers/dyesub.xml (+1, -1)

	dyesub:  Fix a typo in the U826's definition

2024-08-15  <Solomon Peachy>	0e6779b0e16bf42d46a704940a4a704dd2450a09

	Lines: +3, -0
	Files:	NEWS (+1, -0)
		README (+1, -0)
		src/xml/printers/dyesub.xml (+1, -0)

	dyesub: Add initial support for the Joyspace U826

	  * Still needs backend merged
	  * Still no clue media type variations

2024-08-15  <Solomon Peachy>	36f18f7638931aa3923b7991d97b231e5ee16207

	Lines: +1, -1
	Files:	src/main/print-dyesub.c (+1, -1)

	dyesub: Correct 5x6 definition for HiTi models.

2024-08-14  <Solomon Peachy>	d906c9838cd3513cdca9107fdb06a767f876ea65

	Lines: +4, -0
	Files:	src/main/print-dyesub.c (+4, -0)

	dyesub:  Add support for 6x5" print size to Hiti P52x/P7xx models

2024-08-12  <Solomon Peachy>	ed04346b34bb4ffe4e39996fb39c08e90e326824

	Lines: +4, -0
	Files:	src/main/print-dyesub.c (+4, -0)

	dyesub:  Add 6x6 print size to HiTi P520L/P525L

2024-08-11  <Solomon Peachy>	49bf3f77ccacaac14c4448a11c2b26f637d9b00e

	Lines: +2, -2
	Files:	configure.ac (+2, -2)

	configure.ac:  Fix up a mistake in the shared library versioning

2024-08-09  <Solomon Peachy>	c98c2dd89865eff0737a1c3940ee658967f1fc6b

	Lines: +4, -4
	Files:	src/main/print-dyesub.c (+4, -4)

	dyesub:  Double the the dimension fudging for "identical" sizes.

	IPP strongly recommends sizes differ by at least 0.5mm, but one point
	(1/72") is only 0.35mm.  So, double it.

	This shouldn't cause any adverse effects because the previous commit
	reduces the imageable area by the same amount as the increase of the
	paper dimensions, resulting in an identical image size.

2024-08-09  <Solomon Peachy>	5d6e2b8eb9c322da980028c0ab7eeed09c2b478d

	Lines: +68, -68
	Files:	src/main/print-dyesub.c (+68, -68)

	dyesub: Fix up a bunch of paper sizes and margins

	 * Missed many cases where multiple sizes had identical dimensions
	 * Every size that had slightly goosed dimensions needed to have the
	   nonprintable margin goosed by an equal amount.

	There are still probably some identically-dimensioned sizes in play.

2024-08-07  <Solomon Peachy>	a1d91ddf3599f2492216e09758e8e55b3d0a4f8c

	Lines: +8, -1
	Files:	NEWS (+6, -0)
		src/cups/genppd.c (+2, -1)

	genppd:  On Apple targets, disable use of "Custom" dimensions

	Without this, Apple's print dialogs crash completely on any printer
	that supports custom CD/DVD print sizes.

2024-08-04  <Solomon Peachy>	5865978487bc77970c97d4935c6cf6b86089d19f

	Lines: +2, -2
	Files:	src/xml/escp2/model/model_137.xml (+1, -1)
		src/xml/escp2/model/model_138.xml (+1, -1)

	Fix an error in the xml files from the previous commit.

	(This one's entirely on me)

2024-08-03  <Solomon Peachy>	d5d97f71f34f46ebd5bbb9ef15e80aa357d5165d

	Lines: +3239, -1
	Files:	NEWS (+2, -0)
		src/xml/escp2/inks/Makefile.am (+2, -0)
		src/xml/escp2/inks/pro_ultrachrome_t913x_ce.xml (added +620)
		src/xml/escp2/inks/pro_ultrachrome_t913x_se.xml (added +620)
		src/xml/escp2/media/Makefile.am (+2, -0)
		src/xml/escp2/media/pro_ultrachrome_t913x_ce.xml (added +932)
		src/xml/escp2/media/pro_ultrachrome_t913x_se.xml (added +935)
		src/xml/escp2/model/Makefile.am (+3, -1)
		src/xml/escp2/model/base/Makefile.am (+2, -0)
		src/xml/escp2/model/base/pro_ultrachrome_t913x_ce.xml (added +34)
		src/xml/escp2/model/base/pro_ultrachrome_t913x_se.xml (added +34)
		src/xml/escp2/model/model_137.xml (added +25)
		src/xml/escp2/model/model_138.xml (added +25)
		src/xml/printers/escp2.xml (+3, -0)

	Add support for the Epson SureColor P5000 series (Eric Beck)

2024-07-14  <Solomon Peachy>	0d2a22395bac2e1ce776ee2b0b6b0ab9ff69ce42

	Lines: +8, -8
	Files:	src/gutenprintui2/curve.c (+4, -4)
		src/gutenprintui2/gammacurve.c (+4, -4)

	UI:  Fix incorrect callback function prototypes for Curve & GammaCurve widgets

2024-07-14  <Solomon Peachy>	4528f52852efcf642bbd9128f170df084e2c8cb7

	Lines: +8, -3
	Files:	src/main/print-dpl.c (+8, -3)

	dpl:  Fix two potentially uninitialized variable scenarios

2024-07-14  <Solomon Peachy>	31df344ebfdf0839fae16e5a7a0ee094961af81b

	Lines: +0, -1
	Files:	src/main/print-pcl.c (+0, -1)

	pcl:  Get rid of a dangling 'else;' expression

2024-07-14  <Solomon Peachy>	d2323023f82255df879ece0ff4a96885c732c774

	Lines: +1, -1
	Files:	src/main/dither-ordered.c (+1, -1)

	minor syntax fixup to make the compiler happier.

2024-07-14  <Solomon Peachy>	aa12059a8a5f3ca738da91363e880f9ca2d7d461

	Lines: +2, -2
	Files:	src/main/print-dyesub.c (+2, -2)

	dyesub:  Fix incorrect signedness in comparsion

	This resulted in illegal characters being allowed in the Mitsu P93/P95
	commend fields

2024-07-14  <Solomon Peachy>	637876f351dcb2dc2b4e09c2ea0277cb16c62578

	Lines: +3, -3
	Files:	test/unprint.c (+3, -3)

	unprint:  Comment out a set-but-not-used variable.

2024-07-14  <Solomon Peachy>	2b1a856e83fd99c9b10bcba9bc9f09d5e1994078

	Lines: +1, -0
	Files:	test/pcl-unprint.c (+1, -0)

	pcl-unprint:  Add a missing break in a switch statement.

2024-07-14  <Solomon Peachy>	59ac6fd2ebf8e904034a287aa702ce18363f3ebd

	Lines: +1, -1
	Files:	src/gimp2/print.c (+1, -1)

	gimp2:  Document an intentional case statement fallthrough

2024-07-14  <Solomon Peachy>	36f135f5a78ae3b4097bdab414112ad88b88a4e9

	Lines: +3, -3
	Files:	configure.ac (+3, -3)

	configure:  More regiggering of compiler warnings.

	 * Add -Wno-sign-compare -Wno-unused-parameter to non-maintainer builds
	 * Move -Winline to maintainer builds

2024-07-13  <Solomon Peachy>	a95751bb91712fb7bc7fcd525bb322275e445459

	Lines: +2, -2
	Files:	include/gutenprint/printers.h (+1, -1)
		src/main/printers.c (+1, -1)

	Revert "API: stp_printer_model_count() now returns an 'unsigned int'"

	This reverts commit 85bfd7c08b1cac64dbb1f115322396a3045170a8.

2024-07-13  <Solomon Peachy>	1e3345e3a015b166eddab6f671517d1d3049d80d

	Lines: +251, -308
	Files:	src/cups/cups-calibrate.c (+0, -2)
		src/cups/genppd.c (+41, -19)
		src/cups/i18n.c (+2, -2)
		src/cups/rastertogutenprint.c (+10, -12)
		src/escputil/d4lib.c (+0, -3)
		src/escputil/escputil.c (+7, -8)
		src/gimp2/print-image-gimp.c (+0, -4)
		src/gimp2/print.c (+2, -11)
		src/gutenprintui2/panel.c (+12, -51)
		src/main/print-dyesub.c (+170, -177)
		src/testpattern/testpattern.c (+7, -16)
		src/xml/extract-strings.c (+0, -1)
		src/xml/printers/check_duplicate_printers.test.c (+0, -2)

	Revert "Fixing up -Wall -Wextra warnings, pass #1"

	This reverts commit 0e126dc4b9c47ced7718856645e07113236f5f5b.

2024-07-13  <Solomon Peachy>	6f8c0fd30b04c87db9c458c48263afbc35546224

	Lines: +266, -274
	Files:	src/main/canon-media-mode.h (+2, -2)
		src/main/channel.c (+46, -34)
		src/main/print-canon.c (+29, -29)
		src/main/print-color.c (+52, -54)
		src/main/print-dpl.c (+42, -53)
		src/main/print-pcl.c (+84, -83)
		src/main/print-ps.c (+6, -9)
		src/main/print-raw.c (+3, -8)
		src/main/xmlppd.c (+2, -2)

	Revert "Fixing up -Wall -Wextra warnings, pass #2"

	This reverts commit 1d6ff6afdb6e462bfd5199f862b80583a3ed1046.

2024-07-12  <Solomon Peachy>	1d6ff6afdb6e462bfd5199f862b80583a3ed1046

	Lines: +274, -266
	Files:	src/main/canon-media-mode.h (+2, -2)
		src/main/channel.c (+34, -46)
		src/main/print-canon.c (+29, -29)
		src/main/print-color.c (+54, -52)
		src/main/print-dpl.c (+53, -42)
		src/main/print-pcl.c (+83, -84)
		src/main/print-ps.c (+9, -6)
		src/main/print-raw.c (+8, -3)
		src/main/xmlppd.c (+2, -2)

	Fixing up -Wall -Wextra warnings, pass #2

2024-07-11  <Solomon Peachy>	75d59af47ee4efe02854a974cce09b8554ea5a9d

	Lines: +10, -0
	Files:	configure.ac (+2, -0)
		src/main/print-util.c (+8, -0)

	misc:  Use system strdup/strndup where possible

	If these are defined, make our stp_str[n]dup() functions alias to the
	system ones.

2024-07-11  <Solomon Peachy>	567f40b9dce785429d0075b1c46981ddf77cec4d

	Lines: +10, -7
	Files:	src/main/mxml-attr.c (+4, -3)
		src/main/mxml-file.c (+2, -1)
		src/main/mxml-node.c (+4, -3)

	mxml: replace strdup() with stp_strdup()

	We have the library function, might as well use it!

2024-07-11  <Solomon Peachy>	0e126dc4b9c47ced7718856645e07113236f5f5b

	Lines: +308, -251
	Files:	src/cups/cups-calibrate.c (+2, -0)
		src/cups/genppd.c (+19, -41)
		src/cups/i18n.c (+2, -2)
		src/cups/rastertogutenprint.c (+12, -10)
		src/escputil/d4lib.c (+3, -0)
		src/escputil/escputil.c (+8, -7)
		src/gimp2/print-image-gimp.c (+4, -0)
		src/gimp2/print.c (+11, -2)
		src/gutenprintui2/panel.c (+51, -12)
		src/main/print-dyesub.c (+177, -170)
		src/testpattern/testpattern.c (+16, -7)
		src/xml/extract-strings.c (+1, -0)
		src/xml/printers/check_duplicate_printers.test.c (+2, -0)

	Fixing up -Wall -Wextra warnings, pass #1

2024-07-11  <Solomon Peachy>	83457229d3ad52aa3c6f5fe602e7277ba7d0038e

	Lines: +8, -2
	Files:	configure.ac (+8, -2)

	configure:  Rejigger some of the CFLAGS we pass to the compiler

	 * Add -Wextra
	 * Drop redundant -Wformat and -Wnested-externs
	 * Drop -finline-limit=131072
	 * Move -Wstrict-protoytpes to maintainer builds
	 * Add -Wno-deprecated-declarations for non-maintainer builds
	 * Move -std=c99 -D_POSIX_C_SOURCE=200809L into its own line

2024-07-11  <Solomon Peachy>	85bfd7c08b1cac64dbb1f115322396a3045170a8

	Lines: +2, -2
	Files:	include/gutenprint/printers.h (+1, -1)
		src/main/printers.c (+1, -1)

	API: stp_printer_model_count() now returns an 'unsigned int'

2024-07-11  <Solomon Peachy>	76f73135550d4a6ca7a0fd082e76e9ef932ea6fd

	Lines: +1, -0
	Files:	src/gutenprintui2/panel.c (+1, -0)

	libgutenprintui2: Fix missing 'break' when handling STP_PARAMETER_TYPE_CURVE

2024-07-09  <Solomon Peachy>	c194b712fc6b59d881ddeec90d5bee2d0e667c90

	Lines: +2, -2
	Files:	src/main/print-canon.c (+2, -2)

	Canon: Increase CD horizontal/vertical adjustment range

	Was +- 15, increased to +- 250.

	See https://sourceforge.net/p/gimp-print/bugs/741/

	This is necessary for the Pixma iP7260 and iP8760, and likely others.

2024-07-06  <Solomon Peachy>	e32a4b9496060195aad9776a0ad11f12e51f7cbb

	Lines: +5, -2
	Files:	NEWS (+5, -2)

	NEWS: Minor corrections

	Naturally these issues were not discovered until after the tag was cut
	and a tarball uploaded.

2024-07-06  <Solomon Peachy>	b2efe5aecf00e71b04db909668df0306d06702b3

	Lines: +97, -84
	Files:	NEWS (+67, -41)
		README (+20, -39)
		README.package (+6, -0)
		configure.ac (+4, -4)

	Prep for 5.3.5

	 * Report version as '5.3.5-pre1'
	 * Bump binary ages of main library and UI library
	 * Keep API revision the same
	 * Update NEWS to reflect what was added since 5.3.4 tarball
	 * Update NEWS to reflect deprecated MacOS support

2024-06-25  <Solomon Peachy>	6665bfaaf0f5e3a82ca657675541787634197009

	Lines: +1, -3
	Files:	src/cups/commandtodyesub.c (+1, -3)

	Fix two warnings in commandtodyseub

2024-06-25  <Solomon Peachy>	88c7fa3690fd792d7c6a59a41f4f52936fec0e7e

	Lines: +2, -0
	Files:	configure.ac (+2, -0)

	configure:  Use '-Og' in DEBUG builds (along with '-g')

	(This is per GCC recommendations)

2024-06-25  <Solomon Peachy>	130b23434b0d67a586f2234e4bf6850b976a4efe

	Lines: +1, -1
	Files:	src/main/channel.c (+1, -1)

	Revert "Fix BUS_ADRALN crash on sparcv9 due to unaligned ULL access (Martin Rehak)"

	This reverts commit d3d008fb9dddf28af67fe23a0b7c67fb12d6bfa6.

	It is subtly wrong, but also exposes what appears to be an unrelated
	test failure.

2024-06-24  <Solomon Peachy>	d3d008fb9dddf28af67fe23a0b7c67fb12d6bfa6

	Lines: +1, -1
	Files:	src/main/channel.c (+1, -1)

	Fix BUS_ADRALN crash on sparcv9 due to unaligned ULL access (Martin Rehak)

	Reported in ticket #737, which included a patch.

	Basically we cast a short* to a longlong*, and dereference it.

2024-06-24  <Solomon Peachy>	b29f4976d22316acd57693e488b0ff42f8fc18f5

	Lines: +1, -0
	Files:	src/xml/printers/pcl.xml (+1, -0)

	PCL:  Add an entry for the Sharp MX-2600N, as a duplicate of the 2300N.

	Reported to work in #751

2024-06-24  <Solomon Peachy>	ea5b922936f5aee3ddca52a5ad1c91b4efe9b0a2

	Lines: +1386, -904
	Files:	src/cups/backend_canonselphy.c (+31, -30)
		src/cups/backend_canonselphyneo.c (+15, -13)
		src/cups/backend_common.c (+86, -26)
		src/cups/backend_common.h (+34, -14)
		src/cups/backend_dnpds40.c (+37, -39)
		src/cups/backend_hiti.c (+365, -174)
		src/cups/backend_kodak1400.c (+15, -13)
		src/cups/backend_kodak605.c (+14, -18)
		src/cups/backend_kodak6800.c (+12, -16)
		src/cups/backend_kodak8800.c (+10, -8)
		src/cups/backend_magicard.c (+16, -15)
		src/cups/backend_mitsu.c (+2, -2)
		src/cups/backend_mitsu.h (+6, -6)
		src/cups/backend_mitsu70x.c (+47, -21)
		src/cups/backend_mitsu9550.c (+23, -20)
		src/cups/backend_mitsud90.c (+469, -348)
		src/cups/backend_mitsup95d.c (+9, -7)
		src/cups/backend_shinkos1245.c (+12, -10)
		src/cups/backend_shinkos2145.c (+14, -11)
		src/cups/backend_shinkos6145.c (+22, -23)
		src/cups/backend_shinkos6245.c (+14, -12)
		src/cups/backend_sinfonia.c (+41, -32)
		src/cups/backend_sinfonia.h (+25, -7)
		src/cups/backend_sonyupd.c (+24, -19)
		src/cups/backend_sonyupdneo.c (+24, -20)
		src/cups/blacklist (+19, -0)

	dyesub: backend:  Resync with upstream

	 * HiTi models
	   * 5" prints now work
	   * P510 series now uses proper heat tables
	   * Can report countners for 6x9 and 5x7" prints
	 * Mitsubishi models
	   * W5000 fixes
	   * D90 panorama improvements (untested)
	   * CP98xx image pipeline fixes
	   * D80 superfine/rewind fixes
	 * DNP models
	   * iSerial reporting for latest D40/D80 firmware
	 * Static analyzer fixes
	 * Internal refactoring

2024-04-11  <George Matsumura>	32bc092dcb30406346eceb5641d5c9b38331ef31

	Lines: +10, -70
	Files:	configure.ac (+9, -69)
		scripts/global.mk (+1, -1)

	build: Move expansion of pathnames to build time

	This corrects errors in expansion encountered under the previous
	scheme, and is in line with autoconf recommendations.

2024-04-08  <George Matsumura>	a3c481c9c0eb7ef85719fcc0731b65d824e5753f

	Lines: +3, -1
	Files:	src/main/printers.c (+3, -1)

	core: Use correct function to find printer list length

	By using stp_printer_model_count instead of stp_list_get_length,
	the list is created in the case when no modules were found and the
	list did not exist before. This prevents a segfault and prints a
	helpful warning message.

2024-03-17  <Solomon Peachy>	bbd5bdb222eaeec5db02f8ab23d6658a880a6654

	Lines: +27, -43
	Files:	src/cups/backend_mitsu70x.c (+27, -43)

	backend: dyesub:  Fixes for the Mitsubishi D70 familuy of printers

	 * Prevent double-processing of images
	 * Fix page combining for EK305 and CP-K60
	 * Get rid of an incorrect non-library-present fallback path.

2024-01-07  <Solomon Peachy>	0cfb70b124ce839e79689bf63ea24b0de651170d

	Lines: +2, -2
	Files:	src/main/print-dyesub.c (+2, -2)

	dyesub:  Fix panorama size generation for the Mitsubishi CP-D90

	(Needs additional backend work, not yet committed!)

2024-01-03  <Solomon Peachy>	39cd962f01d53f228574c1681048eaebf0aa3125

	Lines: +3, -2
	Files:	src/cups/backend_mitsu.c (+2, -1)
		src/cups/backend_mitsu.h (+1, -1)

	dyesub: backend:  Properly report Fujifilm 'N' media variants.

	(eg RK-CF800N is the 'N'ewer version of the RK-CF800 media)

2023-12-31  <Solomon Peachy>	f4c16e43f4afcda3638f44bebaf77f8f50ee1978

	Lines: +12, -1
	Files:	src/cups/backend_mitsu.c (+11, -0)
		src/cups/backend_mitsu.h (+1, -1)

	dyesub: backend:  Add fallback media type reporting for mitsubishi-based models

	This way we can report the correct media size even if we don't
	recognize the media's manufacturer code.  It will be reported as
	(eg) "Unknown (5x7)"

2023-12-30  <Solomon Peachy>	1de58661ea8b6cc9c78642d05d9890cceb55e61d

	Lines: +1, -1
	Files:	src/cups/Makefile.am (+1, -1)

	dyesub: backend:  Fix backend_panodata.h not making it into dist tarballs

2023-12-30  <Solomon Peachy>	b80c54f4fb7ead31a9b8f7127abbd36792de04c3

	Lines: +30, -3
	Files:	src/cups/backend_dnpds40.c (+30, -3)

	dyesub: backend: The Citizen CX-O2 model also supports panorama prints

2023-12-30  <Solomon Peachy>	9a039b331bf2df94a0a9c6b1b19bab356f53493b

	Lines: +2, -2
	Files:	src/cups/backend_hiti.c (+2, -2)

	dyesub: backend: hiti:  Fix swapped arguments rendering an optimization useless

2023-12-28  <Solomon Peachy>	0662fe031d26e9f187ccc69cd8a6ea3df2675ea4

	Lines: +1371, -166
	Files:	NEWS (+1, -0)
		src/cups/backend_dnpds40.c (+1226, -134)
		src/cups/backend_panodata.h (added +24)
		src/main/print-dyesub.c (+120, -32)

	dyesub:  Support discrete and continuous panoramas on the DNP DS620 and DS820

2023-12-28  <Solomon Peachy>	f3b0072492a1378803b11aa84b6069e555f06d01

	Lines: +4, -2
	Files:	src/main/print-dyesub.c (+4, -2)

	dyesub: dnp/citizen:  Fill out the DIB palette header

	Their windows drivers fill out a 256-entry table: ffffff00,
	fefefe00, ..., 00000000.

	It appears that the hardware completely ignores this data, but the
	space needs to be allocated regardless.

2023-12-22  <Solomon Peachy>	5808d86419ef34e87e66ae825961f7f05bb94bcd

	Lines: +25, -34
	Files:	README (+2, -2)
		doc/README.maintaining (+23, -32)

	docs: Replace all references to CVS with git

2023-12-22  <Solomon Peachy>	75af7caf4d3369de2d0c5432220da15fae64f58b

	Lines: +2, -2
	Files:	src/gimp2/print.c (+2, -2)

	gimpui:  Fix two implicit-pointer-cast-to-int instances

	(The GIMP API uses an opaque 32-bit "handle")

2023-12-12  <Solomon Peachy>	6a3da77308f29e70d561e9001e067524fffc67ac

	Lines: +914, -891
	Files:	NEWS (+2, -0)
		src/cups/backend_common.c (+6, -5)
		src/cups/backend_common.h (+8, -2)
		src/cups/backend_hiti.c (+720, -753)
		src/cups/backend_mitsu.h (+2, -2)
		src/cups/backend_mitsu9550.c (+167, -129)
		src/cups/blacklist (+9, -0)

	dyesub: backend: Improvements for the HiTi and Mitsubishi CP98xx families

	 * Newer HiTi models can finally use the v2 heat tables!
	 * Handle HiTi P52x hardware variations
	 * Job parsing fixes for CP95xx/CP98xx family
	 * Support the CP9500-S, CP9600-S, CP9820-S variations

2023-12-09  <Solomon Peachy>	5c659faf40ad761f892180d4057014c48af79611

	Lines: +1, -1
	Files:	src/main/print-dyesub.c (+1, -1)

	dyesub: HiTi P461 now has at least three media "versions" (0,1,2)

2023-12-05  <Solomon Peachy>	2ef8ba2470af4a8b7aeec0399d0f85f8975d3436

	Lines: +63, -58
	Files:	src/main/print-dyesub.c (+63, -58)

	dyesub:  Differentiate all multicut sizes with slightly different dimensions

	Eg a 4x6" print is w288h432, but a 2x6*2 becomes w288h433 instead.

	This matters because "intelligent" clients like Apple Airprint look up
	print sizes solely using their dimensions, not the internal name or
	display string, resulting in a 2x6*2 print being incorrectly treated as
	a 4x6.

	By using slightly different dimensions for the multicut variations
	this prevents this problem from occurring.

2023-12-05  <Solomon Peachy>	b07be69429ef23c83a8ec283d3bb0dc7e7846ffd

	Lines: +511, -511
	Files:	src/main/print-dyesub.c (+511, -511)

	dyesub:  Convert now-defunct use of the 'PT1' macro to normal 'PT'

	Before we could have non-integer point dimensions, we used the PT1
	macro to round up a given dimension to the next highest integer value.
	This matters because the dyesub models are nearly all full-bleed, and the
	truncation/round-down could result in white margins.

	When we added fractional dimensions, the PT1 macro became superfluous, and
	was #defined to be the same as the original PT macro.

	After that was converted, create a new PT1 macro that is defined as
	PT(x) + 1 The intent is to use this to differentiate print sizes that
	have the same on-printer dimensions but act differently, eg having additional
	cuts.

2023-11-30  <Solomon Peachy>	7e5ec9b690ee821917a509cf9d14f0c2c694149a

	Lines: +11, -6
	Files:	src/cups/backend_mitsud90.c (+11, -6)

	dyesub: backend:  Pull in latest Mitsubishi W5000/D90/M1/M15 code

	(Picks up a few safety checks)

2023-11-21  <Solomon Peachy>	5d76cb066c7930b1d240a75bbe21fa8bfae1e273

	Lines: +48, -38
	Files:	src/cups/backend_sonyupd.c (+48, -38)

	dyesub: backend: Fix major issue with ASK-2500 and DPB-7000 printers

2023-11-01  <Solomon Peachy>	376005042fcd27b40a470b1a8cd918e034131a7c

	Lines: +2, -2
	Files:	src/cups/backend_sonyupd.c (+2, -2)

	dyesub: backend:  sonyupd: Job-specified copy counts weren't working

2023-11-01  <Solomon Peachy>	e29bbc4ca41044cbbd9b2ae57f1cde2ea71cbf1d

	Lines: +13, -7
	Files:	src/main/print-canon.c (+4, -0)
		src/main/print-dpl.c (+1, -1)
		src/main/print-pcl.c (+2, -2)
		src/main/print-ps.c (+6, -4)

	Silence some build warnings with extra pedandic modern compilers

2023-10-29  <Solomon Peachy>	a583b6a0024dd678a08841f86fa357c845b22e45

	Lines: +52, -51
	Files:	NEWS (+1, -1)
		src/cups/backend_common.h (+1, -1)
		src/cups/backend_sonyupd.c (+27, -27)
		src/main/print-dyesub.c (+21, -21)
		src/xml/printers/dyesub.xml (+2, -1)

	dyesub:  It's the Sony UP-D711MD, not 771

2023-10-20  <Solomon Peachy>	08f4473ee0eef9b6a34387e281548c8a85a039f4

	Lines: +604, -35
	Files:	NEWS (+1, -0)
		src/cups/backend_common.h (+1, -0)
		src/cups/backend_sonyupd.c (+263, -35)
		src/cups/blacklist (+3, -0)
		src/main/print-dyesub.c (+335, -0)
		src/xml/printers/dyesub.xml (+1, -0)

	dyesub:  Support for the Sony UP-D771MD A7 thermal printer

2023-10-17  <Bernhard M. Wiedemann>	cd85016230120da0db71c98e375b37780242ef56

	Lines: +4, -1
	Files:	configure.ac (+4, -1)

	Allow to override build date with SOURCE_DATE_EPOCH

	in order to make builds reproducible.
	See https://reproducible-builds.org/ for why this is good
	and https://reproducible-builds.org/specs/source-date-epoch/
	for the definition of this variable.

	Also consistently use ISO 8601 date format to be understood everywhere.

	Also use UTC to be independent of timezone.

	This patch was done while working on reproducible builds for openSUSE.

2023-10-08  <Solomon Peachy>	c7cb8cf500a634db11ce0319b85de5da4322a720

	Lines: +2, -2
	Files:	src/cups/backend_hiti.c (+2, -2)

	dyesub: backend:  Fix matte printing on HiTi models

2023-10-08  <Solomon Peachy>	c7d0a855390bf836a4215649c05b51a4fac81c8a

	Lines: +4, -5
	Files:	src/cups/backend_mitsu.h (+1, -1)
		src/cups/backend_mitsu70x.c (+3, -4)

	dyesub: backend:  Correct version strings in mitsu backend

2023-10-08  <Solomon Peachy>	e33f97c0cea65390e84a0874f32e72be3f85b186

	Lines: +34, -5
	Files:	src/cups/backend_dnpds40.c (+19, -2)
		src/cups/backend_magicard.c (+8, -2)
		src/cups/backend_sonyupd.c (+7, -1)

	dyesub: backend:   Prevent some potential buffer overflows with malformed files

	Affecting the DNP/Citizen family, Magicard, and (older) Sony models.

2023-10-05  <Solomon Peachy>	40cc8a6fb32fe7cb8d3c2fc18e247020436ff5ef

	Lines: +209, -55
	Files:	NEWS (+2, -0)
		src/cups/backend_common.h (+1, -0)
		src/cups/backend_sonyupd.c (+199, -52)
		src/cups/blacklist (+4, -0)
		src/main/print-dyesub.c (+3, -3)

	dyesub: backend: Support for the Fujifilm ASK-2500

	....the ASK-2000 and ASK-4000 should work.

2023-08-29  <Solomon Peachy>	d1fc7f8316a98446f392d51c18c6ba8ab355792e

	Lines: +1, -1
	Files:	src/xml/printers/dyesub.xml (+1, -1)

	dyesub:  Add IEEE1284 deviceid for Fujifilm ASK-2500

2023-08-28  <Alexander Guz>	d3a266c999782c5ffc7b5ae7da40b8055b265a51

	Lines: +4, -0
	Files:	src/main/mxml-attr.c (+2, -0)
		src/xml/extract-strings.c (+2, -0)

	missed sentinel around config.h

2023-08-27  <Alexander Guz>	3e63389121166f8898271d05f25ca4df44f2b65a

	Lines: +6, -0
	Files:	src/main/mxml-file.c (+2, -0)
		src/main/mxml-node.c (+2, -0)
		src/main/mxml-search.c (+2, -0)

	missed sentinel around config.h

2023-08-27  <Alexander Guz>	ce806f91f68befa0eae957d9085db67c59e6f9c1

	Lines: +8, -6
	Files:	src/main/printers.c (+8, -6)

	float values should be compared with epsilon

2023-08-21  <Alexander Guz>	418ad87218b8c9071784bffd639aefcfb8d7a274

	Lines: +5, -10
	Files:	src/main/print-dither-matrices.c (+5, -10)

	load curve file in more common way

2023-08-20  <Alexander Guz>	24bba158c1e04efd139d4ee1af8c4fb328c873c8

	Lines: +6, -6
	Files:	src/main/print-escp2.c (+1, -1)
		src/main/print-lexmark.c (+1, -1)
		src/main/print-pcl.c (+1, -1)
		src/main/printers.c (+1, -1)
		test/unprint.c (+2, -2)

	fix possible crashes, unprint, return values

2023-08-14  <Solomon Peachy>	6d69f0f31140683d40a2eacc8c1dfc0956bf3f92

	Lines: +38, -20
	Files:	src/cups/backend_canonselphy.c (+38, -20)

	dyesub: backend:  Fix paper/media sanity checking for nearly all Canon SELPHY CP models

2023-08-11  <Solomon Peachy>	f3f758005476315cce2515717976129f4388d42e

	Lines: +7, -0
	Files:	src/gimp2/print.c (+7, -0)

	gimp:  Limit thumbnail size to GIMP's max of 1024px.

2023-08-11  <Solomon Peachy>	7cc1df12ad080808a9f7d71ac952d58575cbbcd8

	Lines: +11, -5
	Files:	src/gutenprintui2/panel.c (+11, -5)

	gutenprintui:  Limit thumbnail size on the color adjust window

	Use no more than 1/4th of the screen resolution.

2023-07-23  <Solomon Peachy>	4abca4903653c34a15f017e43e807274d0baee50

	Lines: +4, -4
	Files:	src/main/print-dyesub.c (+2, -2)
		src/xml/printers/dyesub.xml (+2, -2)

	dyesub:  Fix the modelid for the DS480/DS680

	They collided with other models.

2023-07-23  <Solomon Peachy>	4f1c88c340abc60c33c5cd5e6e97dcd246361de5

	Lines: +1, -0
	Files:	src/cups/backend_mitsu.c (+1, -0)

	dyesub: backend:  Line was missing from the prior commit

2023-07-23  <Solomon Peachy>	c4932a32da63762a64aa82557cce3454aa7547d2

	Lines: +226, -16
	Files:	NEWS (+2, -0)
		README (+2, -0)
		src/cups/backend_common.h (+1, -0)
		src/cups/backend_mitsu.c (+8, -1)
		src/cups/backend_mitsu.h (+3, -3)
		src/cups/backend_mitsu70x.c (+50, -11)
		src/cups/blacklist (+9, -0)
		src/main/print-dyesub.c (+149, -1)
		src/xml/printers/dyesub.xml (+2, -0)

	DNP:  Add support for the DNP DS480 and DS680

2023-07-15  <Solomon Peachy>	03254422f2559ec156bc4c4afc8379186e648063

	Lines: +1, -1
	Files:	src/main/print-dyesub.c (+1, -1)

	dyesub: Minor fix for CP-W5000

2023-07-15  <Solomon Peachy>	c5e81edaed88b9972786626196ef2743105a6e47

	Lines: +928, -222
	Files:	NEWS (+1, -0)
		README (+1, -0)
		src/cups/backend_mitsu.c (+3, -1)
		src/cups/backend_mitsud90.c (+626, -221)
		src/main/print-dyesub.c (+296, -0)
		src/xml/printers/dyesub.xml (+1, -0)

	dyesub:  Add support for Mitsubishi CP-W5000 series

	More testing is needed, but 8x12 simplex definitely works.

2023-07-11  <Solomon Peachy>	e76f56a5438240bc6eb2a8a639fc63066ce210d5

	Lines: +11, -4
	Files:	src/cups/backend_common.c (+8, -4)
		src/cups/backend_common.h (+3, -0)

	dyesub: backend:  Minor fix in the serial number query code

	(Needed for a printer that will be added later)

2023-07-09  <Solomon Peachy>	48bdc3279d24aadf5712d460716b5a26a678a5eb

	Lines: +3, -3
	Files:	src/cups/backend_dnpds40.c (+3, -3)

	dyesub: backend:  Silence a warning under GCC13

2023-06-22  <Solomon Peachy>	8d2fbd07bbd4de43042cebf11b3a68d0aab344ec

	Lines: +1, -1
	Files:	configure.ac (+1, -1)

	Rename "CUPS" to "CUPS driver" in the configuration summary.

2023-06-19  <Solomon Peachy>	c236a7f7d18e2ba61ae717c558c247f589aaf61b

	Lines: +2, -2
	Files:	src/cups/backend_hiti.c (+2, -2)

	dyesub: backend:  Fix a major regression in the HiTi code.

2023-06-11  <Solomon Peachy>	9360858731e033496b7d93243cd89f8eca7bc954

	Lines: +1, -0
	Files:	src/main/print-dyesub.c (+1, -0)

	dyesub:  Fix print margins for HiTi P461 Prinhome

2023-05-01  <Solomon Peachy>	417f8d7cc843535e1492404efc750043936a94a6

	Lines: +111, -4
	Files:	src/main/print-dyesub.c (+111, -4)

	dyesub:  Add ability to specify media version to the HiTi P461

	It's not automatic.  And it's also not clear how the user is supposed
	to be able to tell the difference...

2023-04-24  <Solomon Peachy>	b955b4c849584199c804ac0a32371bca40a2aab3

	Lines: +14, -1
	Files:	src/cups/backend_hiti.c (+7, -0)
		src/main/print-dyesub.c (+7, -1)

	dyesub: hiti:  Make the "Use LUT" option actually do something

2023-04-24  <Solomon Peachy>	c36d6e527c41a272599ae6ed3224d7d93fab106d

	Lines: +33, -11
	Files:	NEWS (+1, -1)
		src/cups/backend_hiti.c (+28, -6)
		src/main/print-dyesub.c (+1, -1)
		src/xml/printers/dyesub.xml (+3, -3)

	dyesub: Minor updates for the HiTi P461

	 * No longer considered experimental (I know it works)
	 * Hardcode media version ID (vendor driver does this too)

2023-04-22  <Solomon Peachy>	e257d73eff684c19ba52f427b3464e7ec5272534

	Lines: +438, -68
	Files:	NEWS (+2, -1)
		README (+2, -0)
		src/cups/backend_common.h (+1, -0)
		src/cups/backend_hiti.c (+388, -64)
		src/cups/blacklist (+5, -2)
		src/main/print-dyesub.c (+39, -1)
		src/xml/printers/dyesub.xml (+1, -0)

	dyesub:  Initial HiTi P461 support

	 * Successfully prints.

	TODO:

	 * Figure out how to determine media version/type
	 * Matte/Glossy sanity-checks

2023-03-28  <Solomon Peachy>	66b0a7bc3fd25659a3f295db0ebb39d04e413c01

	Lines: +79, -10
	Files:	src/cups/backend_kodak605.c (+63, -10)
		src/main/print-dyesub.c (+16, -0)

	dyesub:  Improvements for the Kodak 605

	 * Added 4x6-div2, 6x6, 6x6-div2, and 8x6-div2 sizes
	 * Better error code reporting

2023-03-17  <Solomon Peachy>	a59d99151aeab80d16f64143e0af1f68e48c4af7

	Lines: +283, -72
	Files:	src/cups/backend_common.h (+4, -2)
		src/cups/backend_hiti.c (+272, -69)
		src/cups/blacklist (+7, -1)

	dyesub: backend: Major bugfixes for the HiTi P525L

	Apparently it differes just enough from the P520L to make things interesting

2022-12-07  <Solomon Peachy>	0fdbb488d5807e994dec69b173241d0427a40226

	Lines: +6, -1
	Files:	src/main/print-dyesub.c (+6, -1)

	dyesub:  Add a 3.5x6" print size to the DNP DS620 series

2022-10-10  <Solomon Peachy>	c64d30b9f93dff5d46134d6cb45af177ab1639e4

	Lines: +58, -13
	Files:	NEWS (+1, -0)
		src/cups/backend_canonselphyneo.c (+53, -13)
		src/cups/blacklist (+3, -0)
		src/xml/printers/dyesub.xml (+1, -0)

	dyesub:  Add support for new Canon SELPHY CP1500

2022-10-07  <Solomon Peachy>	1a7d9a2694d73c771ae4b350feba4b57f627bcea

	Lines: +17, -6
	Files:	src/cups/backend_hiti.c (+17, -6)

	dyesub: backend: hiti:  Properly check job status for errors

2022-09-30  <Solomon Peachy>	b43f2d07ab7a39aa0427a2ed76a6402ae96a33e0

	Lines: +255, -104
	Files:	src/cups/backend_hiti.c (+255, -104)

	dyesub: backend:  Fix mis-identification of 5x7" ribbon types

2022-09-29  <Solomon Peachy>	9b0f1f4a03de32c912a9738031c8c7fc05d60ef1

	Lines: +6, -1
	Files:	NEWS (+1, -0)
		src/cups/backend_shinkos2145.c (+2, -1)
		src/cups/blacklist (+2, -0)
		src/xml/printers/dyesub.xml (+1, -0)

	dyesub:  Add support for the Olmec OP1000 printer

	(aka Rebadged Shinko S2145)

2022-06-23  <Solomon Peachy>	8808d602e57b68488e267ca50cf93dafbd9386c8

	Lines: +170, -28
	Files:	src/cups/backend_hiti.c (+170, -28)

	dyesub: backend: resync with upstream hiti backend.

	Now prints successfully with the P51x series.

2022-05-26  <Solomon Peachy>	e65e4835cdadad117d39324ee80d91b2ce97429b

	Lines: +6, -9
	Files:	src/cups/backend_common.c (+6, -9)

	dyesub: backend:  Fix crash with libusb 1.0.25

	    Original patch by Ben Berg, but reworked to apply to master code

2022-05-26  <Solomon Peachy>	9d15d4441ae4b005bfd802eee68fc58c18c52c1b

	Lines: +3, -1
	Files:	src/cups/backend_common.h (+3, -1)

	dyesub: backend:  Use ".dylib" for the shared library suffix on MacOS

2021-11-27  <Solomon Peachy>	8e47dc44dd7738302ba9e8fbc1f918461fed0236

	Lines: +8, -1
	Files:	src/xml/printers/Makefile.am (+8, -1)

	Don't build check_duplicate_printers.test if BUILD_TEST is not set

	One, it's consististent with the other tests we have in place, and
	Two, this test doesn't work in cross-compiled environments

2021-10-28  <Solomon Peachy>	4543297967c3c77fa411a819149a02980f576dc6

	Lines: +5, -4
	Files:	src/cups/backend_common.c (+5, -4)

	dyesub: backend:  Fixes for the FAST_RETURN logic.

	Defaults to not waiting for the final page/copy of the job to finish
	before returning.  This allows some job/page pipelining to improve
	print throughput.

	This can be overridden by setting the FAST_RETURN envvar to '0'

2021-10-28  <Solomon Peachy>	5dd6cae7deddf0940840264a73dbbc4a36a1eddf

	Lines: +10, -3
	Files:	src/escputil/escputil.c (+10, -3)

	escputil:  Report maintenance cartdidge remaining level  (percentage)

	It's now unconditionally displayed in the list of ink levels.

2021-10-27  <Solomon Peachy>	9ef2950819533874eef2639c69ca3e6e58cbdec8

	Lines: +21, -0
	Files:	src/escputil/escputil.c (+21, -0)

	escputil: Decode paper roll width and remaining on on the Epson D700 / Fujifilm DX100

	 * Raw width is inches * 360
	 * Remaining value is reported in centimeters

	Remaining value is not exact; for example a new roll reports ~41.5m
	instead of the expected 65m. I suspect the printer keys off the diameter
	of the paper roll.

2021-10-14  <Solomon Peachy>	0b8c6c6e98e2bb3e12a93a65f5ffc02316ddc40a

	Lines: +1953, -1011
	Files:	src/cups/backend_canonselphy.c (+39, -71)
		src/cups/backend_canonselphyneo.c (+33, -39)
		src/cups/backend_common.c (+119, -50)
		src/cups/backend_common.h (+19, -3)
		src/cups/backend_dnpds40.c (+22, -25)
		src/cups/backend_hiti.c (+53, -49)
		src/cups/backend_kodak1400.c (+60, -30)
		src/cups/backend_kodak605.c (+84, -73)
		src/cups/backend_kodak6800.c (+11, -16)
		src/cups/backend_kodak8800.c (+128, -37)
		src/cups/backend_magicard.c (+19, -22)
		src/cups/backend_mitsu.c (+3, -3)
		src/cups/backend_mitsu.h (+3, -3)
		src/cups/backend_mitsu70x.c (+315, -68)
		src/cups/backend_mitsu9550.c (+41, -56)
		src/cups/backend_mitsud90.c (+465, -94)
		src/cups/backend_mitsup95d.c (+14, -15)
		src/cups/backend_shinkos1245.c (+12, -19)
		src/cups/backend_shinkos2145.c (+12, -20)
		src/cups/backend_shinkos6145.c (+64, -146)
		src/cups/backend_shinkos6245.c (+112, -128)
		src/cups/backend_sinfonia.c (+146, -8)
		src/cups/backend_sinfonia.h (+158, -9)
		src/cups/backend_sonyupd.c (+11, -13)
		src/cups/backend_sonyupdneo.c (+10, -14)

	dyesub: backend:  Resync with upstream

	 * common: Improvements in debug output
	 * common: Better CUPS 'state' messages
	 * common: "Fast return" done on a per-page basis rather than global/job
	 * common: Better reporting of device info up to the PPD level
	 * common: Moved all backends to use a common job structure for basic stuff
	 * common: Moved to direct numerical VID/PIDs instead of using named #defines everywhere (mirroring Linux's practices)
	 * canonselphy: Return BACKEND_STOP intead of _HOLD for some error conditions
	 * dnp: Handle negative media remaining on DS40/DS80
	 * dnp: return BACKEND_STOP instead of _HOLD (or endlessly looping) for various error conditions
	 * hiti: Firmware version checks with instructions to update if needed
	 * kodak1400/805: Much improved error reporting
	 * kodak605/70xx: Better media detaction
	 * kodak8800: Much improved error reporting
	 * kodak8810: Preliminary support for panorama printing
	 * mitsu70x: Support media subtype on the -S model series and HG media on the K60 family
	 * mitsu70x: Support generating built-in self-test pages
	 * mitsud90: Support generating built-in self-test pages
	 * mitsud90: Preliminary support for panorama printing
	 * mitsud90: Support for querying/reporting firmware version

2021-09-27  <Solomon Peachy>	ac601ec9c2b5cf6a5874fcd1a4ea6d0c6153e5ee

	Lines: +7, -3
	Files:	src/cups/backend_dnpds40.c (+7, -3)

	dyesub: backend:  dnp:  STOP the queue when encountering fatal errors

2021-09-26  <Solomon Peachy>	446849de97713cda64e4e1e2056094888eb30dd2

	Lines: +212, -79
	Files:	.gitignore (+1, -0)
		src/cups/Makefile.am (+1, -1)
		src/cups/backend_common.c (+6, -5)
		src/cups/commandtodyesub.c (added +91)
		src/main/print-dyesub.c (+113, -73)

	dyesub:  Hook up the existing backend as a cups-command processor

	All dyesub printers that use the backend can report levels!

2021-09-26  <Solomon Peachy>	c1c0a4b076c7cf39c519c781284bfb9245e80cfa

	Lines: +56, -2
	Files:	src/cups/genppd.c (+23, -2)
		src/main/print-escp2.c (+33, -0)

	cups-genppd:  Be more intelligent about enabling CUPS command support

	Instead of blindly turning it on for all "EPSON" models in the ppd code,
	have the driver specify which commands are supported

2021-09-15  <Solomon Peachy>	1010e5c340be1f2fce5b2a35c169b9ca2a9c7101

	Lines: +2, -1
	Files:	src/escputil/escputil.c (+2, -1)

	escputil:  Include 'Fujifilm' in the model matching logic

	(Now escputil won't complain about the printer being unknown)

2021-09-15  <Solomon Peachy>	907af01d59b23ceca21730981ba309aaea3b0e3d

	Lines: +1, -1
	Files:	src/xml/printers/escp2.xml (+1, -1)

	escp2:  Update the Fujifilm DX100's 'driverid' to be prefixed with 'escp2-'

	This way it matches the others.

2021-09-08  <Solomon Peachy>	6f019f6eaa65086b9b7e7295388229f322dd439c

	Lines: +253, -59
	Files:	NEWS (+3, -1)
		src/cups/backend_common.h (+1, -0)
		src/cups/backend_sonyupdneo.c (+75, -44)
		src/cups/blacklist (+3, -0)
		src/main/print-dyesub.c (+169, -14)
		src/xml/printers/dyesub.xml (+2, -0)

	dyesub:  Add support for Sony UP-971AD and UP-991AD thermal printers

	Nearly identical to the UP-898 series, only wider.

	UP-971AD is confirmed working.  991 might need a different USB PID,
	so it remains marked as experimental.

2021-08-21  <Solomon Peachy>	556c364bfe733d42082aceb09dbe436197921b56

	Lines: +1, -1
	Files:	src/cups/blacklist (+1, -1)

	dyesub: backend:  Put Kodak 8800/9810 back into the usb blacklist

2021-08-19  <Solomon Peachy>	6c420cff081cd436ca29ee208bd730e30c20d96a

	Lines: +16, -0
	Files:	src/main/print-dyesub.c (+16, -0)

	dyesub: Kodak 7015 apparently supports additional sizes

2021-08-19  <Solomon Peachy>	e7c28167b7061e59a094cf9d248a7a1b1bc7f251

	Lines: +96, -92
	Files:	src/cups/backend_dnpds40.c (+96, -92)

	dyesub: backend: dnp/citizen:  Resync with upstream

	 * Handle sticker media on Citizen CX-02S
	 * When media is depleted, report the error properly instead of as an
	   obscure job parsing error.
	 * Internal cleanups

2021-08-16  <Solomon Peachy>	2a241dff139f324f77d328a1cf2f580e3d00a6e3

	Lines: +6, -7
	Files:	src/main/print-dyesub.c (+6, -7)

	dyesub:  most Sony UP-CR10L/UP-CX1 sizes are portrait-oriented

2021-08-16  <Solomon Peachy>	597efe256b6e0ea8ffc48d780371cd67983a4e4c

	Lines: +611, -2
	Files:	NEWS (+1, -0)
		src/main/escp2-driver.c (+3, -0)
		src/main/print-escp2.c (+6, -1)
		src/xml/escp2/inks/Makefile.am (+1, -0)
		src/xml/escp2/inks/pro_ultrachrome_d6s.xml (added +283)
		src/xml/escp2/inputslots/Makefile.am (+1, -0)
		src/xml/escp2/inputslots/cutter_roll_only.xml (added +27)
		src/xml/escp2/media/Makefile.am (+1, -0)
		src/xml/escp2/media/pro_ultrachrome_d6s.xml (added +151)
		src/xml/escp2/model/Makefile.am (+2, -1)
		src/xml/escp2/model/model_136.xml (added +93)
		src/xml/escp2/qualitypresets/Makefile.am (+1, -0)
		src/xml/escp2/qualitypresets/surelab.xml (added +39)
		src/xml/printers/escp2.xml (+2, -0)

	escp2:  Add support for the Epson SureLab-D700 and the Fujifilm DX100

	Focused on commercial minilab use, these rollfed-only models utilize a
	bespoke 6-color Ultrachrome D6-s inkset.

	Tuned to look pretty decent in HQ mode on Luster paper.
	Other qualities & papers need further tuning

	There are two non-printer-specific changes:

	 * Added "escp2_roll_lb" parameter for the otherwise-unknown
	   REMOTE LB command that changes based on installed media type
	 * Bypass ESC(U special case for these models

2021-08-16  <Solomon Peachy>	af984e540980a1cf2cac41701a2862e8f79f029d

	Lines: +1, -1
	Files:	src/main/print-escp2.c (+1, -1)

	escp2: make argument to get_privdata() const

2021-08-16  <Solomon Peachy>	87bec13c94b0cce22607def7b830d5058853e08d

	Lines: +15, -0
	Files:	src/escputil/escputil.c (+15, -0)

	escputil:  Add in a few more status & error codes

	Pulled from various docs, but some are relevant for the D700/DX100

2021-08-16  <Solomon Peachy>	dd78e5bd79c71d5f545f86627cc78457552660b5

	Lines: +19, -9
	Files:	src/cups/backend_sonyupd.c (+19, -9)

	dyesub: backend:  Further updates to the Sony UPD backend.

	 * Fix media identification on the UP-CX1
	 * Properly pass remaining media level up as a marker attribute

2021-08-16  <Solomon Peachy>	671bc2d085a9e2efcd6271bed793024fff394450

	Lines: +6, -0
	Files:	src/escputil/escputil.c (+6, -0)

	escputil:  Report serial number in status dump

	(This is quite useful for when you have more than one printer; it makes
	 disambiguating the output a lot easier)

2021-08-16  <Solomon Peachy>	6b054bb33216eeac52fe4fe0003b8ce04e386691

	Lines: +12, -0
	Files:	src/escputil/escputil.c (+12, -0)

	escputil:  Add some status&error messages generated by the D700/DX100

2021-08-16  <Solomon Peachy>	54432595430c82b61eb1b8538ab435a38d7d9bb2

	Lines: +5, -0
	Files:	src/escputil/escputil.c (+5, -0)

	escputil:  Fix extended ink parsing for SL-D700

	 * The data returned starts with 'ii:' not 'II:'
	 * parsing string format wasn't quite right

2021-08-16  <Solomon Peachy>	f80fc252051f1aa1e810a8c0f623458b797dbe15

	Lines: +3, -1
	Files:	src/escputil/escputil.c (+3, -1)

	escputil:  Fix ink level parsing in extended ink info mode

2021-08-13  <Solomon Peachy>	6eeeef61dc912e07cc45160e63fd1503d9ec7a72

	Lines: +17, -7
	Files:	src/main/print-dyesub.c (+17, -7)

	dyesub:  Fix two errors in the UP-CX1 data stream.

	 * 4x8" media used the wrong code
	 * Missing a control sequence

2021-08-13  <Solomon Peachy>	d3439a4f6671e92b899904b85722582400b4630a

	Lines: +43, -3
	Files:	src/main/print-dyesub.c (+43, -3)

	dyesub:  Add Matte/Glossy support to Sony UP-CX1

2021-08-13  <Solomon Peachy>	1d80bafd60bafa54d51e35d1aa666afebb1206f6

	Lines: +2, -0
	Files:	src/main/print-dyesub.c (+2, -0)

	dyesub: Shinko S2145: Add support for 4x6" sticker media

2021-08-13  <Solomon Peachy>	d882f7196e932cc1cef4c06252a667ad0e07e29b

	Lines: +141, -30
	Files:	NEWS (+1, -0)
		README (+1, -0)
		src/cups/backend_sonyupd.c (+94, -29)
		src/cups/blacklist (+40, -1)
		src/main/print-dyesub.c (+4, -0)
		src/xml/printers/dyesub.xml (+1, -0)

	dyesub: Add support for Sony UP-CX1

	It's essentially the print engine out of the UP-CR10L

	4" or 5" roll media.

2021-08-10  <Solomon Peachy>	1ebff9641187c122d682041aed04d51574166f8a

	Lines: +48, -1
	Files:	doc/developer/escp2.xml (+17, -1)
		src/main/escp2-driver.c (+21, -0)
		src/main/print-escp2-data.c (+3, -0)
		src/main/print-escp2.c (+1, -0)
		src/main/print-escp2.h (+6, -0)

	escp2:  Add support for roll-only printers such as the SureLab D700

	 * Add a <rollOnly/> model.xml flag
	 * Roll-only printers do not send ESC(c or ESC(C
	 * Roll-only printers require ESC(g

2021-08-10  <Solomon Peachy>	455647c4433c7617580aab23ed7fdf8bc71af84d

	Lines: +8, -1
	Files:	src/main/print-escp2-data.c (+2, -0)
		src/main/print-escp2.c (+5, -1)
		src/main/print-escp2.h (+1, -0)

	escp2:  allow printing_initial_vertical_offset to be set via XML files

	This value is used to provide a fixed vertical offset for the first
	printed row on the page. It had previously been hardcoded to 0, but now
	it can be specified in the model.xml file using the
	<printingInitialVerticalOffset> tag.

	It is specified in base_separation units, so if base_separation is 360
	and the value specified is 180, this will result in the first printed
	row starting 0.5 inches into the page. If not specified it will continue
	to default to 0.

	The (not yet committed) Epson SureLab D700 will require this feature.

2021-08-04  <Solomon Peachy>	73475024465ddff21c041323cd3694a046e10655

	Lines: +1037, -4
	Files:	NEWS (+1, -0)
		README (+2, -0)
		src/cups/Makefile.am (+1, -1)
		src/cups/backend_common.c (+2, -0)
		src/cups/backend_common.h (+1, -0)
		src/cups/backend_kodak8800.c (added +1027)
		src/cups/blacklist (+1, -1)
		src/xml/printers/dyesub.xml (+2, -2)

	dyesub: backend:  Add a custom backend for the Kodak 8800 / 9810

	These models are no longer considered experimental!

2021-08-04  <Solomon Peachy>	9d26dd26e4e87f869d0da869cc55cd1b56335b7b

	Lines: +1, -1
	Files:	src/main/print-dyesub.c (+1, -1)

	dyesub: Kodak 8800/9810 expects BGR data, not YMC!

	Expect a backend for this thing soon, and it can be marked as supported!

2021-07-31  <Solomon Peachy>	07284a60fc21873fd9326dc0db96c959eb90a746

	Lines: +1, -1
	Files:	src/cups/blacklist (+1, -1)

	dyesub: backend:  Un-blacklist the Kodak 8800/9810

	It's not clear that a custom backend is necessary to print, but given
	that said backend doesn't yet exist, there's no point in it being
	blacklisted.

2021-07-30  <Solomon Peachy>	448fcf1c5b7836c61feb6aa9ae9ad759cbaf27a7

	Lines: +2, -2
	Files:	src/cups/backend_mitsud90.c (+2, -2)

	dyesub: backend:  mitsu_m1: Don't overflow on full-size RAW prints

	(This should only be triggerable when printing directly from a Windows
	 system that uses Mitsubishi's official drivers...)

2021-07-23  <Solomon Peachy>	c059667b36d62b1e3c17100f934caffdaa34de7f

	Lines: +7, -3
	Files:	README (+7, -3)

	README:  Update the printer list handled by the dyesub backend

2021-07-15  <Solomon Peachy>	3c4928edf10d10f5b1d9d8fbedd5d72647e6d13d

	Lines: +2, -2
	Files:	src/xml/escp2/inks/claria_xp.xml (+1, -1)
		src/xml/printers/dyesub.xml (+1, -1)

	Fix errors in XML files  (Zdenek Dohnal)

	We ran XML linter as a part of rpminspect project[1] on any package
	containing XML files during CentOS Stream development and found out the
	linter reports errors (attached file 'errors') for several XML files in
	Gutenprint 5.3.4.

	The attached patch applies cleanly on current GIT master of gutenprint
	and linter in rpminspect doesn't report errors for XML files anymore.

2021-07-12  <Solomon Peachy>	e2e22f251cab8ed067f1a1e60fa569764f912155

	Lines: +22, -12
	Files:	src/main/print-dyesub.c (+22, -12)

	dyesub;  Add panorama sizes to Mitsubishi D90

	Requires backend improvements, WIP.

2021-07-12  <Solomon Peachy>	b71887da93183f2af340b368edeabc593655a8c0

	Lines: +6, -6
	Files:	src/main/print-dyesub.c (+6, -6)

	dyesub: Fix panorama sizes on the Kodak 8810

2021-06-11  <Solomon Peachy>	74d2b901ce2f049e07395cb1a356ce69f8034c13

	Lines: +16, -1
	Files:	src/main/print-dyesub.c (+16, -1)

	dyesub: Add 6x2", 6x3.375", and 6x3.75" print sizes

	Note that using these will consume an entire 6x4" panel!

2021-06-11  <Solomon Peachy>	2779cc9d9fd23b20e5a74853ea282de649ab0f76

	Lines: +66, -44
	Files:	src/cups/backend_dnpds40.c (+66, -44)

	dyesub: backend:  Fix printing 2x6" strips on Citizen CX-02 series

	Citizen CX-02/CX-02W models diverge from DNP printers with respect
	to firmware version numbers/capabilities

2021-05-26  <Gernot Hassenpflug>	db3c362ddcdedb88e198d424fbff9bd98c8c3003

	Lines: +1, -1
	Files:	src/main/canon-printers.h (+1, -1)

	Canon E400 margin fix submitted by user

2021-04-15  <Solomon Peachy>	9eefba9ca9a6dba96cdfac1babaefdbc36e657bf

	Lines: +156, -72
	Files:	src/cups/backend_common.c (+1, -1)
		src/cups/backend_hiti.c (+146, -62)
		src/xml/printers/dyesub.xml (+9, -9)

	dyesub: Add support for the HiTi P510/P518/P728 series

	Along with most IEEE1284 IDs.

2021-03-30  <Solomon Peachy>	7d8b6d8c96605465b575a6d65d548320b2b71ce3

	Lines: +2, -1
	Files:	src/main/print-dyesub.c (+2, -1)

	dyesub:  fix warning introduced in last commit

2021-03-30  <Solomon Peachy>	6b7869ab8cfc6e198baf5900c05781019782a0c2

	Lines: +17, -8
	Files:	src/main/print-dyesub.c (+17, -8)

	dyesub:  Minor cutter control fixes for various DNP models

	Specifically, the DS620, DS820, QW410

	If the data stream includes 'CNTRL FULL_CUTTER_SET' then 'CNTRL CUTTER'
	will be ignored.  The backend already filters this out (and emits a
	warning) so make sure we don't actually generate this stuff.

	In practical terms this means 'No Cut-Waste' mods are now explicitly
	ignored for certian multi-cut print sizes.  Nothing to be done
	about that, alas.

2021-03-15  <Solomon Peachy>	94908376aaa9dee6b5ded34a66bcca4f8e65014f

	Lines: +1, -1
	Files:	src/main/print-dyesub.c (+1, -1)

	dyesub:  Fix a missing line in the EK8810 commit.

2021-03-15  <Solomon Peachy>	9500ccac265e381e45a5db6752d1fa8be5f50fcc

	Lines: +61, -4
	Files:	src/cups/backend_shinkos6245.c (+23, -4)
		src/main/print-dyesub.c (+38, -0)

	dyesub:  Kodak 8810 supports print sizes > 8x12

	It does this by seamlessly stitching together multiple print panels.

	(Note, this is untested!)

2021-02-26  <Solomon Peachy>	cf87644c0457baea76a76a3c81b10addacc3f290

	Lines: +2, -2
	Files:	src/main/print-dyesub.c (+2, -2)

	dyesub: Fix paper list for HiTi P510 series

2021-02-26  <Solomon Peachy>	1d4bdd28e2a85f6486fd252443356b0163f6deac

	Lines: +65, -2
	Files:	NEWS (+4, -2)
		src/main/print-dyesub.c (+54, -0)
		src/xml/printers/dyesub.xml (+7, -0)

	dyesub:  Add experimental support for the HiTi P510/P518 series

	(Updated backend will follow once the kinks are worked out)

2021-02-23  <Solomon Peachy>	4b00b79010d161213f7f72bf8d47143a66e70d6e

	Lines: +0, -7
	Files:	src/xml/papers/standard.xml (+0, -7)

	papers:  Delete the dyesub-specific 'CP_L' paper from the global list

	(It's specific to the Canon SELPHY CP/ES series)

2021-02-10  <Solomon Peachy>	efe74c464fd41945c1c0f62a96b694b2ba45a36b

	Lines: +1, -0
	Files:	NEWS (+1, -0)

	NEWS:  Add Selphy CP790 bugfixes to the change list

2021-02-09  <Solomon Peachy>	078c0fe3b68e21f42a1f76982cec65e19bef1ec3

	Lines: +85, -84
	Files:	src/cups/backend_canonselphy.c (+81, -78)
		src/cups/backend_common.h (+4, -6)

	dyesub: backend:  Fix paper size sanity checks on the SELPHY CP790

	(Also report the size/type properly in the CUPS marker messages)

2021-02-09  <Solomon Peachy>	b9d3011274a57428187f1b6941d3315d418aad94

	Lines: +34, -30
	Files:	src/cups/Makefile.am (+1, -1)
		src/cups/backend_common.c (+33, -29)

	dyesub: backend: ditch compile-time URI_PREFIX in favor of using argv[0]

2020-12-25  <Solomon Peachy>	81910dcd7de9e52b4a4ea66c5d99a3d4924f1a73

	Lines: +35, -12
	Files:	src/cups/backend_mitsud90.c (+4, -1)
		src/main/print-dyesub.c (+31, -11)

	dyesub:  Add support for "vivid" color mode for Mitsubhishi CP-M1 family

2020-12-06  <Robert Krawitz>	fc5bfc8ceebae8a33049e4e9cfc40f5b1f8b0cf0

	Lines: +68, -32
	Files:	NEWS (+36, -0)
		src/xml/printers/pcl.xml (+32, -32)

	Fix margins on Brother laser printers

2020-12-06  <Robert Krawitz>	e0920170726bafd5a39b716d18ae98916d1399e9

	Lines: +2, -2
	Files:	scripts/snapstamp (+2, -2)

	Fix for /bin/sh

2020-12-06  <Solomon Peachy>	2228f2b6fde0651b0e786c28113bdfb49fd8335b

	Lines: +3, -3
	Files:	src/main/print-dyesub.c (+3, -3)

	dyesub:  Turns out the CP30D has *seven* levels of sharpening, plus off.

2020-12-06  <Solomon Peachy>	8c2279baeb1f424793c441f6c4a65df02eb5830a

	Lines: +2, -2
	Files:	src/main/print-dyesub.c (+2, -2)

	dyesub: Mitsubishi CP30D only has 7 levels of sharpening (not 10)

	(The backend doesn't implement it yet, so this is largely moot..)

2020-12-06  <Solomon Peachy>	3dcaab30c4c801eb134fcd75799a95246c069abe

	Lines: +14, -3
	Files:	src/cups/backend_mitsu9550.c (+14, -3)

	dyesub: backend:  media type detection for the Mitsubishi CP30D family

2020-12-06  <Solomon Peachy>	af1b1bc8ca503de0d807eacee5aa09c1a8e58039

	Lines: +1, -1
	Files:	src/main/print-canon.c (+1, -1)

	Fix a compile warning that broke make-distcheck on Fedora 33 (GCC 10.2.1)

	In function ‘canon_get_current_mode’,
	    inlined from ‘canon_describe_resolution’ at print-canon.c:2777:10:
	print-canon.c:666:5: warning: ‘%s’ directive argument is null [-Wformat-overflow=]
	  666 |     stp_dprintf(STP_DBG_CANON, v,"DEBUG: Gutenprint: current mode is '%s'\n",resolution);
	      |     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

2020-12-05  <Solomon Peachy>	5bdd5690456b18d53e9799c1c57694e081b9dcc8

	Lines: +4, -4
	Files:	NEWS (+4, -4)

	NEWS:  Mitsubishi CP30D series is no longer experimental.

2020-12-05  <Solomon Peachy>	79cdce62426a0d15308df0245b8164f6d2e777e3

	Lines: +1, -1
	Files:	src/cups/backend_mitsu9550.c (+1, -1)

	dyesub: backend:  Compile fix that I accidently left out.

2020-12-05  <Solomon Peachy>	0571e71d4651c9b902db05a5d084bea91b6fe228

	Lines: +444, -223
	Files:	src/cups/backend_mitsu.c (+49, -1)
		src/cups/backend_mitsu.h (+21, -4)
		src/cups/backend_mitsu70x.c (+1, -1)
		src/cups/backend_mitsu9550.c (+369, -216)
		src/cups/backend_mitsud90.c (+1, -1)
		src/cups/blacklist (+3, -0)

	dyesub: backend:  Proper support for the Mitsubishi CP30D

	(along with multiple bugfixes for the Mitsubishi CP9xxx family)

2020-12-05  <Solomon Peachy>	c60c3a39dfaa1d4b658d14974602ea2d86548ef8

	Lines: +110, -8
	Files:	NEWS (+2, -1)
		src/main/print-dyesub.c (+108, -7)

	dyesub:  Many fixes and enhancments for the Mitsubishi CP30 MedSci family.

	   (Backend still pending)

2020-12-04  <Solomon Peachy>	9f6925f65eae17aea121ec1245e1cba19f371afc

	Lines: +1, -1
	Files:	src/xml/printers/dyesub.xml (+1, -1)

	dyesub:  Add IEEE1284 ID for Mitsubishi CP30D series

2020-11-29  <Solomon Peachy>	0e18d1613976651d46a76e9c1cc10c7b56e18dac

	Lines: +159, -60
	Files:	src/cups/backend_sonyupd.c (+159, -60)

	dyesub: backend: Major bugfixes for Sony UP-DR200

2020-11-08  <Solomon Peachy>	c30e9d42d4a79f1b488d836a3d0f4293bfe60983

	Lines: +74, -19
	Files:	src/cups/backend_sonyupdneo.c (+74, -19)

	dyesub: backend:  Fix copy generation in the sonyupdneo backend

2020-11-07  <Solomon Peachy>	c59eaeca9a5bc94818eb58b748cb51e5bad71e99

	Lines: +90, -55
	Files:	src/cups/backend_sonyupdneo.c (+90, -55)

	dyesub: backend:  Fix regressions in the sonyupdneo backend

2020-11-07  <Solomon Peachy>	ce65d8681927defee23f164751b170939e9c8f99

	Lines: +707, -852
	Files:	src/cups/backend_canonselphy.c (+31, -40)
		src/cups/backend_canonselphyneo.c (+18, -28)
		src/cups/backend_common.c (+72, -70)
		src/cups/backend_common.h (+29, -24)
		src/cups/backend_dnpds40.c (+46, -58)
		src/cups/backend_hiti.c (+34, -96)
		src/cups/backend_kodak1400.c (+26, -37)
		src/cups/backend_kodak605.c (+10, -15)
		src/cups/backend_kodak6800.c (+16, -29)
		src/cups/backend_magicard.c (+17, -26)
		src/cups/backend_mitsu.c (+3, -0)
		src/cups/backend_mitsu.h (+3, -1)
		src/cups/backend_mitsu70x.c (+52, -63)
		src/cups/backend_mitsu9550.c (+45, -54)
		src/cups/backend_mitsud90.c (+42, -53)
		src/cups/backend_mitsup95d.c (+29, -37)
		src/cups/backend_shinkos1245.c (+15, -28)
		src/cups/backend_shinkos2145.c (+12, -20)
		src/cups/backend_shinkos6145.c (+42, -39)
		src/cups/backend_shinkos6245.c (+16, -22)
		src/cups/backend_sinfonia.c (+10, -14)
		src/cups/backend_sinfonia.h (+4, -11)
		src/cups/backend_sonyupd.c (+22, -30)
		src/cups/backend_sonyupdneo.c (+110, -57)
		src/cups/blacklist (+3, -0)

	dyesub:  Backend resync.

	 * Many bugfixes for sonyupdneo family
	 * Significant internal changes:
	    * Logging/status messages can go to non-stderr
	    * Standardized "connection" info across all families

2020-11-07  <Solomon Peachy>	80e35975d31e731c369a059bb7709f0dd0dd91cf

	Lines: +32, -5
	Files:	NEWS (+1, -0)
		src/main/print-dyesub.c (+29, -4)
		src/xml/printers/dyesub.xml (+2, -1)

	dyesub:  Major bugfixes for the Sony UP-D898 family

	It's now generally working

2020-11-07  <Solomon Peachy>	f2e9b77bbe0b529cf2882cb256aa2dad4c63d201

	Lines: +8, -29
	Files:	src/main/print-dyesub.c (+8, -29)

	dyesub:  bugfixes for Sony UP-CR20L and UP-D898 series

2020-10-22  <Solomon Peachy>	3ca525ba8f0552aa2958484fc4a54a424c0abf20

	Lines: +45, -5
	Files:	src/cups/backend_dnpds40.c (+42, -5)
		src/main/print-dyesub.c (+3, -0)

	dyesub: dnp:  Add partial-matte mode support to the DS620, DS820, and QW410

2020-09-09  <Solomon Peachy>	5a6b8257ad404b46ed3d4c95abd318992ab943f5

	Lines: +10, -1
	Files:	src/cups/backend_dnpds40.c (+10, -1)

	dyesub: backend: dnp-ds820: FW 1.07 is needed for the A4x6 print size.

2020-09-01  <Solomon Peachy>	5f32adfb097364f539e10f70090355c722e80e7c

	Lines: +71, -24
	Files:	src/cups/backend_shinkos6145.c (+69, -22)
		src/cups/backend_sinfonia.h (+2, -2)

	dyesub: backend: Fixes for Sinfoina S2245 and S6145-5A

2020-09-01  <Solomon Peachy>	e6f59f651cbd65adb6f58ecff74421324010cdcd

	Lines: +16, -5
	Files:	src/cups/backend_dnpds40.c (+16, -5)

	dyesub: backend:  Fix print combining on the DS820 with A4 media

2020-08-23  <Solomon Peachy>	042f398215443efc426a51d2a080d6c03e3a3a24

	Lines: +5, -7
	Files:	src/main/print-dyesub.c (+5, -7)

	dyesub:  chc-s2245: Fix problems with 8x6-div4 and 6x6 prints

2020-08-04  <Solomon Peachy>	9f19b1cb591da70152c2f5852e943a2db62ed216

	Lines: +683, -385
	Files:	NEWS (+1, -1)
		src/cups/backend_shinkos6145.c (+589, -311)
		src/cups/backend_shinkos6245.c (+9, -57)
		src/cups/backend_sinfonia.c (+10, -8)
		src/cups/backend_sinfonia.h (+73, -7)
		src/xml/printers/dyesub.xml (+1, -1)

	dyesub: backend:  Add support for the CHC-S2245

	...mark it as no longer experimental!

	(Not all size/option combos have been tested.  Further patches are likely)

2020-08-04  <Solomon Peachy>	35794012f30d035f179292a567d3fbcaf6fa43b8

	Lines: +9, -1
	Files:	src/main/print-dyesub.c (+9, -1)

	dyesub:  Fix CHC-S2245 overcoat options

2020-08-04  <Solomon Peachy>	384d8ee53bc1f6eff1ed8da8855d9ddb5d0262b9

	Lines: +1, -1
	Files:	src/xml/printers/dyesub.xml (+1, -1)

	dyesub:  Fix typo in CHC-S2245 model name.

2020-08-02  <Solomon Peachy>	84a0377c1fb6b2cd0000d8eb0a1b89a557fe20b2

	Lines: +4, -3
	Files:	src/main/print-dyesub.c (+4, -3)

	dyesub:  Sinfonia CHC-S2245 needs its data in packed RGB.

2020-07-29  <Solomon Peachy>	cb5cba2654cb80dfc49e6589c70ca65c48d4bfdb

	Lines: +34, -3
	Files:	src/main/print-dyesub.c (+34, -3)

	dyesub:  Correct print sizes for CHC-S2245

2020-07-29  <Solomon Peachy>	a67f272349737329f9188eb81f737d8e11111aa4

	Lines: +96, -5
	Files:	NEWS (+1, -0)
		src/main/print-dyesub.c (+94, -4)
		src/xml/printers/dyesub.xml (+1, -1)

	dyesub:  Add 'PrintQuality' options to S2245 and EK6900

	(They still don't work due to backend issues, and remain EXPERIMENTAL)

2020-07-29  <Solomon Peachy>	c93355bb49d65c61a6497e692bfc7bc72c4b168c

	Lines: +3, -2
	Files:	NEWS (+1, -1)
		src/cups/backend_mitsud90.c (+1, -1)
		src/xml/printers/dyesub.xml (+1, -0)

	dyesub:  Mitsubishi CP-M15 added as a variant of the CP-M1

2020-06-13  <Solomon Peachy>	bea1959ccf0b984a6dc9bf92154c826e5e808f15

	Lines: +25, -11
	Files:	README (+25, -11)

	README:  Update the list of dyesub printers supported by the backend

2020-06-11  <Solomon Peachy>	3f86bdd1160ab50b12564679da192fbf3bae34c7

	Lines: +1, -0
	Files:	src/cups/backend_common.h (+1, -0)

	dyesub: backend:  Commit a missing definition

2020-06-11  <Solomon Peachy>	0878de4b5a73cbcfe98fbc8d59670a28b5ea1070

	Lines: +58, -29
	Files:	src/cups/backend_mitsu9550.c (+58, -29)

	dyesub: backend:  Bugfixes for the Mitsubishi CP98xx family

2020-06-04  <Solomon Peachy>	09dbba66daac4c1b95a302ea08d7889e70882301

	Lines: +1, -1
	Files:	src/cups/Makefile.am (+1, -1)

	dyesub: backend:  Fix a typo in the Makefile

2020-06-04  <Solomon Peachy>	f53ecf215b53e23cbe01e0e4a1503c6f9647fdf6

	Lines: +2, -2
	Files:	src/cups/backend_mitsu9550.c (+2, -2)

	Revert "mitsu98xx:  the LUT needs to process the data in RGB format, not BGR."

	This reverts commit d4de786ed4ced2d213387fe5cf293a0da72f2436.

2020-06-03  <Solomon Peachy>	563798b48d7dc8b50c777b67773abb05eb7b096e

	Lines: +118, -0
	Files:	NEWS (+1, -0)
		src/main/print-dyesub.c (+116, -0)
		src/xml/printers/dyesub.xml (+1, -0)

	dyesub:  Experimental support for the Mitsubishi CP30DW MedSci printer.

	Does not include backend changes yet.

2020-06-03  <Solomon Peachy>	d4de786ed4ced2d213387fe5cf293a0da72f2436

	Lines: +2, -2
	Files:	src/cups/backend_mitsu9550.c (+2, -2)

	mitsu98xx:  the LUT needs to process the data in RGB format, not BGR.

2020-05-01  <Solomon Peachy>	1610ac92735c2e8237b574f6096a78d1ed3127d8

	Lines: +6, -0
	Files:	src/cups/blacklist (+6, -0)

	dyesub: backend:  Update usb blacklist to include QW410 and CZ-01

2020-05-01  <Solomon Peachy>	2e0af53bd83a19cee3428c17907bbcd6e9befe95

	Lines: +1, -0
	Files:	src/cups/backend_common.h (+1, -0)

	dyesub: backend:  Commit missing change for the QW410

2020-04-30  <Solomon Peachy>	3b166d596188aacd544839625f93bb5116d8f18c

	Lines: +4, -0
	Files:	src/main/print-dyesub.c (+4, -0)

	dyesub: Add 4.5x6.75" size to the QW410 / CZ-01

2020-04-30  <Solomon Peachy>	d0533caad909190a2c35430dbee7bdc1ef771f31

	Lines: +435, -11
	Files:	NEWS (+2, -0)
		src/cups/backend_dnpds40.c (+174, -10)
		src/main/print-dyesub.c (+257, -1)
		src/xml/printers/dyesub.xml (+2, -0)

	dyesub:  Support the DNP DS-QW410 and Citizen CZ-01

2020-03-31  <Solomon Peachy>	414d35d86f5f8c5cc5db5db388b4a361cf193a7d

	Lines: +9, -1
	Files:	configure.ac (+1, -1)
		src/cups/cups-calibrate.c (+2, -0)
		src/cups/gutenprint.c (+6, -0)

	A few more portability fixes for the CUPS code

2020-03-31  <Gernot Hassenpflug>	0b4017964332ab419fd22828324a4f52a1b84736

	Lines: +14, -7
	Files:	NEWS (+7, -0)
		src/main/canon-inks.h (+7, -7)

	Corrected inkset bug for Canon iP6210D, iP6220D, iP6310D, iP6320D

2020-03-30  <Solomon Peachy>	46ed9edfb9078553a704a05db2e7c6f693a2af88

	Lines: +33, -11
	Files:	NEWS (+1, -0)
		src/cups/backend_mitsu.c (+12, -4)
		src/cups/backend_mitsu.h (+3, -3)
		src/cups/backend_mitsu70x.c (+17, -4)

	dyesub:  The Mitsubishi CP-D70DW-S variant is now supported.

2020-03-24  <Solomon Peachy>	ebc729d0e75e60c592bc4368685f13d6561a0e8e

	Lines: +1, -1
	Files:	src/cups/Makefile.am (+1, -1)

	backend:  Use the same CFLAGS as the rest of the compile.

2020-03-24  <Solomon Peachy>	27b82cd2e27ed0498681034d1a0a40a15145ebad

	Lines: +53, -53
	Files:	src/cups/backend_canonselphy.c (+5, -7)
		src/cups/backend_canonselphyneo.c (+3, -3)
		src/cups/backend_common.c (+6, -5)
		src/cups/backend_common.h (+1, -1)
		src/cups/backend_dnpds40.c (+1, -1)
		src/cups/backend_hiti.c (+10, -9)
		src/cups/backend_kodak1400.c (+1, -1)
		src/cups/backend_kodak6800.c (+1, -1)
		src/cups/backend_magicard.c (+4, -4)
		src/cups/backend_mitsu.c (+1, -1)
		src/cups/backend_mitsu.h (+1, -1)
		src/cups/backend_mitsu70x.c (+6, -6)
		src/cups/backend_mitsu9550.c (+2, -2)
		src/cups/backend_mitsud90.c (+2, -2)
		src/cups/backend_shinkos1245.c (+3, -3)
		src/cups/backend_shinkos2145.c (+2, -2)
		src/cups/backend_shinkos6145.c (+1, -1)
		src/cups/backend_shinkos6245.c (+1, -1)
		src/cups/backend_sinfonia.c (+1, -1)
		src/cups/backend_sonyupd.c (+1, -1)

	dyesub: backend:  Fix up a large pile of compile warnings (and two errors)

2020-03-23  <Solomon Peachy>	c658d661c3ba837c9c6571a4cf8a8b8a58f966f8

	Lines: +2, -2
	Files:	configure.ac (+2, -2)

	build:  Use -std=c99 for all builds, not just developer mode

2020-03-22  <Solomon Peachy>	fa561a0324a5d73b8cf05443e5148b50f97027ea

	Lines: +8, -0
	Files:	configure.ac (+1, -0)
		src/xml/printers/check_duplicate_printers.test.c (+7, -0)

	test for setenv() in configure script, and only use it if it's there.

2020-03-22  <Solomon Peachy>	a4740babf29d4a2b5c47e0a8721644a36f75134e

	Lines: +1, -1
	Files:	src/cups/Makefile.am (+1, -1)

	dyesub: backend: Fix missing file in Makefile

2020-03-22  <Solomon Peachy>	045790c384b96d6e28651e982bcea1aedd1c7da0

	Lines: +1, -1
	Files:	src/xml/printers/check_duplicate_printers.test.c (+1, -1)

	check_duplicate_printers: use putenv() instead of setenv() for portability.

2020-03-22  <Solomon Peachy>	008e3c70b94d7c693b61165c8df33f55c40fd4fc

	Lines: +4, -0
	Files:	src/main/print-dyesub.c (+3, -0)
		src/main/xmlppd.c (+1, -0)

	Fix a couple of compile errors when cross-compiling with mingw

2020-03-22  <Solomon Peachy>	308217070f781e7ac97bcd9bda1fbd40aa3e98c2

	Lines: +0, -20
	Files:	src/main/print-dyesub.c (+0, -20)

	dyesub:  Get rid of now-unsusd dyesub_adjust_curve() function

2020-03-22  <Solomon Peachy>	6bcc0db5b7cf2538d7c339321e99effa00cca81a

	Lines: +4, -0
	Files:	src/main/print-dyesub.c (+4, -0)

	dyesub:  add return value to sony up-dr895/897 parse_parameter() functions

2020-03-22  <Solomon Peachy>	c6121eccf02f327393ddc04333f7d540e1e47e26

	Lines: +3577, -1642
	Files:	NEWS (+1, -1)
		src/cups/Makefile.am (+1, -1)
		src/cups/backend_canonselphy.c (+16, -24)
		src/cups/backend_canonselphyneo.c (+4, -5)
		src/cups/backend_common.c (+568, -204)
		src/cups/backend_common.h (+108, -61)
		src/cups/backend_dnpds40.c (+384, -217)
		src/cups/backend_hiti.c (+362, -80)
		src/cups/backend_kodak1400.c (+10, -10)
		src/cups/backend_kodak605.c (+83, -7)
		src/cups/backend_kodak6800.c (+62, -15)
		src/cups/backend_magicard.c (+6, -8)
		src/cups/backend_mitsu.c (added +295)
		src/cups/backend_mitsu.h (added +136)
		src/cups/backend_mitsu70x.c (+226, -373)
		src/cups/backend_mitsu9550.c (+169, -355)
		src/cups/backend_mitsud90.c (+611, -150)
		src/cups/backend_mitsup95d.c (+37, -14)
		src/cups/backend_shinkos1245.c (+58, -20)
		src/cups/backend_shinkos2145.c (+78, -10)
		src/cups/backend_shinkos6145.c (+231, -49)
		src/cups/backend_shinkos6245.c (+97, -11)
		src/cups/backend_sinfonia.c (+4, -4)
		src/cups/backend_sinfonia.h (+5, -2)
		src/cups/backend_sonyupd.c (+8, -12)
		src/cups/backend_sonyupdneo.c (+13, -8)
		src/cups/blacklist (+3, -0)
		src/xml/printers/dyesub.xml (+1, -1)

	dyesub:  backend:  Upstream resync, many changes

	 * Job combining support (eg 2* 4x6 -> 8x6-div2)
	    * Most DNP and Mitsubishi models
	 * Reworked status query support
	 * Refactored a lot of common Mitsubishi code
	 * Mitsubishi CP-M1 support
	 * Compiles with mingw32
	 * Many many bugfixes

2020-03-06  <Solomon Peachy>	87846b72010ce88949735e718c042e6efc025399

	Lines: +5, -8
	Files:	src/main/print-dyesub.c (+5, -8)

	dyesub: Further mitsubishi cutlist fixes.

2020-03-05  <Solomon Peachy>	a39bb6a272a1beeb9f2eb62c5b90b1bea37a9458

	Lines: +29, -18
	Files:	src/main/print-dyesub.c (+29, -18)

	dyesub:  Fix cut list generation for Mitsubishi CP-D90 and CP-M1 series

2020-03-04  <Solomon Peachy>	2dae8409a5fce3d3cd8eac701b5af537de3d7af2

	Lines: +11, -11
	Files:	src/main/print-dyesub.c (+11, -11)

	dysub:  Fix a boneheaded merge error.

2020-03-04  <Solomon Peachy>	c79f5f532b890dd4484738d3cab60ecd396b5f97

	Lines: +34, -2
	Files:	src/main/print-dyesub.c (+34, -2)

	dyesub: Mitsubishi CPM1 latest FW gained support for Fast Print Speed.

2020-03-03  <Solomon Peachy>	77f66ed5b41b423f8e59f70b9ae1379bc4bb146c

	Lines: +8, -2
	Files:	src/main/print-dyesub.c (+8, -2)

	dyesub:  Fix crash introduced in mitsubishi d90/m1 job end code.

2020-03-03  <Solomon Peachy>	8471a16fc16ee4c1194297c1714154a5eb6af9cb

	Lines: +35, -13
	Files:	src/main/print-dyesub.c (+35, -13)

	dyesub:  Mitsubishi CP-M1 has an additional color mode, and fix delay accounting.

2020-03-01  <Solomon Peachy>	af90fef4210f458c5b9d5125eb064bc24898ec94

	Lines: +4, -2
	Files:	src/main/print-dyesub.c (+4, -2)

	dyesub:  Fix up the Mitsubishi CP-M1 header generation

	(Managed to get a successful print!  Stull a bunch of things to finish
	before I can commit the backend..)

2020-03-01  <Solomon Peachy>	e8bbe1c6be09edef88215e5a2f32559bcbf88d52

	Lines: +21, -18
	Files:	src/main/print-dyesub.c (+21, -18)

	dyesub:  Fix up print sizes of Mitsubishi CP-M1

	(Screwed up my list, sigh)

2020-03-01  <Solomon Peachy>	00089f59cb01858776d2da123852be6e58fbd20d

	Lines: +1, -1
	Files:	src/main/print-dyesub.c (+1, -1)

	dyesub:  Correct description of Mitsubishi CP-98xx sharpening option

2020-02-29  <Solomon Peachy>	8eba4e6bc69fd2c4b6e644b6336954568d653534

	Lines: +199, -25
	Files:	NEWS (+1, -0)
		src/main/print-dyesub.c (+197, -25)
		src/xml/printers/dyesub.xml (+1, -0)

	dyesub:  EXPERIMENTAL support for the Mitsubishi CP-M1

	(Backend is not committed yet)

2020-02-29  <Solomon Peachy>	a5d811a3d31d7f6fc8d5a25bc2b10a37d1c17d50

	Lines: +1, -1
	Files:	src/cups/backend_sonyupdneo.c (+1, -1)

	dyesub: backend:  Fix a typo in the Stryker-SDP1000 definition

2020-02-29  <Solomon Peachy>	31bdc90e9f27a299f4b0c4e978673025421a000d

	Lines: +2, -2
	Files:	src/main/print-dyesub.c (+2, -2)

	dyesub:  Fix inverted 'UseLUT' paramter for Mitsubishi CP-D90 family

2020-02-27  <Solomon Peachy>	44b77ef7cb763fc52b73fa9e6515fb44b67de54c

	Lines: +2, -2
	Files:	src/xml/printers/dyesub.xml (+2, -2)

	dyesub: Add IEE1284 IDs for HiTi P720L and P750L

2020-02-27  <Solomon Peachy>	a276d31e97b5a89db3c6f65106f9498c575f837e

	Lines: +9, -2
	Files:	NEWS (+1, -0)
		src/cups/backend_sonyupdneo.c (+4, -2)
		src/cups/blacklist (+3, -0)
		src/xml/printers/dyesub.xml (+1, -0)

	dyesub:  Add entry for Stryker SDP1000 (rebadged Sony UP-DR80MD)

2020-02-16  <Robert Krawitz>	225fddee3bffc0589052f418ded1b65876e99d2f

	Lines: +9, -4
	Files:	README (+9, -4)

	Clarify instructions for gimp build problems.

2020-02-16  <Robert Krawitz>	6649c7c8cf80d48fd842c26287ea869b7a81304a

	Lines: +19, -8
	Files:	NEWS (+12, -2)
		src/xml/printers/escp2.xml (+7, -6)

	Updates for Epson Stylus Office printers

2020-02-12  <Solomon Peachy>	5840ca1b727cd337da40e6c9cc997123c8a44bae

	Lines: +22, -2
	Files:	src/cups/backend_mitsu9550.c (+6, -1)
		src/main/print-dyesub.c (+16, -1)

	dyesub:  Mitsubishi CP98xx family also has a sharpness parameter.

	(Ignored by current backend code)

2020-02-12  <Solomon Peachy>	05ae7e70637771992bbee24464442bd1218b7645

	Lines: +4, -5
	Files:	src/main/print-dyesub.c (+4, -5)

	dyesub:  Mitsubishi CP9800 family needs to have its row data reversed.

	(Similar to the Mitsubishi D70 family..)

2020-01-31  <Solomon Peachy>	487c00e476527677b33fdebfd1d41a9992b9a85d

	Lines: +2, -2
	Files:	src/cups/backend_shinkos2145.c (+2, -2)

	dyesub: backend:  Fix detection entry for shinko/sinfonia CHC-S2145

2020-01-30  <Solomon Peachy>	0b97008faa0f39a083af0dd32bf537fcd2a648bb

	Lines: +2, -2
	Files:	src/cups/backend_canonselphy.c (+2, -2)

	dyesub: backend:  Fix detection entry for Canon SELPY CP300

2020-01-30  <Solomon Peachy>	bedbe2da450f6536b6b010308c1c64fc86196235

	Lines: +2, -2
	Files:	src/cups/backend_shinkos6245.c (+2, -2)

	dyesub: backend:  Fix detection entry for Sinfonia CE1/S6245

2020-01-30  <Solomon Peachy>	0faf5df2b778e0c2e748dcf74a164a2ce2063e85

	Lines: +2, -2
	Files:	src/cups/backend_sonyupd.c (+2, -2)

	dyyesub: backend:  Fix device entry for Sony UP-D895

2020-01-23  <Solomon Peachy>	146f92d06b6808c7485b90d42bec97a97f35eb0d

	Lines: +3, -3
	Files:	src/main/print-dyesub.c (+3, -3)

	dyesub:  Correct experimental (and still disabled) sizes on the Mitsu D70 family.

	They should be correct now, but I have no way of testing these new
	definitions.  They likely require a couple of tweaks to the backend as
	well.

2020-01-23  <Solomon Peachy>	73b7bf923ac756e223b8f68f5eb427b7a04222a9

	Lines: +3, -2
	Files:	src/cups/backend_dnpds40.c (+3, -2)

	dyesub: backend: explcitly null-terminate all string buffers from printer.

2020-01-21  <Solomon Peachy>	fee6f7512ba2cedfe325bba809717a347c5c1b74

	Lines: +15, -5
	Files:	src/cups/backend_dnpds40.c (+13, -4)
		src/main/print-dyesub.c (+2, -1)

	dyesub:  backend:  Work around a bizzare short read scenario

2020-01-18  <Solomon Peachy>	fd592826685ef7250941ab3b94a19657aafa8a5c

	Lines: +14, -1
	Files:	src/main/print-dyesub.c (+14, -1)

	dyesub:  Add "No Margin Cut" option to the Mitsubishi CP-D90 family.

2020-01-16  <Solomon Peachy>	b07df96a68b68b2602bc57210498ecbd1f9f2104

	Lines: +56, -56
	Files:	src/cups/backend_hiti.c (+56, -56)

	dyesub: backend:  Much improved HiTi job control & pipelining.

2020-01-16  <Solomon Peachy>	d47d04e92007dccc3d89a7c1bf1f95af558c56f2

	Lines: +4, -16
	Files:	src/cups/backend_hiti.c (+4, -16)

	dyesub: backend:  Correct copy accounting with HiTi models

2020-01-16  <Solomon Peachy>	5ee6fcef88290c334b23610d59bd5f7533a67a8f

	Lines: +2, -2
	Files:	src/cups/backend_common.c (+2, -2)

	dyesub: backend:  Fix a bug in the BCD-to-Integer conversion code.

	(Fixes the lifetime print counter reporting on the Mitsu D70 family)

2020-01-08  <Solomon Peachy>	f7eb9cfa5863c8f392c972122a14a5560684122c

	Lines: +129, -29
	Files:	NEWS (+4, -0)
		src/cups/backend_mitsud90.c (+125, -29)

	dyesub: backend: Mitsubishi CP-D90 series can report their serial number

2019-12-22  <Robert Krawitz>	77fb9408c2c535ee569ccd427dce27c2631f44de

	Lines: +0, -1
	Files:	scripts/build-release (+0, -1)

	Don't list the operations explicitly prior to run.

2019-12-21  <Solomon Peachy>	d1dae7e78f3f208089cbd2ff5fe4335a1d302706

	Lines: +6, -1
	Files:	src/main/print-dyesub.c (+6, -1)

	dyesub:  Mitsubishi CP-D90 series was not generating 2x6*2 strips properly.

2019-12-18  <Robert Krawitz>	c2eb0b96dc89478cfcec437605d8801d82ae298b

	Lines: +3, -1
	Files:	scripts/snapstamp (+3, -1)

	snapstamp should use bash rather than sh because of [[ ]]

2019-12-08  <Robert Krawitz>	01f5f0124b94a2208828182884e0b6049c522826

	Lines: +2, -0
	Files:	NEWS (+2, -0)

	Update with Croation (not Hungarian) translation

2019-12-08  <Robert Krawitz>	a5363a5fd6c20c287c0828a679da562a5fcd2054

	Lines: +12, -9
	Files:	src/cups/test-ppds.test.in (+6, -9)
		src/xml/extract-strings.c (+6, -0)

	Use relaxed mode for testing PPD files.

2019-11-29  <Robert Krawitz>	c440c5239b2b0447461173c7905c1258e08bf2b5

	Lines: +1, -1
	Files:	configure.ac (+1, -1)

	(Belatedly) add Hungarian translation

2019-11-29  <Robert Krawitz>	6e03402e52166a84f7d674b8407e97685a1a8043

	Lines: +1, -1
	Files:	scripts/build-release (+1, -1)

	Exclude .po files (from external source) from preflight

2019-11-29  <Robert Krawitz>	9a265de42ef4b65c67930a3d953e779a161de0d1

	Lines: +9, -1
	Files:	.travis.yml (+1, -0)
		scripts/build-release (+7, -0)
		scripts/travis/full (+1, -1)

	Check .po file fetch

2019-11-25  <Solomon Peachy>	ed9199e8fcb4d12c6e4a6ddaa17136706fef4b60

	Lines: +2, -2
	Files:	NEWS (+2, -2)

	NEWS:  Fix phrasing of some recent changes.

2019-11-23  <Solomon Peachy>	ae508c6528b68810f63b2ec9bdaf5bf2bbe10e16

	Lines: +1, -1
	Files:	src/main/print-dyesub.c (+1, -1)

	dyesub:  Make 'DyesubLegacyGamma' an ADVANCED option (rather than BASIC)

2019-11-20  <Solomon Peachy>	0d7f8b47cb36d82cdbad021a7497f92a92e13f2f

	Lines: +3, -3
	Files:	src/cups/backend_dnpds40.c (+3, -3)

	dyesub: backend:  Minor bugfix for DNP DS820 when printing from Windows.

2019-11-20  <Solomon Peachy>	abd1a4d6f1e29f94013a459ce764ea1df55371a2

	Lines: +2, -1
	Files:	NEWS (+1, -0)
		src/main/print-dyesub.c (+1, -1)

	dyesub:  Fix incorrect color order for the Mitsubishi CP-D90DW

	Printer needs RGB data, not BGR.

2019-11-17  <Solomon Peachy>	ecfed957dfc06b2d83984b87fddada41ec8f3be8

	Lines: +7, -8
	Files:	src/cups/backend_hiti.c (+7, -8)

	dyesub: backend:  Inorrect image position offset was being applied.

2019-11-15  <Solomon Peachy>	4b83300b653e935d00df90fd7e8e2ac2a47a788c

	Lines: +9, -7
	Files:	src/cups/backend_hiti.c (+7, -6)
		src/cups/backend_sonyupdneo.c (+2, -1)

	dyesub: backend:  Fix a couple of bugs in hiti and sonyneo code.

2019-11-14  <Solomon Peachy>	3238639fe041363f78b9d49ff3ac04bcdab04f25

	Lines: +25, -0
	Files:	NEWS (+25, -0)

	NEWS: Updated the changelog to reflect dyesub changes

2019-11-14  <Solomon Peachy>	08178089a44fe7c71444e2965f4c29ed8228a93a

	Lines: +15, -35
	Files:	src/main/print-dyesub.c (+15, -35)

	dyesub:  Consolidate some code in the UP-D898 and UP-CR20L

2019-11-14  <Robert Krawitz>	c2c298b9a74e5a485921bedc00e1cbac8d35f45f

	Lines: +24, -16
	Files:	NEWS (+14, -6)
		README (+5, -5)
		configure.ac (+5, -5)

	Prep for 5.3.4

2019-11-14  <Solomon Peachy>	8aa74670021075583f97dc4f8874695bce2a1c44

	Lines: +1, -1
	Files:	src/xml/printers/dyesub.xml (+1, -1)

	dyesub:  Add IEEE1284 ID for Sony UP-DR80MD

2019-11-14  <Solomon Peachy>	7bf3438d714e0bf6a854651df94a37c57d9ddecc

	Lines: +877, -2
	Files:	src/cups/Makefile.am (+1, -1)
		src/cups/backend_common.c (+1, -1)
		src/cups/backend_sonyupdneo.c (added +875)

	dyesub: backend:  Add backend for newer Sony printers

	Confirmed working:

	 UP-DR80MD

	WIP:

	   UP-DR80, UP-CR20L, UP-D898, UP-CX1

2019-11-14  <Solomon Peachy>	dddfb68d220371c0d441a3df56f74a88dc1ae875

	Lines: +287, -150
	Files:	src/cups/backend_canonselphy.c (+2, -1)
		src/cups/backend_canonselphyneo.c (+3, -1)
		src/cups/backend_common.c (+11, -19)
		src/cups/backend_common.h (+14, -2)
		src/cups/backend_dnpds40.c (+7, -5)
		src/cups/backend_hiti.c (+86, -14)
		src/cups/backend_kodak1400.c (+2, -1)
		src/cups/backend_kodak605.c (+5, -4)
		src/cups/backend_kodak6800.c (+8, -11)
		src/cups/backend_magicard.c (+3, -2)
		src/cups/backend_mitsu70x.c (+10, -8)
		src/cups/backend_mitsu9550.c (+24, -24)
		src/cups/backend_mitsud90.c (+33, -30)
		src/cups/backend_mitsup95d.c (+5, -3)
		src/cups/backend_shinkos1245.c (+8, -4)
		src/cups/backend_shinkos2145.c (+7, -4)
		src/cups/backend_shinkos6145.c (+35, -8)
		src/cups/backend_shinkos6245.c (+5, -3)
		src/cups/backend_sinfonia.c (+2, -1)
		src/cups/backend_sinfonia.h (+2, -1)
		src/cups/backend_sonyupd.c (+9, -4)
		src/cups/blacklist (+6, -0)

	dyesub: backend:  Upstream sync.  Mostly internal API changes.

2019-11-01  <Solomon Peachy>	c74848496239727e785b2a0d52cc9e0d17922e3c

	Lines: +2, -2
	Files:	src/main/print-dyesub.c (+2, -2)

	dyesub:  Fix a typo in affecting the UP-D80MD, UP-D898 and UP-CR20L.

	All remain EXPERIMENTAL, and not expected to work without further effort.

2019-10-30  <Solomon Peachy>	3dac7cb2be2143fa36424121fee680efefb31034

	Lines: +2, -2
	Files:	src/xml/printers/dyesub.xml (+2, -2)

	dyesub:  Add IEEE1284 IDs for Citizen CX-02 and CX-02W

2019-10-29  <Solomon Peachy>	aa52814500c3d6eea6ede0f2191731adcbf743b0

	Lines: +1, -1
	Files:	src/xml/printers/dyesub.xml (+1, -1)

	dyesub:  Add IEEE1284 ID for Kodak 6900. (Still completely untested)

2019-10-27  <Gernot Hassenpflug>	2f6dba0293d8b5e707b078f91ce3872e54f76470

	Lines: +2, -0
	Files:	NEWS (+2, -0)

	Added Canon E3190, E3195 to exisintg E3100 series.

2019-10-27  <Gernot Hassenpflug>	c0ee5e06b84025026b6b7e9072f4aa5f2c2d9771

	Lines: +2, -0
	Files:	src/xml/printers/canon.xml (+2, -0)

	Added Canon E3190, E3195 to exisintg E3100 series.

2019-10-25  <Solomon Peachy>	4e1f9ff9c1ff0d6a856a432171a56cac22212c88

	Lines: +34, -9
	Files:	src/cups/backend_dnpds40.c (+30, -9)
		src/cups/blacklist (+3, -0)
		src/xml/printers/dyesub.xml (+1, -0)

	dyesub:  Add support for Citizen CW-02W

2019-10-24  <Alexander Guz>	db9e1de4f96051efe49365a795c59996d3ecb86f

	Lines: +2, -2
	Files:	src/gutenprintui2/panel.c (+2, -2)

	Fixed incorrect free

2019-10-23  <Solomon Peachy>	bd639d7ba6bdc1cd9ad504170c8df2cfa7039c88

	Lines: +98, -20
	Files:	src/cups/backend_hiti.c (+86, -17)
		src/main/print-dyesub.c (+12, -3)

	dyesub:  hiti:  Properly identify model in the printjob header.

2019-10-10  <Robert Krawitz>	e2c6053b2c5c5e70915ec356626aed48e94a4643

	Lines: +1, -1
	Files:	scripts/gversion.in (+1, -1)

	Use modern command substitution syntax.

2019-10-10  <Robert Krawitz>	298f1c2e539336e65d892e51bad367a16bd597b3

	Lines: +2, -2
	Files:	configure.ac (+2, -2)

	Eliminate bash-ism (from Greg Troxel)

2019-10-06  <Robert Krawitz>	5854c97ca0c266cd53555aee2a96b6878c0bafbf

	Lines: +19, -1
	Files:	scripts/build-release (+19, -1)

	Clean up .po files after final build.

2019-10-04  <Solomon Peachy>	7da58012bd0bf39ffeb2a42fd311ae6d17e1b1a7

	Lines: +114, -192
	Files:	src/cups/backend_common.h (+2, -2)
		src/cups/backend_hiti.c (+105, -189)
		src/cups/blacklist (+7, -1)

	dyesub: hiti: backend robustness improvements, plus P720L/P750L

2019-10-04  <Solomon Peachy>	0db01091f86ff3fc149f4991cd8f367f2ceef364

	Lines: +8, -2
	Files:	src/main/print-dyesub.c (+8, -2)

	dyesub: hiti:  Fix all errors with HiTi testing found via regression tests.

2019-10-04  <Solomon Peachy>	0f51a759a8a7b621bb799522d46a8443acb70e60

	Lines: +1, -1
	Files:	src/main/print-dyesub.c (+1, -1)

	dyesub: hiti:  Fix Error in "PrintSpeed" definition

2019-10-04  <Solomon Peachy>	565bafadcb16ccbb8dd55804b99d758ef9624eed

	Lines: +113, -4
	Files:	src/main/print-dyesub.c (+111, -4)
		src/xml/printers/dyesub.xml (+2, -0)

	dyesub:  Add EXPERIMENTAL support for the HiTi P720L and P750L models

	(Backend changes to follow)

2019-10-04  <Solomon Peachy>	19afdcd99df3403f49222cebe233696894f2952c

	Lines: +1, -0
	Files:	src/xml/printers/dyesub.xml (+1, -0)

	dyesub:  Add HiTi P525L, functionally identical to the P520L

2019-10-02  <Solomon Peachy>	32d7e22f73ed9604c647e718f2a71a6b2762656f

	Lines: +232, -56
	Files:	src/cups/backend_hiti.c (+152, -54)
		src/main/print-dyesub.c (+80, -2)

	dyesub:  hiti-p520:  Further improvements

	 * Add additional print sizes
	 * Add ability to bypass printer color LUT
	 * Backend can issue resets
	 * Backend no longer queries certain parameters on startup
	 * Major improvements in job control (still flaky)

2019-10-01  <Solomon Peachy>	07fee0bb364dfc562e504dd25c1c3d075d8d549b

	Lines: +2035, -2
	Files:	src/cups/Makefile.am (+1, -1)
		src/cups/backend_common.c (+1, -1)
		src/cups/backend_hiti.c (added +2030)
		src/cups/blacklist (+3, -0)

	dyesub:  Add backend for HiTi P520L printer.

2019-10-01  <Solomon Peachy>	e7b1c8cc09dfe5f7dd2858e1c4d8f846c611d91b

	Lines: +133, -264
	Files:	src/cups/backend_canonselphy.c (+11, -16)
		src/cups/backend_canonselphyneo.c (+2, -11)
		src/cups/backend_common.c (+16, -5)
		src/cups/backend_common.h (+58, -54)
		src/cups/backend_dnpds40.c (+8, -16)
		src/cups/backend_kodak1400.c (+1, -10)
		src/cups/backend_kodak605.c (+2, -11)
		src/cups/backend_kodak6800.c (+1, -10)
		src/cups/backend_magicard.c (+4, -13)
		src/cups/backend_mitsu70x.c (+5, -13)
		src/cups/backend_mitsu9550.c (+3, -13)
		src/cups/backend_mitsud90.c (+2, -11)
		src/cups/backend_mitsup95d.c (+2, -11)
		src/cups/backend_shinkos1245.c (+1, -10)
		src/cups/backend_shinkos2145.c (+1, -10)
		src/cups/backend_shinkos6145.c (+12, -19)
		src/cups/backend_shinkos6245.c (+3, -11)
		src/cups/backend_sinfonia.c (+0, -10)
		src/cups/backend_sonyupd.c (+1, -10)

	dyesub:  Backend sync.

	 * #include cleanup
	 * DNP DS820 logs media subtype in CUPS marker message
	 * Report printer media identifier via PPD attribute

2019-10-01  <Solomon Peachy>	1029d7b4e1868e6ce0ecfae2ed68f2ef4c42a871

	Lines: +84, -0
	Files:	src/main/print-dyesub.c (+83, -0)
		src/xml/printers/dyesub.xml (+1, -0)

	dyesub:  Initial support for the HiTi P520L

	I had to define a new spool format for the HiTi models, as the Windows
	spool format was closely tied to Windows print subsystem internals.

2019-09-29  <Solomon Peachy>	9b003b8f1467348e79c5522199b1ed8546016599

	Lines: +2, -2
	Files:	src/cups/backend_kodak605.c (+2, -2)

	dyesub: backend:  kodak605/70xx: Fix inverted logic in printer idle detection

2019-09-29  <Solomon Peachy>	aca787c55cc5ed5abb1110961f64288d59c0e08f

	Lines: +2, -2
	Files:	src/main/print-dyesub.c (+2, -2)

	dyesub:  Legacy Gamma behavior defaults to OFF now.

2019-09-27  <Solomon Peachy>	daf34a9748952b305979bb849327b1de2cb609ec

	Lines: +741, -338
	Files:	src/cups/backend_kodak605.c (+125, -60)
		src/cups/backend_kodak6800.c (+8, -18)
		src/cups/backend_shinkos2145.c (+20, -48)
		src/cups/backend_shinkos6145.c (+47, -78)
		src/cups/backend_shinkos6245.c (+226, -84)
		src/cups/backend_sinfonia.c (+220, -30)
		src/cups/backend_sinfonia.h (+95, -20)

	dysub: backend:   Sinfonia/Kodak updates

	 * Consolidate media type queries
	 * Consolidate serial number queries
	 * Support parameter queries on most models
	 * Much more robust error handling
	 * Kodak 8810 "cutlist" support
	 * Correct max media capacity for Kodak 8810 8x10
	 * Kodak 7010/7015 backprint support (highly experimental)
	 * Kodak 605/70xx/8810 support disabling control panel buttons
	 * Tone curve get/set now functions correctly
	 * Kodak 6800/6850 reset command now functions correctly

2019-09-26  <Solomon Peachy>	b4c2287f3cf3cde38b85386b1eca44933354e203

	Lines: +28, -24
	Files:	src/cups/backend_common.c (+17, -15)
		src/cups/backend_common.h (+11, -9)

	dyesub: backend:  Don't error out of detaching kernel driver is not supported.

2019-09-26  <Solomon Peachy>	cf349f27b2c8d8f73a5f96226668e0db4880e1df

	Lines: +4, -3
	Files:	src/cups/backend_mitsud90.c (+4, -3)

	dyesub: backend: Fix incorrect info dump for two variables.

2019-09-26  <Solomon Peachy>	f4f2a58ba434097e56119bea95d55d5536c878c0

	Lines: +69, -15
	Files:	src/cups/backend_dnpds40.c (+69, -15)

	dyesub:  backend:  Report media subtype in CUPS marker message

2019-09-22  <Solomon Peachy>	9d53ec3625a432f3c8ce2f3928f069f42e4628dc

	Lines: +20, -21
	Files:	src/main/print-dyesub.c (+20, -21)

	dyesub:  Add multicut support to kodak 8800/9810

	(Completely untested, as is the rest of this printer's support...)

2019-09-22  <Solomon Peachy>	78c8732ca454f72cc71f2b6cc98af318b165c243

	Lines: +9, -8
	Files:	src/main/print-dyesub.c (+9, -8)

	kodak8810:  Support multicut sizes (8x4*2, 8x4*3, 8x5*2, 8x6*2)

	Will consider adding asymmetrical sizes (eg 8x6+8x4 or 8x8+8x4).

	(Interestingly, the printer supports arbitrary cutter control and any
	 print size up to the media max)

	Note that this requires backend changes that are not committed yet.
	Will follow.

2019-09-19  <Solomon Peachy>	4c8a78dea9a9e4891a32da92818c6c5ce56c67bd

	Lines: +0, -312
	Files:	src/main/print-dyesub.c (+0, -312)

	dyesub: Remove the per-printer gamma curve correction hooks.

	They haven't worked since 2006, and what few curves there were are wrong
	in light of the AppGamma fixes.  The proper place for these curves is at
	the application layer, via the likes of ICC profiles.

2019-09-17  <Gernot Hassenpflug>	53944aa37bf67e9b11f58c0274d9f78aca16e458

	Lines: +1, -0
	Files:	src/main/print-canon.c (+1, -0)

	Added support for Canon PIXMA GM series

2019-09-13  <Solomon Peachy>	ff1ecd81aeedaef63cce4e1eaca5cb61dcb97914

	Lines: +46, -9
	Files:	src/main/print-dyesub.c (+46, -9)

	dyesub:  Correct major bugs with gamma "correction"

	 * AppGamma was applied *after* LUT was created
	 * Per-printer curves were applied after all processing was complete

	This patch moves both calls to occur prior to stp_color_init(), so
	they have an effect on image processing:

	 * The AppGamma change affects all dyesub printers, resulting in prints
	   with visibly improved contrast and tonal range.  An option
	   (LegacyDyesubGamma) was added to allow reverting to the old behavior.

	 * Existing per-printer curves have been explicitly disabled.  This is
	   because they have been implicitly disabled since 2006, and need to be
	   re-evaluated in light of the AppGamma change. They can be enabled by
	   undefining DISABLE_LEGACY_CURVES in print-dyesub.c.

	   Here are the affected models:

	    Olympus P200, P300, P400 series
	    Canon Selphy Series
	    Sony UP-DR10

2019-09-13  <Solomon Peachy>	134a3c3f78b7539935d9978e3d8fe1de4082abe2

	Lines: +2, -0
	Files:	src/cups/backend_mitsu9550.c (+2, -0)

	dyesub: backend:  Tweak the warning suppression for GCC < 9

2019-09-11  <Solomon Peachy>	8ac82c6f5716ec4009ee4c8c47c09770b4fa2918

	Lines: +5, -5
	Files:	src/xml/printers/dyesub.xml (+5, -5)

	dyesub:  Fix incorrect XML driverid definitions for several models.

2019-09-10  <Solomon Peachy>	4722f7f8bdcb6b00f99360c6f87083121226b8b6

	Lines: +8, -1
	Files:	src/cups/backend_mitsu9550.c (+8, -1)

	dyesub: backend:  Silence a set of build warnings on GCC9.

	(it's a false positive, so just disable the warning until a planned
	rewrite of this code eventually comes to pass..)

2019-09-09  <Solomon Peachy>	1bcf0110b5baaebea972c3e01e0ab48bc3e70df8

	Lines: +4, -4
	Files:	src/main/print-dyesub.c (+4, -4)

	dyesub:  shinko-s6245:  Correct 8x12-div3 print size.

2019-09-07  <Solomon Peachy>	1ba39c69fedf65d42a7c39f66db5f07c8473e625

	Lines: +2, -5
	Files:	src/main/print-dyesub.c (+2, -5)

	dyesub:  Fix a boneheaded regression introduced on the DNP RX1.

	(introduced in 1f60b4e0e9fd44cc4a35950fb9826f03732266d)

2019-09-06  <Solomon Peachy>	0e39152ba9aaf19c60103fd14abf3a7e21aaa59b

	Lines: +270, -18
	Files:	src/cups/backend_shinkos6245.c (+236, -12)
		src/main/print-dyesub.c (+34, -6)

	dyesub: kodak8810:  Support 8x5 and 8x6" sizes.

	(And some backend fixes too)

2019-09-06  <Solomon Peachy>	61f60b4e0e9fd44cc4a35950fb9826f03732266d

	Lines: +3, -13
	Files:	src/main/print-dyesub.c (+3, -13)

	dyesub: dnp: nocutwaste cleanups for all models.

2019-09-01  <Solomon Peachy>	75666965635d2fde93812ddde8991fe641cceabe

	Lines: +14, -11
	Files:	src/cups/backend_shinkos1245.c (+0, -10)
		src/cups/backend_sinfonia.h (+14, -1)

	dyesub: backend:  Fix compile errors in backend.

2019-09-01  <Solomon Peachy>	5d820351c2781b6a623893111ad799897513b86e

	Lines: +91, -9
	Files:	src/main/print-dyesub.c (+90, -9)
		src/xml/printers/dyesub.xml (+1, -0)

	dyesub:  Preliminary support for the Kodak 6900

	Backend work is still necessary!

2019-09-01  <Solomon Peachy>	b5a4b69dcd2f5227623a7d204f9c31998bdbd61c

	Lines: +52, -18
	Files:	src/cups/backend_kodak605.c (+52, -18)

	dyesub: backend:  Kodak 605 and 70xx series have four "buffers"

	So account for all of them.  Also, >4x6 prints need two free buffers instead
	of one.

2019-09-01  <Solomon Peachy>	a6d9dee3ebb7414843e83e57c75f91184dce841c

	Lines: +40, -74
	Files:	src/cups/backend_kodak6800.c (+40, -74)

	dyesub: backend:  Fix printer reset for the Kodak 68xx series

2019-08-27  <Robert Krawitz>	2bcf16fa9142dd7e7e80b806bc882cb0e0279a7a

	Lines: +1, -1
	Files:	scripts/build-release (+1, -1)

	Fix quote.

2019-08-27  <Robert Krawitz>	a804a080062101e181efe62a4f88fa9069824ff5

	Lines: +4, -4
	Files:	scripts/Makefile.am (+4, -4)

	Distribute the .in scripts

2019-08-25  <Robert Krawitz>	374243ab5c65800bd4b0c9173d1fd98e3a69c07f

	Lines: +1, -0
	Files:	scripts/build-release (+1, -0)

	Repeat distcheck_minimal after tagging the repo to pick up

	the new release in the git-version-stamp.

2019-08-25  <Robert Krawitz>	587c7e4675afd6fbd67a520301a4a46aa88f6063

	Lines: +40, -5
	Files:	scripts/build-release (+40, -5)

	Fix generated tag and package names.

	Generate the printer list in full, including the header and footer.

===============================================================================
Name: gutenprint-5_3_3

2019-08-25  <Robert Krawitz>	38b887592640924df0d9e26a5ab6737f708ab6a9

	Lines: +0, -0
	Files:	src/testpattern/Checksums/sums.gutenprint-5.3.3.zpaq (added +0)

	Gutenprint gutenprint-5.3.3 release

2019-08-25  <Robert Krawitz>	ee7fdeebf2bda2e0412fdd7731ec4b824488f5f5

	Lines: +18, -17
	Files:	NEWS (+4, -4)
		README (+8, -7)
		configure.ac (+6, -6)

	Prep 5.3.3

2019-08-20  <Solomon Peachy>	7a0b8f72dd8213371a96c8357c7865859ba79fe0

	Lines: +33, -51
	Files:	src/main/print-dyesub.c (+33, -51)

	dyesub: dnp-ds620:  Clean up cutter control code a bit.

2019-08-18  <Stephen Letter>	2a3b02a8d83e1186f75e1f367ab380e22e6f1b24

	Lines: +10, -10
	Files:	macosx/makegutenpkg.sh (+10, -10)

	first update of Mac Build script for 5.3

2019-08-15  <Solomon Peachy>	75bb2d2ae2d757a012e7e99365bc0106280a7bc3

	Lines: +52, -35
	Files:	src/cups/backend_kodak605.c (+23, -27)
		src/cups/backend_shinkos6245.c (+29, -8)

	dyesub: backends:  Bugfixes for Kodak 8810, 70xx, and 605 printers.

	 * Better error handling for 70xx/605
	 * Better detection of printer busy for 70xx/605
	 * 8810 reports remaining media properly

2019-08-13  <Solomon Peachy>	2f4213120ec785f503ced7ca1d0eceabfdc3e754

	Lines: +46, -19
	Files:	src/cups/backend_shinkos6245.c (+27, -8)
		src/cups/backend_sinfonia.c (+1, -0)
		src/cups/backend_sinfonia.h (+7, -4)
		src/main/print-dyesub.c (+10, -6)
		src/xml/printers/dyesub.xml (+1, -1)

	dyesub:  Kodak 8810 is now usable, and no longer considerd experimental.

2019-08-12  <Solomon Peachy>	938c526c33eb51b66aeae8b663009178d024890c

	Lines: +59, -23
	Files:	src/cups/backend_kodak605.c (+16, -8)
		src/cups/backend_sinfonia.c (+14, -3)
		src/cups/backend_sinfonia.h (+20, -5)
		src/main/print-dyesub.c (+8, -6)
		src/xml/printers/dyesub.xml (+1, -1)

	dyesub:  The Kodak 7000 is now usable, and no longer considered experimental.

	The Kodak 7010 and 7015 are likely functional too, but this has not been confirmed.

2019-08-12  <Solomon Peachy>	6674a7de7c7501aae2340aacc073b71f14daefb7

	Lines: +1, -1
	Files:	src/main/print-dyesub.c (+1, -1)

	dyesub:  Directly generate YMC planar data for Sinfonia S6145 family.

	Manufacturer drivers generate BGR packed, which the backend has to
	translate to TMC planar before further processing and sending to the
	printer.  This code was written in early 2017 but nobody was able to
	test it until now.

2019-08-10  <Solomon Peachy>	b5ff93d565937701d1ce655692cf8e72abc97b7b

	Lines: +2, -2
	Files:	src/cups/backend_shinkos6145.c (+2, -2)

	dyesub: backend:  Fix another bad sizeof() in the media query code.

2019-08-10  <Solomon Peachy>	cdc7bcfcdd0bf7c0f28cc50c706e6909413aa88e

	Lines: +3, -3
	Files:	src/cups/backend_shinkos6145.c (+3, -3)

	dyesub:  backend:  Fix a null pointer dereference in the printer attach code.

2019-08-04  <Robert Krawitz>	7057f60c3e184fbb1151c5c101b9c156db9cbd14

	Lines: +2, -0
	Files:	NEWS (+1, -0)
		src/xml/printers/escp2.xml (+1, -0)

	Support Epson L130

2019-08-03  <Robert Krawitz>	f1284d089486d16052f61f65757aadccaa122232

	Lines: +2, -2
	Files:	scripts/build-release (+2, -2)

	Generate environment list more robustly

2019-07-20  <Robert Krawitz>	aaf86a139f2562a5cc5bbe4eddf5af2748fd1d86

	Lines: +32, -23
	Files:	scripts/build-release (+23, -14)
		scripts/wzpaq.in (+9, -9)

	Minor cleanup

2019-07-16  <Solomon Peachy>	71d4ea3ce4e2b7294b7eeca3886e4969949e4547

	Lines: +9, -9
	Files:	src/cups/backend_kodak6800.c (+2, -2)
		src/cups/backend_shinkos6145.c (+3, -3)
		src/cups/backend_sinfonia.c (+1, -1)
		src/cups/backend_sinfonia.h (+3, -3)

	dyesub: backend:  Silence some compile warnings on newer GCCs.

	(there were some unchecked return codes from the write() syscall)

2019-07-16  <Solomon Peachy>	2ac1ac91b4f661a81cc11f0ed423ca7399ffaad7

	Lines: +269, -82
	Files:	src/cups/backend_dnpds40.c (+269, -82)

	dyesub: backend:  DNP:  Support parsing the windows spool format.

	Verified on the RX1, DS620, and DS820.

	DS80DX is the only unknown, as its windows drivers are braindead.

2019-07-13  <Solomon Peachy>	2107f9dac1e0db648598d9c9c7c7f0c250001e8f

	Lines: +10, -8
	Files:	src/cups/backend_kodak6800.c (+8, -6)
		src/cups/backend_shinkos1245.c (+2, -2)

	dyesub: backend:  Fix major regressions for Kodak 6800/6850 and Shinko S1245

	 * Printer-generated copies incorrectly byteswapped a BCD field.
	 * 6800/6850 missed a necessary byteswap.

2019-07-13  <Solomon Peachy>	dc49153d9f78d1adb7655ba153a838c3b172573f

	Lines: +111, -2
	Files:	NEWS (+4, -1)
		src/main/print-dyesub.c (+105, -0)
		src/xml/printers/dyesub.xml (+2, -1)

	dyesub: Preliminary support for Sinfonia CHC-S2245

2019-06-22  <Robert Krawitz>	353480ddd99c39fb16dfa1068def7978612ef52b

	Lines: +59, -37
	Files:	NEWS (+24, -5)
		README (+35, -32)

	Update CUPS documentation

2019-06-22  <Robert Krawitz>	80cce63d63757b3d41dbc1c604327527876c27ba

	Lines: +28, -3
	Files:	configure.ac (+28, -3)

	Error out if CUPS devel is not installed unless user specified --without-cups

2019-06-15  <Robert Krawitz>	e55733ff91ca46ee8bbfb2716cff2582437b3ad0

	Lines: +44, -25
	Files:	scripts/autogen.sh (+1, -1)
		scripts/build-release (+43, -24)

	Clean up shellcheck warnings

2019-06-07  <Robert Krawitz>	7d22dc54155bee946962fa669371f5e7b71a477e

	Lines: +9, -1
	Files:	scripts/build-release (+9, -1)

	Report environment variables

2019-06-05  <Solomon Peachy>	9aa804dab974147299226d9d8c60633cb13b24bc

	Lines: +1268, -1577
	Files:	src/cups/backend_canonselphy.c (+0, -10)
		src/cups/backend_canonselphyneo.c (+0, -10)
		src/cups/backend_common.c (+22, -4)
		src/cups/backend_common.h (+10, -0)
		src/cups/backend_dnpds40.c (+9, -2)
		src/cups/backend_kodak1400.c (+0, -10)
		src/cups/backend_kodak605.c (+299, -319)
		src/cups/backend_kodak6800.c (+74, -65)
		src/cups/backend_magicard.c (+1, -10)
		src/cups/backend_mitsu70x.c (+1, -1)
		src/cups/backend_mitsud90.c (+0, -10)
		src/cups/backend_mitsup95d.c (+0, -10)
		src/cups/backend_shinkos1245.c (+1, -21)
		src/cups/backend_shinkos2145.c (+36, -184)
		src/cups/backend_shinkos6145.c (+68, -484)
		src/cups/backend_shinkos6245.c (+47, -425)
		src/cups/backend_sinfonia.c (+560, -0)
		src/cups/backend_sinfonia.h (+112, -2)
		src/cups/backend_sonyupd.c (+10, -10)
		src/cups/blacklist (+18, -0)

	dyesub:  backend:  Synchronize the latest Sinfonia code

	 * Code unification and consolidation.
	 * Small pile of memory leaks and other issues from static analysis
	 * Preliminary Kodak 70xx and Kodak 8810 support
	 * Preliminary Sinfonia S2245, Kodak 6900, and HiTi M610 support

2019-05-27  <Robert Krawitz>	0421c7ae9b9211ef68c1cfdb4b696f7a3ca5c135

	Lines: +1, -1
	Files:	scripts/build-release (+1, -1)

	distcheck_minimal should precede prep_release

2019-05-27  <Robert Krawitz>	44b6d9629cb52e579ddc0a0f24974b7344435e41

	Lines: +7, -2
	Files:	scripts/build-release (+7, -2)

	Fix the name of the tarball to be saved.

2019-05-26  <Robert Krawitz>	0ca6426d26e30cf30d66c85bfab70bfe9ffc8d12

	Lines: +1, -1
	Files:	src/testpattern/Makefile.am (+1, -1)

	Finish fixing the name of the checksums file

2019-05-26  <Robert Krawitz>	44acb55447d087594bdf9fc7e41fa16cc0d1ac3e

	Lines: +5, -1
	Files:	scripts/build-release (+5, -1)

	maintainer-clean should succeed if there's no top makefile

2019-05-25  <Robert Krawitz>	ab173fe5a54903fed9cc6e23d49777ce3c9cae02

	Lines: +6, -1
	Files:	scripts/build-release (+5, -0)
		src/testpattern/Makefile.am (+1, -1)

	Fix checksum filename, add run_maintainer_clean to build-release

2019-05-25  <Robert Krawitz>	fd32f7dc5292acf9073911dd4bae03856a63f301

	Lines: +1, -1
	Files:	src/testpattern/Makefile.am (+1, -1)

	Fix checksum filename for snapshot

2019-05-25  <Robert Krawitz>	9be54a7a82508f78032b7695f506f40d3c1e6409

	Lines: +1, -1
	Files:	scripts/snapstamp (+1, -1)

	Colons in paths cause problems for libtool.

2019-05-25  <Robert Krawitz>	9cb08cb8cfe5aafb924e24ce3a594378d20c45ce

	Lines: +1, -0
	Files:	Makefile.am (+1, -0)

	Looks like we need to pre-build src/xml/xmli18n-tmp.h after

	all for now.

2019-05-25  <Robert Krawitz>	735d83b267c5fd5958faa603363988f2d8e69672

	Lines: +5, -5
	Files:	scripts/build-release (+5, -5)

	Don't add the checksums file (for now, at any rate)

2019-05-25  <Robert Krawitz>	a7fc7520fc75a22a9854703b72407404ee1da3f8

	Lines: +3, -2
	Files:	scripts/build-release (+2, -1)
		scripts/snapstamp (+1, -1)

	Put date in snapshot ID

2019-05-25  <Robert Krawitz>	a21b5b89bc073415c32d5a324d05fd919b4a037a

	Lines: +7, -5
	Files:	Makefile.am (+7, -5)

	Only dist needs to depend on xmli18n-tmp.h.

	This isn't really correct; it should be any build in the po directory,
	but it's hard to inject dependencies there.

2019-05-25  <Robert Krawitz>	670ff64d0184133409f607776b7a875dea6222f2

	Lines: +9, -2
	Files:	scripts/gversion.in (+9, -2)

	Try to find the most appropriate tag.

2019-05-25  <Robert Krawitz>	4c0bd81e0d988b5e2c6a837af6f0f5702decda11

	Lines: +1, -1
	Files:	scripts/build-release (+1, -1)

	Don't use tput unless TERM is set.

2019-05-24  <Robert Krawitz>	60bbfde3bf039043fd6656228a825301bb6fb472

	Lines: +363, -377
	Files:	Makefile.am (+6, -2)
		m4local/stp.m4 (added +37)
		m4local/stp_cups.m4 (added +148)
		m4local/stp_option.m4 (added +172)
		scripts/autogen.sh (+0, -375)

	Put the stp*.m4 files in the m4local directory as should properly be the case.

	Allow running make dist* without doing a make right after autogen.

2019-05-23  <Robert Krawitz>	ed9833828b623b72f975ec7cf628c2837350265d

	Lines: +420, -394
	Files:	Makefile.am (+7, -26)
		m4/stp.m4 (removed -37)
		m4/stp_cups.m4 (removed -148)
		m4/stp_option.m4 (removed -173)
		scripts/Makefile.am (+14, -1)
		scripts/autogen.sh (+379, -6)
		src/main/Makefile.am (+8, -3)
		src/xml/dither/Makefile.am (+1, -0)
		src/xml/escp2/inks/Makefile.am (+1, -0)
		src/xml/escp2/inputslots/Makefile.am (+1, -0)
		src/xml/escp2/media/Makefile.am (+1, -0)
		src/xml/escp2/mediasizes/Makefile.am (+1, -0)
		src/xml/escp2/model/Makefile.am (+1, -0)
		src/xml/escp2/model/base/Makefile.am (+1, -0)
		src/xml/escp2/qualitypresets/Makefile.am (+1, -0)
		src/xml/escp2/resolutions/Makefile.am (+1, -0)
		src/xml/escp2/weaves/Makefile.am (+1, -0)
		src/xml/papers/Makefile.am (+1, -0)
		src/xml/printers/Makefile.am (+1, -0)

	make maintainer-clean improvements

2019-05-23  <Robert Krawitz>	64751440a0aa3bfc413e1cf9d8479947cd28b601

	Lines: +7, -0
	Files:	scripts/autogen.sh (+7, -0)

	Test for glib-mkenums, needed for maintainer build

2019-05-21  <Solomon Peachy>	62b8caf6cad9a33ffbeee17ec0f0b51bca8bb44f

	Lines: +4, -4
	Files:	src/xml/printers/dyesub.xml (+4, -4)

	dyesub:  Add IEEE1284 IDs for Kodak 8800, 7000, 7010, and 8810

2019-05-20  <Solomon Peachy>	e68021ff23826827470f208f3bc402e1949cca40

	Lines: +2, -2
	Files:	src/main/print-dyesub.c (+2, -2)

	dyesub:  Mark a couple of DS80DX print sizes as sheet-media only.

	Purely cosmetic but it will help prevent some user confusion.

2019-05-18  <Solomon Peachy>	16f5847d6db72e71642308b385df104481dc8299

	Lines: +3, -2
	Files:	NEWS (+3, -2)

	NEWS update.

2019-05-18  <Solomon Peachy>	162f1710e726da93058f22047534c2a9081c0ec3

	Lines: +1, -1
	Files:	src/xml/printers/dyesub.xml (+1, -1)

	dyesub:  Mark DS80DX as no longer experimental

2019-05-18  <Solomon Peachy>	7adf5da9fe541fb909177f354d5236e610415395

	Lines: +3, -1
	Files:	src/main/print-dyesub.c (+3, -1)

	dyesub:  Fix duplex job generation for DNP DS80DX

2019-05-17  <Robert Krawitz>	61c86f853c4ee2086a61d8ac6464c888b8d95d21

	Lines: +3, -1
	Files:	scripts/build-release (+3, -1)

	Fix -u error

2019-05-17  <Robert Krawitz>	ffe75f26ab17a4d6639aabee13fe2f904db78337

	Lines: +5, -2
	Files:	scripts/Makefile.am (+5, -2)

	Fix MAINTAINERCLEANFILES

2019-05-17  <Robert Krawitz>	5a78094c527a522b321fc3f7532c868f6ffee404

	Lines: +0, -117
	Files:	src/cups/Makefile.am (+0, -1)
		src/cups/README (removed -116)

	Remove obsolete CUPS README

2019-05-17  <Robert Krawitz>	9d5d3049c7ae91b225b18ada1e9d061055c1a007

	Lines: +1, -1
	Files:	src/cups/Makefile.am (+1, -1)

	Fix release build

2019-05-17  <Robert Krawitz>	453366c903b94f20ecb149a205b76f400e6abbfa

	Lines: +0, -3
	Files:	macosx/README (+0, -3)

	Clean up trailing whitespace

2019-05-17  <Solomon Peachy>	90949452d313a1702bf8155cbd7e29734779c7ef

	Lines: +2216, -3309
	Files:	src/cups/Makefile.am (+1, -1)
		src/cups/backend_canonselphy.c (+7, -3)
		src/cups/backend_common.c (+19, -14)
		src/cups/backend_common.h (+3, -2)
		src/cups/backend_kodak1400.c (+8, -8)
		src/cups/backend_kodak605.c (+155, -108)
		src/cups/backend_kodak6800.c (+53, -326)
		src/cups/backend_magicard.c (+1, -0)
		src/cups/backend_mitsu70x.c (+13, -2)
		src/cups/backend_mitsu9550.c (+200, -218)
		src/cups/backend_mitsup95d.c (+8, -1)
		src/cups/backend_shinkos1245.c (+46, -431)
		src/cups/backend_shinkos2145.c (+243, -688)
		src/cups/backend_shinkos6145.c (+251, -827)
		src/cups/backend_shinkos6245.c (+191, -679)
		src/cups/backend_sinfonia.c (added +582)
		src/cups/backend_sinfonia.h (added +434)
		src/cups/backend_sonyupd.c (+1, -1)

	dyesub:  backend:  Resync with upstream

	 * Small pile of memory leaks and static analysis problems fixed
	 * Mitsubishi 98xx series now relies on libMitsuImageReProcess
	 * Sinfonia/Shinko printers share a lot of common code now
	   (over 1KLOC of code reductions so far, more will come)

2019-05-17  <Solomon Peachy>	99e894ac38f502887c5f46ef35517922a3f2c26c

	Lines: +125, -73
	Files:	src/cups/backend_dnpds40.c (+125, -73)

	dyesub: backend:  Many fixes for the DNP DS80DX

2019-05-15  <Stephen Letter>	1bfd2c082aa9fdecfb2b51e266fc22761f06159d

	Lines: +24, -108
	Files:	macosx/README (+19, -107)
		macosx/libusb--1.0.22.high_sierra.bottle.tar.gz (added +0)
		macosx/makegutenpkg.sh (+5, -1)

	Update build script and build documentation.  Add libusb

2019-05-14  <Robert Krawitz>	bf67fdf7c9bab1182ec61a6cf5ef70b20d4015d9

	Lines: +13, -11
	Files:	scripts/build-release (+12, -5)
		scripts/snapstamp (+1, -6)

	Take timestamp out of snapshot name

	Fine tune final message for snapshot

2019-05-13  <Robert Krawitz>	d15abe297b2ca6212dd77b4849abd196b1ec1d72

	Lines: +3, -1
	Files:	Makefile.am (+1, -1)
		scripts/Makefile.am (+2, -0)

	Minor build fixes

2019-05-13  <Robert Krawitz>	e0bbd9747f4a3157e4d36b7493221d70e5b83787

	Lines: +0, -0
	Files:	src/testpattern/Checksums/sums.5.3.2-pre1-bb758d38-2019-05-13T08_46_12.zpaq (added +0)

	Gutenprint 5.3.2-pre1-bb758d38-2019-05-13T08_46_12 release

2019-05-12  <Robert Krawitz>	855850cabe5a8ec0a6c3e037618eac0949090a32

	Lines: +0, -0
	Files:	src/testpattern/Checksums/sums.5.3.2-pre1-e8ca3aa4-2019-05-12T22_12_52.zpaq (added +0)

	Gutenprint 5.3.2-pre1-e8ca3aa4-2019-05-12T22_12_52 release

2019-05-12  <Robert Krawitz>	e8ca3aa4c5dde7a55699ac177572587b10b56082

	Lines: +1, -1
	Files:	scripts/snapstamp (+1, -1)

	Put the timestamp last to make it easier to parse out.

2019-05-12  <Robert Krawitz>	6ca7b61c8850107ea168f097040712c7864da517

	Lines: +2, -2
	Files:	scripts/build-release (+2, -2)

	Protect STP_BUILD_SNAPSHOT

2019-05-12  <Robert Krawitz>	47c15069b6dca2caea2973cf8a000f64eef90f9b

	Lines: +78, -10
	Files:	Makefile.am (+32, -3)
		configure.ac (+4, -2)
		scripts/build-release (+17, -5)
		scripts/snapstamp (added +25)

	Add snapshot bulid capability

2019-05-12  <Robert Krawitz>	a930cfa099918d1d8ece7b6741e4f60ff4d25b7a

	Lines: +10, -15
	Files:	scripts/build-release (+10, -15)

	Fix failure reporting

2019-05-12  <Solomon Peachy>	73566efcc2adf57cb2b80a7570ab43fd4b2a644d

	Lines: +44, -17
	Files:	src/cups/backend_kodak6800.c (+11, -8)
		src/main/print-dyesub.c (+33, -9)

	dyesub:  Extend unofficial size support to Kodak 6800

	...And properly generate the header's 'mode' field.

2019-05-12  <Solomon Peachy>	e638e32eb1c08a3eb3286877ccf50e4ba8d6e551

	Lines: +15, -12
	Files:	src/cups/backend_kodak6800.c (+13, -10)
		src/main/print-dyesub.c (+2, -2)

	dyesub:  Kodak6850 now has 4x6-div2 enabled!

2019-05-12  <Solomon Peachy>	2aa0ea3f62f197c0dd868e06f3d6f9fa137a5aff

	Lines: +173, -83
	Files:	src/cups/backend_kodak6800.c (+144, -79)
		src/main/print-dyesub.c (+29, -4)

	dyesub:  Kodak 6800, 6850, and 605 offically supports 2x6 & 3x6 sizes

	 * Need updated firmware to use this
	 * Enabled unofficial 8x6-div2, 6x6, and 6x6-div2 sizes

	Verified on 6850 only!

2019-05-11  <Solomon Peachy>	4ef5442950ff3eaace81130da067a9fd48e3317e

	Lines: +2, -9
	Files:	src/cups/backend_kodak6800.c (+1, -4)
		src/cups/backend_shinkos1245.c (+1, -5)

	dyesub: backend: Fix Shinko S1245 and Kodak 68xx when submitting more than two jobs back-to-back

2019-05-10  <Solomon Peachy>	ea565c9480a060d896c198a871d3a3aec6857a0b

	Lines: +67, -22
	Files:	src/cups/backend_sonyupd.c (+67, -22)

	dyesub: backend:  Update Sony UP-D backend.

2019-04-23  <Solomon Peachy>	7a48bc1543ab7e7b33b276a981eca54e93eb19d8

	Lines: +2, -2
	Files:	src/main/print-dyesub.c (+2, -2)

	dyesub: Corrections for Sony UP-D898 family.

2019-04-23  <Solomon Peachy>	65b0a2dee153405bbbf941b498f7020730c29e38

	Lines: +238, -2
	Files:	NEWS (+1, -0)
		src/main/print-dyesub.c (+236, -2)
		src/xml/printers/dyesub.xml (+1, -0)

	dyesub:  Preliminary support for the Sony UP-DR80MD

	(Apparently it's different from the non-MD version!)

2019-04-23  <Robert Krawitz>	b2ec8a0c09a54ec91dde6ee9315b26bc861346b3

	Lines: +1, -1
	Files:	scripts/build-release (+1, -1)

	Fix typo in emptyfiles... fix

2019-04-23  <Robert Krawitz>	6d7a04b3dc8c0883abc904e5ac1834ae386762ee

	Lines: +2, -2
	Files:	scripts/build-release (+2, -2)

	Another unbound variable fix

2019-04-22  <Robert Krawitz>	a9fb5eaab39f7f7b80c352181050e59f94802827

	Lines: +37, -16
	Files:	scripts/build-release (+37, -16)

	Miscellaneous build script fixes:

	- Fix failed modules logic
	- Slightly shorten CPU output
	- Treat typoed module names as not found failures
	- Improve reporting of finis output

2019-04-22  <Robert Krawitz>	4d2676a0552304c7e72f4547eff25861cda10071

	Lines: +8, -9
	Files:	scripts/build-release (+8, -9)

	Fix a few more unbound variables and exit logic

2019-04-22  <Robert Krawitz>	eceb356119c9906bd1d76abba3444a6f9b7b9de6

	Lines: +136, -68
	Files:	scripts/build-release (+136, -68)

	Fix many issues with the build script.

2019-04-20  <Solomon Peachy>	1dc11a2c81dff61321577e2e2528bc835f079331

	Lines: +7, -0
	Files:	src/cups/backend_sonyupd.c (+7, -0)

	dyesub:  backend:  Correct a regression with the Sony UP-DR897

2019-04-20  <Solomon Peachy>	52fe4ba53d380b4389eb37fac1e3ccb9bb3702aa

	Lines: +1, -1
	Files:	src/cups/backend_sonyupd.c (+1, -1)

	dyesub: backend:  Fix critical regression on UP-DR150/UP-DR200

2019-04-19  <Solomon Peachy>	9c1d425c0f2cfcfd2b3cfa653c2eff8bfb538341

	Lines: +233, -0
	Files:	NEWS (+3, -0)
		src/main/print-dyesub.c (+228, -0)
		src/xml/printers/dyesub.xml (+2, -0)

	dyesub:  Experimental support for Sony UP-CR20L / DNP DS-SL20

2019-04-19  <Solomon Peachy>	98b2d3d9d949ee4a36603eca13c9c2cfb4648c80

	Lines: +190, -13
	Files:	NEWS (+2, -0)
		src/main/print-dyesub.c (+187, -13)
		src/xml/printers/dyesub.xml (+1, -0)

	dyesub:  Add preliminary support for the Sony UP-D898 family.

	Completely untested.  Won't commit backend until I get someone to test
	this stuff out.  And supply a USB PID..

2019-04-12  <Solomon Peachy>	1ecf48a7fc8f2f8d68d61ce661c393ee5224572d

	Lines: +64, -55
	Files:	src/cups/Makefile.am (+1, -1)
		src/cups/backend_common.c (+2, -2)
		src/cups/{backend_sonyupdr150.c => backend_sonyupd.c} (+61, -52)

	dyesub:  Backend:  Update latest Sony code.

	Verified on UP-D895, UP-D897, and UP-CR10L

	(Still need UP-DR150/UP-DR200..)

2019-04-12  <Solomon Peachy>	f925f4c51ed6ca7777fba707ab5742df5e88429b

	Lines: +27, -15
	Files:	NEWS (+2, -3)
		src/main/print-dyesub.c (+24, -11)
		src/xml/printers/dyesub.xml (+1, -1)

	dyesub:  Bugfixes for Sony UP-CR10L, should work great now!

2019-04-09  <Gernot Hassenpflug>	713bf91548877f5d802d74041c29d366d11be0d9

	Lines: +1, -0
	Files:	NEWS (+1, -0)

	Added Samsung ProXpress SL-M3820ND as alias for HP Laserjet 4050

2019-04-09  <Gernot Hassenpflug>	8d3875d1589eb78f01aa72619c98ea1cc90ddf06

	Lines: +1, -0
	Files:	src/xml/printers/pcl.xml (+1, -0)

	Added Samsung ProXpress SL-3820ND as alias for HP Laserjet 4050

2019-03-28  <Gernot Hassenpflug>	d5486a7947550d1d98e1cd625b08c8d2c95028d9

	Lines: +15, -0
	Files:	src/xml/printers/canon.xml (+15, -0)

	Added several models to existing Canon series.

2019-03-28  <Gernot Hassenpflug>	df67d3fa45573eb991b73da4e6663c6e9490504c

	Lines: +18, -0
	Files:	NEWS (+18, -0)

	Added several models to existing Canon series.

2019-03-24  <Robert Krawitz>	5554a22b0dafb1a60f11eaf93721d9ad40076787

	Lines: +5, -1
	Files:	scripts/count-cpus (+5, -1)

	Fix apparently non-portable construct.

2019-03-24  <Robert Krawitz>	530278e877479b5c95c3c88b0bd79ecd9f292559

	Lines: +301, -250
	Files:	scripts/build-release (+296, -241)
		scripts/count-cpus (+1, -5)
		scripts/travis/checksums (+1, -1)
		scripts/travis/full (+1, -1)
		scripts/travis/integration (+1, -1)
		scripts/travis/smoke (+1, -1)

	Rework build-release script

2019-03-24  <Robert Krawitz>	1b15a0c873b7e58a8e2ffe70f5bc5096a1f2bcff

	Lines: +4, -2
	Files:	src/testpattern/run-testpattern-2.in (+4, -2)

	Defend against 0/negative values of parallelism

2019-03-23  <Robert Krawitz>	a1a66c7feb4d6b1401c5b2dc87dfb500a6425a00

	Lines: +0, -0
	Files:	src/testpattern/Checksums/sums.5.3.2-pre1.zpaq (added +0)

	Gutenprint 5.3.2-pre1 release

2019-03-23  <Robert Krawitz>	7eaf98acf2e0e42d8d459b8dfe85e9bb7b370414

	Lines: +16, -11
	Files:	NEWS (+9, -4)
		README (+1, -1)
		configure.ac (+6, -6)

	Bump version

2019-03-23  <Robert Krawitz>	b56202c376a4f192ed89bcaac8511de83e258117

	Lines: +46, -46
	Files:	scripts/build-release (+46, -46)

	Minor cleanup

2019-03-21  <Solomon Peachy>	2b8920287c69da4c666b4e7cf127ffd85c21acf8

	Lines: +7, -6
	Files:	src/cups/backend_sonyupdr150.c (+7, -6)

	dyesub:  Bugfixes for the sony backend, UP-DR897 works great now.

2019-03-20  <Solomon Peachy>	d5cae6364e12c6b75c69cff0f850a706c2e7cdd8

	Lines: +6, -0
	Files:	src/cups/blacklist (+6, -0)

	dyesub:  Add UP-D895/897 to CUPS USB blacklist.

2019-03-19  <Solomon Peachy>	279841d0ba30c125c6db90a91b2c850fe9889fbf

	Lines: +938, -72
	Files:	NEWS (+2, -1)
		src/cups/backend_common.h (+23, -2)
		src/cups/backend_sonyupdr150.c (+458, -63)
		src/main/print-dyesub.c (+453, -6)
		src/xml/printers/dyesub.xml (+2, -0)

	dyesub:  Support the Sony UP-D895 and UP-D897 MedSci thermal printers

	This includes a heavily-updated backend for all supported sony models,
	now with some status reporting and some error detection!

2019-03-19  <Solomon Peachy>	8c0a7111e6969fda9943503bcfed249454e4d364

	Lines: +32, -7
	Files:	NEWS (+6, -0)
		src/main/print-dyesub.c (+26, -7)

	dyesub:  Fix bugs with the Sony UP-DR150 and UP-DR200.

2019-02-04  <Solomon Peachy>	22b7eb2645aa43c24044e8c0f420925b506b63be

	Lines: +2, -2
	Files:	NEWS (+1, -1)
		src/xml/printers/dyesub.xml (+1, -1)

	dyesub:  Mark 'Nidac Copal DPB-6000' as no longer experimental.

	It's confirmed working, but we don't have any sort of status reporting.

2019-01-29  <Solomon Peachy>	0ff1c47c537e8c8d4f34db3d903dacdbc3a40b01

	Lines: +4, -4
	Files:	src/main/print-dyesub.c (+4, -4)

	dyesub: Correct color encoding on Nidac Copal & some Fujifilm models.

2019-01-13  <Solomon Peachy>	d75ba2329755721d6d57ba1c9ab3ab3017abe703

	Lines: +100, -105
	Files:	src/cups/backend_canonselphy.c (+1, -1)
		src/cups/backend_common.c (+32, -4)
		src/cups/backend_common.h (+21, -9)
		src/cups/backend_kodak1400.c (+3, -9)
		src/cups/backend_kodak605.c (+3, -9)
		src/cups/backend_kodak6800.c (+3, -9)
		src/cups/backend_magicard.c (+13, -3)
		src/cups/backend_mitsu9550.c (+8, -19)
		src/cups/backend_shinkos1245.c (+4, -14)
		src/cups/backend_shinkos2145.c (+4, -10)
		src/cups/backend_shinkos6145.c (+4, -9)
		src/cups/backend_shinkos6245.c (+4, -9)

	dyesub:  backends:  Synchronize with upstream

	 * Minor bugfixes
	 * Potential buffer overflow in magicard
	 * Runtime control over verbosity
	 * Centralized file reading code

2018-12-23  <Robert Krawitz>	d4213cf2fb5460260f468f26eb2a598c979227d2

	Lines: +8, -2
	Files:	src/gimp2/print.c (+6, -0)
		src/gutenprintui2/panel.c (+2, -2)

	Allow bigger thumbnails for more modern displays

2018-12-23  <Robert Krawitz>	e3904874099361c4956e4913316384853f02cd90

	Lines: +1, -0
	Files:	test/pcl-unprint.c (+1, -0)

	Add missing newline to parse output.

2018-12-15  <Solomon Peachy>	0879ccd7acb244ecb71174c33cafd7d8d8a9b4eb

	Lines: +27, -3
	Files:	src/main/print-dyesub.c (+27, -3)

	dyesub: mitsu_p95: Allow LUT to be overridden via a RAW parameter.

2018-11-25  <Cameron Nemo>	149e1e1e44d9e7466cf6defe179d703d878bbf11

	Lines: +1, -1
	Files:	src/xml/printers/check_duplicate_printers.test.c (+1, -1)

	    src/xml/printers: remove assignment to read-only variable

2018-11-22  <Robert Krawitz>	e3f485c6d75d4a07a927eb81ed75fe8789e32a58

	Lines: +450, -2
	Files:	NEWS (+17, -0)
		src/xml/escp2/model/Makefile.am (+4, -1)
		src/xml/escp2/model/model_133.xml (added +186)
		src/xml/escp2/model/model_134.xml (added +186)
		src/xml/escp2/model/model_135.xml (added +39)
		src/xml/escp2/resolutions/c8x.xml (+8, -0)
		src/xml/printers/escp2.xml (+10, -1)

	Support Epson XP-960

2018-11-20  <Solomon Peachy>	3fbdf7b2a82f44b0bcb7b8f4e67b05178bb73d23

	Lines: +25, -13
	Files:	src/cups/backend_common.c (+25, -13)

	dyesub: backend:  Do not attempt to claim an IPP-capable USB interface.

	(Most notably newer Canon SELPHY models)

2018-11-20  <Robert Krawitz>	c33b4941ff383090a714cb5807465abf8527980c

	Lines: +27, -9
	Files:	test/parse-escp2.in (+27, -9)

	Performance improvements

2018-10-24  <Solomon Peachy>	d84764fbb5a83452ec747b9e08c1688bc865d02e

	Lines: +54, -23
	Files:	src/cups/backend_mitsu70x.c (+54, -23)

	dyesub: backend:  More robust deck selection on the Mitsubishi CP-D707

2018-10-21  <Solomon Peachy>	d328b60345d17378ae150b9ec002bc2d29994be1

	Lines: +8, -0
	Files:	src/main/print-dyesub.c (+8, -0)

	dyesub:  Latest Kodak 305 firmware supports 5" media.

	This enables support for 3.5x5", 5x5", 5x7", and 2* 3.5x5.

2018-10-18  <Robert Krawitz>	c7dbe89720f51c8c4cff17caff9e6099f06ae965

	Lines: +3, -1
	Files:	doc/developer/Makefile.am (+3, -1)

	Fix developer doc build on Arch Linux per Christian Wolf

	https://sourceforge.net/p/gimp-print/patches/22/

2018-10-16  <Robert Krawitz>	92d32a3a3ad00b7628af53ebb46e7074a2561abd

	Lines: +6, -2
	Files:	src/cups/Makefile.am (+6, -2)

	Fix sequencing of CUPS PPD file building.

	Based on https://sourceforge.net/p/gimp-print/patches/21/ but actually
	implemented by partially reverting 47f8c68352e2a9eed44968ffceb4da7bc75faab4

2018-10-13  <Robert Krawitz>	073f5d9f8b04ae54488f75d52eda6b0606509bb6

	Lines: +6, -7
	Files:	src/cups/test-rastertogutenprint.in (+6, -7)

	Fix logic for no rotor

2018-10-13  <Robert Krawitz>	7391e2fffc5bc9819c041fc7d9d4a00c7e294c86

	Lines: +62, -42
	Files:	src/cups/Makefile.am (+12, -12)
		src/cups/cups-genppd.c (+3, -2)
		src/cups/test-rastertogutenprint.in (+38, -28)
		src/main/printers.c (+9, -0)

	Speed up some of the CUPS testing

2018-10-13  <Robert Krawitz>	0abde7ae4abbd4054afcf60c2df7a133328658cd

	Lines: +2, -2
	Files:	scripts/build-release (+2, -2)

	Fix up log_top.

2018-10-13  <Robert Krawitz>	31fac92e409bf6bf12457117da7ab1e6c0e1ea76

	Lines: +9, -18
	Files:	.gitignore (+9, -18)

	Clean up ignore files

2018-10-13  <Robert Krawitz>	104180fb9dfb77c7a095053b683a7fe8b57f0ef4

	Lines: +1, -2
	Files:	src/cups/cups-genppd.c (+1, -2)

	Clean up warning

2018-10-12  <Robert Krawitz>	3a788cd13435ea1da01b38cd8508f556b8ed4e52

	Lines: +63, -0
	Files:	container-build/Dockerfile (added +24)
		container-build/run-build (added +39)

	Experimental container build

2018-10-11  <Robert Krawitz>	fa50c1026276865984d78d1dd4147fbeb8432c56

	Lines: +3, -3
	Files:	scripts/build-release (+3, -3)

	Timestamp every line of output in CI mode

2018-10-11  <Robert Krawitz>	96961a1523904b946cec28fe82274c9fcc47c6fb

	Lines: +1, -1
	Files:	src/cups/test-rastertogutenprint.in (+1, -1)

	Fix fencepost

2018-10-11  <Robert Krawitz>	8b41f707b79db47162df893ffa3107a55e14434e

	Lines: +5, -3
	Files:	src/testpattern/run-testpattern-2.test.in (+5, -3)

	Avoid junk in the checksum output

2018-10-10  <Robert Krawitz>	29504c144b5efa5a7994ac126d2e7ff3d6875bcd

	Lines: +334, -344
	Files:	autogen.sh (+3, -1)
		scripts/autogen.sh (+95, -72)
		scripts/build-release (+57, -64)
		scripts/gversion.in (+6, -4)
		scripts/wzpaq.in (+28, -36)
		src/cups/test-ppds.test.in (+3, -3)
		src/cups/test-rastertogutenprint.in (+62, -65)
		src/cups/test-rastertogutenprint.test.in (+1, -1)
		src/testpattern/compare-image-files.in (+6, -6)
		src/testpattern/run-testpattern-1.test.in (+34, -49)
		src/testpattern/run-testpattern-2.test.in (+17, -17)
		test/run-testdither.test.in (+8, -10)
		test/run-weavetest.test.in (+13, -15)
		test/test-curve.test.in (+1, -1)

	Cleanup a lot of shellcheck warnings (many of which were real bugs!)

2018-10-09  <Robert Krawitz>	668d3ad96ee402623d8e2013aeac7a7340f966ca

	Lines: +2, -2
	Files:	src/testpattern/run-testpattern-2.test.in (+2, -2)

	Shut up some of the tests.

2018-10-09  <Robert Krawitz>	401fdb6970231436247f855c697d40e69f46fcf5

	Lines: +4, -1
	Files:	scripts/build-release (+4, -1)

	Log the rotor information

2018-10-08  <Robert Krawitz>	a108c3a0c682e113ceec27201982a5c33aac4ebe

	Lines: +8, -5
	Files:	.travis.yml (+6, -4)
		scripts/travis/full (+1, -1)
		scripts/travis/integration (+1, -0)

	Use the rotor with the integration tests

2018-10-08  <Robert Krawitz>	8a1bc31455b9ab6c03e2762cefd4a02715ee8c1c

	Lines: +1, -1
	Files:	scripts/travis/checksums (+0, -1)
		scripts/travis/full (+1, -0)

	Fix problem with the rotor

2018-10-08  <Robert Krawitz>	778b0102185fa50206231df59612d50be2eb2c76

	Lines: +16, -41
	Files:	scripts/autogen.sh (+16, -41)

	Hopefully the command checking is now fixed.

2018-10-08  <Robert Krawitz>	20838c6c74238c2bd57855cb14c22018eec3bd30

	Lines: +2, -2
	Files:	scripts/autogen.sh (+2, -2)

	Well, that didn't work...

2018-10-08  <Robert Krawitz>	c162714134e81cf949c54f368a149a0de0ab79a4

	Lines: +6, -2
	Files:	scripts/autogen.sh (+6, -2)

	One more try to figure out what's going on with the type command

2018-10-08  <Robert Krawitz>	711aae373e8a3a0f2b1fafb07ce0baa9697132e5

	Lines: +4, -0
	Files:	scripts/autogen.sh (+4, -0)

	Need more info...still

2018-10-08  <Robert Krawitz>	362a13a201ae8e31ff29d4c207b19b2a5b7c518a

	Lines: +4, -0
	Files:	scripts/autogen.sh (+4, -0)

	Yet again

2018-10-08  <Robert Krawitz>	6017a03fa3abf03dde6504b189a708dcab7c3065

	Lines: +3, -0
	Files:	scripts/autogen.sh (+3, -0)

	More

2018-10-08  <Robert Krawitz>	b7d260d29eb28c1883befb87950b40e087a14a7d

	Lines: +1, -0
	Files:	scripts/autogen.sh (+1, -0)

	Try again

2018-10-08  <Robert Krawitz>	59d3026013c01e16192de4ba0ff72156c530ca81

	Lines: +4, -0
	Files:	scripts/autogen.sh (+4, -0)

	Try to figure out why type -p ... isn't working

2018-10-08  <Robert Krawitz>	293742e112a55b61332db2405c945036c8e655d6

	Lines: +8, -3
	Files:	scripts/autogen.sh (+8, -3)

	Try to fix a few more errors in autogen.sh

2018-10-07  <Robert Krawitz>	98dbffeb000b5a0055df101d19f03fa538aa2fbe

	Lines: +34, -12
	Files:	scripts/autogen.sh (+34, -12)

	Fix some cases in early autogen

2018-10-07  <Robert Krawitz>	db41114ef1c3b8aa5b5305ebc91a8413a2a7b033

	Lines: +1, -1
	Files:	scripts/travis/full (+1, -1)

	Fix full script

2018-10-07  <Robert Krawitz>	c096dd1a46ddb4a507c733f02178838d560acc42

	Lines: +1, -1
	Files:	src/cups/test-rastertogutenprint.in (+1, -1)

	Use pdfjam if it *does* exist, not if it doesn't

2018-10-07  <Robert Krawitz>	8662c19fc3d16496ecf8d0620018f9d010b55122

	Lines: +30, -14
	Files:	.travis.yml (+14, -14)
		scripts/build-release (+6, -0)
		scripts/travis/full (added +10)

	Start work on adding full test

2018-10-06  <Robert Krawitz>	07070dc60505b6d3357625282a5aab405751791b

	Lines: +4, -1
	Files:	scripts/mkgitlog.in (+4, -1)

	Remove all Travis-only commits from the change log.

2018-10-06  <Robert Krawitz>	47f8c68352e2a9eed44968ffceb4da7bc75faab4

	Lines: +107, -49
	Files:	configure.ac (+7, -7)
		scripts/build-release (+1, -1)
		src/cups/Makefile.am (+9, -11)
		src/cups/cups-genppd.c (+21, -2)
		src/cups/test-rastertogutenprint.in (+17, -7)
		src/cups/{test-ppds.in => test-ppds.test.in} (+10, -4)
		src/cups/{test-rastertogutenprint.check.in => test-rastertogutenprint.test.in} (+2, -0)
		src/testpattern/Makefile.am (+9, -8)
		src/testpattern/{run-testpattern-1.in => run-testpattern-1.test.in} (+18, -0)
		src/testpattern/{run-testpattern-2.check.in => run-testpattern-2.test.in} (+2, -0)
		src/xml/printers/Makefile.am (+6, -6)
		src/xml/printers/{check_duplicate_printers.c => check_duplicate_printers.test.c} (+0, -0)
		test/Makefile.am (+5, -3)
		test/{run-testdither.in => run-testdither.test.in} (+0, -0)
		test/{run-weavetest.in => run-weavetest.test.in} (+0, -0)
		test/{test-curve.in => test-curve.test.in} (+0, -0)

	Allow all currently run tests to be split up
	via STP_TEST_ROTOR and STP_TEST_ROTOR_CIRCUMFERENCE.

	Sequence the CUPS and testpattern tests (that requires the test names
	to end in .test).

2018-10-06  <Robert Krawitz>	d3ea89fc3a2329383d889ebfb54496ac36a4b836

	Lines: +1, -1
	Files:	scripts/build-release (+1, -1)

	.

2018-10-06  <Robert Krawitz>	7a25990e9fc0e69af7780fcc8af0f2b8feec691c

	Lines: +6, -0
	Files:	scripts/build-release (+6, -0)

	Add run-check-fast target

2018-09-30  <Robert Krawitz>	19f61588817d524cecda782324cabd17a93653df

	Lines: +1, -1
	Files:	scripts/build-release (+1, -1)

	Make Travis output easier to read

2018-09-30  <Robert Krawitz>	43aced9c81f6c6a3a4452f3f9b3948688fee3e10

	Lines: +0, -6
	Files:	scripts/count-cpus (+0, -6)

	Just use nproc; lscpu is too finicky

2018-09-30  <Robert Krawitz>	64b55fb043759c804216f4bc9f526aa2b28e81ba

	Lines: +2, -2
	Files:	scripts/build-release (+1, -1)
		scripts/count-cpus (+1, -1)

	Fix lscpu use

2018-09-30  <Robert Krawitz>	55bfb7af3282c6d79549c3ff93b891d16a57069f

	Lines: +33, -69
	Files:	.travis.yml (+25, -67)
		scripts/build-release (+3, -2)
		scripts/count-cpus (+5, -0)

	More tweaks to travis configuration

2018-09-30  <Robert Krawitz>	c74a90754d69b35bb7266cabc958c64646c4b1ac

	Lines: +18, -9
	Files:	scripts/build-release (+18, -9)

	Log CPU and memory information

2018-09-30  <Robert Krawitz>	1be346cecd8a5348bebbb8ffeb354933fc9689d9

	Lines: +2, -2
	Files:	Makefile.am (+2, -2)

	Correct valgrind targets

2018-09-30  <Solomon Peachy>	1b272d1712c5fee01e8ba6aeb63adf6cfc18f229

	Lines: +1, -1
	Files:	src/main/print-dyesub.c (+1, -1)

	dyesub: Fix definition error for DS80DX "A4 Length" size @ 600dpi

2018-09-30  <Robert Krawitz>	cbdc9e90526d886cbcd852bde05b4afa5736a578

	Lines: +4, -0
	Files:	scripts/build-release (+4, -0)

	List the operations to be performed.

2018-09-30  <Solomon Peachy>	fda93bae41aa772da84f50b9630b7c28d2513caf

	Lines: +3, -3
	Files:	src/cups/backend_dnpds40.c (+3, -3)

	dyesub: backend: fix buffer overflow with ds620 6x9-div2

2018-09-30  <Robert Krawitz>	02bd1dbe4726378721e47252d40e7ab63ff20fcb

	Lines: +297, -7
	Files:	.travis.yml (+263, -1)
		scripts/build-release (+1, -0)
		src/cups/test-rastertogutenprint.in (+14, -3)
		src/testpattern/Checksums/sums.5.3.1.zpaq (+0, -0)
		src/testpattern/compress-checksums.in (+8, -1)
		src/testpattern/run-testpattern-2.in (+11, -2)

	Add rotor to some tests to allow splitting more easily.
	Generate checksums in Travis (don't currently save them).

2018-09-30  <Robert Krawitz>	b6a60a06023f33452649365e7f590c3a3187264a

	Lines: +1, -1
	Files:	configure.ac (+1, -1)

	Also need to fix gutenprintui2_current_interface.

2018-09-30  <Solomon Peachy>	b74299fbe6b79ef95e974600811aebc381b736a0

	Lines: +2, -2
	Files:	src/cups/backend_mitsu9550.c (+2, -2)

	dyesub: backend: Fix buffer overflow on mitsu9810 with matte on 5" media.

2018-09-30  <Solomon Peachy>	e419422d63fa87eb3eb88c7fa305cadceea24538

	Lines: +2, -2
	Files:	src/cups/backend_mitsu9550.c (+2, -2)

	dyesub: backend: Fix bad memory read in Mitsu 98xx gamma correction code.

2018-09-29  <Robert Krawitz>	a4ecd8c7e9d8ad2a5293c65449313f2d1f226728

	Lines: +3, -2
	Files:	scripts/build-release (+3, -2)

	Complete all git checks even if one fails

2018-09-29  <Robert Krawitz>	42b6fe0b6f9271b382a2ad3fcb2c31e35b182406

	Lines: +1, -1
	Files:	configure.ac (+1, -1)

	Need to increment current_interface as well as binary_age.

2018-09-29  <Solomon Peachy>	e0187c117fdefa8cf8f13cbe9180cf78c40d7b9f

	Lines: +1, -1
	Files:	src/main/print-dyesub.c (+1, -1)

	dyesub:  Fix usercomment on Mitsubishi P95D

2018-09-29  <Solomon Peachy>	78cbcb8694e4545cc947f63cc8fe6fe68513d437

	Lines: +3, -4
	Files:	src/cups/backend_sonyupdr150.c (+3, -4)

	dyesub: backend: fix memory overflow in sony up-dr backend.

	(only hit on 8x6-div2)

2018-09-28  <Solomon Peachy>	735c7f11908629bff87ea6336dc8a73556e84ea7

	Lines: +4, -9
	Files:	src/cups/backend_dnpds40.c (+4, -9)

	dyesub: backend:  Fix handling of CW-01 334 DPI jobs.

2018-09-28  <Solomon Peachy>	635314d0ea8a3472270baea22d831f21f4873a2b

	Lines: +3, -2
	Files:	src/cups/backend_mitsu70x.c (+3, -2)

	dyesub: backend:  fix mis-definition of ask300 and mitsu d707

2018-09-28  <Solomon Peachy>	c94bf5fd4be2684502fe263db6d0ee8ea5255128

	Lines: +1, -1
	Files:	src/cups/backend_common.c (+1, -1)

	backend:  Fix a compile warning that popped up on Debian 9

2018-09-26  <Solomon Peachy>	1262e21aa3c7f3bdcc81b677006201c45391e1fb

	Lines: +9, -7
	Files:	src/cups/backend_mitsu9550.c (+9, -7)

	dyesub: backend:  Fix a nasty buffer overflow bug in the Mitsu 9810 matte code.

2018-09-26  <Solomon Peachy>	ad88db3d5dd2911c4b6141dd04847e13d596f304

	Lines: +1, -1
	Files:	src/main/print-dyesub.c (+1, -1)

	dyesub:  Fix desciptive text of the Mitsu P93D sharpening option.

2018-09-26  <Robert Krawitz>	1fd59eb1025989d02610e8068957ff92e93c7f93

	Lines: +4, -2
	Files:	Makefile.am (+4, -2)

	Put config.summary in lib rather than share, as the output is

	arch-specific.

2018-09-25  <Robert Krawitz>	eb871e01fca4fd8b013d1f72d77e0a208fda7772

	Lines: +10, -41
	Files:	Makefile.am (+10, -41)

	Simplify the check rules.

2018-09-25  <Robert Krawitz>	93c28c1553cec8004e4cba81efcfba551c9e3725

	Lines: +1, -1
	Files:	Makefile.am (+1, -1)

	Change the build string for snapshots.

2018-09-25  <Solomon Peachy>	1a61f50017b14a96ab25ef1715db77a5319424ec

	Lines: +4, -4
	Files:	src/cups/backend_common.c (+4, -4)

	dyesub: backend: fix potential memory overflow in usb enumeration code.

2018-09-25  <Solomon Peachy>	ba28dc0a48fe8ba31e8de2aba13395944e069685

	Lines: +2, -2
	Files:	src/cups/backend_sonyupdr150.c (+2, -2)

	dyesub: backend: fix definition for sony up-cr10l

2018-09-25  <Robert Krawitz>	442f92221e1ca6478413c900768dba014fdc758b

	Lines: +1, -2
	Files:	src/main/module.c (+1, -2)

	Fix two memory leaks in module code

2018-09-25  <Robert Krawitz>	77e56aad5c116ec782621bbb4063c3002764c351

	Lines: +10, -6
	Files:	scripts/mkgitlog.in (+10, -6)

	Ignore change sets that only touch .travis.yml

2018-09-25  <Robert Krawitz>	2640b6255fe591562a363b87526597b239a5402c

	Lines: +6, -5
	Files:	.travis.yml (+4, -3)
		scripts/build-release (+2, -2)

	Add a test run with --disable-static

2018-09-25  <Robert Krawitz>	fd6266335de5dcbfce16b90215094a2d04f59df8

	Lines: +2, -2
	Files:	configure.ac (+1, -1)
		src/cups/gutenprint.c (+1, -1)

	Fix format warning

2018-09-23  <Solomon Peachy>	7cb0a0a08068cdcfe7ba0ec95a415bc5b78c951b

	Lines: +0, -1
	Files:	src/main/print-dyesub.c (+0, -1)

	dyesub:  Fix output regression on the Kodak 605.

2018-09-23  <Robert Krawitz>	4a3084f1e14db8618d1695918ebaecead2054347

	Lines: +22, -4
	Files:	Makefile.am (+5, -0)
		configure.ac (+17, -4)

	Log the configure arguments, and install the config.summary

===============================================================================
Name: gutenprint-5_3_1

2018-09-22  <Robert Krawitz>	2039aa5e50e75713c5c5598e830b58ccbf0bb339

	Lines: +0, -0
	Files:	src/testpattern/Checksums/sums.5.3.1.zpaq (added +0)

	Gutenprint 5.3.1 release

2018-09-22  <Robert Krawitz>	29aa2e3053712b464f92c5858e1a9b4be7c35806

	Lines: +4, -1
	Files:	Makefile.am (+3, -0)
		configure.ac (+1, -1)

	Clean up new config.summary file

2018-09-22  <Robert Krawitz>	e3496b0d4f11a4d216626e41ebae02e5b7344d6c

	Lines: +77, -73
	Files:	configure.ac (+77, -73)

	Save configure summary in config.summary

2018-09-22  <Solomon Peachy>	1fd5acb8b0bbcf9e61bfb7351febaf390de41a8e

	Lines: +234, -124
	Files:	src/cups/backend_canonselphy.c (+42, -31)
		src/cups/backend_canonselphyneo.c (+13, -7)
		src/cups/backend_dnpds40.c (+26, -14)
		src/cups/backend_kodak1400.c (+11, -6)
		src/cups/backend_kodak605.c (+9, -4)
		src/cups/backend_kodak6800.c (+11, -5)
		src/cups/backend_magicard.c (+9, -5)
		src/cups/backend_mitsu70x.c (+18, -9)
		src/cups/backend_mitsu9550.c (+28, -16)
		src/cups/backend_mitsud90.c (+5, -3)
		src/cups/backend_mitsup95d.c (+6, -4)
		src/cups/backend_shinkos1245.c (+11, -3)
		src/cups/backend_shinkos2145.c (+11, -3)
		src/cups/backend_shinkos6145.c (+12, -4)
		src/cups/backend_shinkos6245.c (+13, -4)
		src/cups/backend_sonyupdr150.c (+9, -6)

	dyesub: backend:   Use gutenprint model IDs to identify printers.

	(Should have done it this way to begin with.  Old names retained for
	 backwards compatibility..)

2018-09-21  <Robert Krawitz>	02e8fb51cbe68efd948c724fd43dc5ca78c9798d

	Lines: +10, -7
	Files:	NEWS (+4, -1)
		README (+2, -2)
		configure.ac (+3, -3)
		src/xml/printers/Makefile.am (+1, -1)

	Gutenprint 5.3.1 prep

2018-09-20  <Robert Krawitz>	d101bcbcc92a9ef718099d42faeee4aa723f0e56

	Lines: +20, -20
	Files:	NEWS (+15, -15)
		README (+4, -4)
		configure.ac (+1, -1)
		src/testpattern/Checksums/sums.5.3.0.zpaq (added +0)

	Gutenprint 5.3.0 release

2018-09-20  <Robert Krawitz>	d5fcbf362edf440f12995da2f1e5bffbebd32d27

	Lines: +2, -2
	Files:	scripts/build-release (+2, -2)

	Only status 2 means fail but continue; other non-zero status

	values result in immediate termination.

2018-09-19  <Solomon Peachy>	3cdbd191985e6238b54316fd6bdcd6f0cb053742

	Lines: +209, -78
	Files:	src/cups/backend_mitsu70x.c (+209, -78)

	dyesub:  backend:  Sanely handle the Mitsu D707's dual deck arrangement

2018-09-18  <Solomon Peachy>	cac0351eb4302a427f478bd335198c62eabe1c57

	Lines: +137, -3
	Files:	src/main/print-dyesub.c (+136, -2)
		src/xml/printers/dyesub.xml (+1, -1)

	dyesub:  Split Mitsubishi CP-D707 off from the CP-D70

	 * Add an option to specify which deck is used to print
	 * Mark it as no longer experimental

2018-09-17  <Solomon Peachy>	fdc3744032ede68725b0c582f21233f144525408

	Lines: +3, -3
	Files:	src/cups/backend_mitsud90.c (+3, -3)

	dyesub:  backend:  Fix error in mitsubishi d90 status query.

2018-09-17  <Solomon Peachy>	ce3523c43e84475f21e83e3b3a7ef8f4a4e1bd66

	Lines: +5, -2
	Files:	src/cups/backend_dnpds40.c (+5, -2)

	dyesub:  backend:  Delay return until after printer acks job start.

2018-09-16  <Robert Krawitz>	4a7021162539d144f3bea61484ead0d2255698e8

	Lines: +3, -1
	Files:	scripts/build-release (+3, -1)

	Always create a Current link to build results.

2018-09-16  <Solomon Peachy>	c24e90e67b4b46dc4df139663980683cfc008b52

	Lines: +1, -1
	Files:	src/main/print-dyesub.c (+1, -1)

	dyesub:  Correct A5*2 print size for the DNP DS820.

2018-09-16  <Robert Krawitz>	91a82602961e480ea9138d8cbf6f76bc3a742046

	Lines: +23, -5
	Files:	src/cups/genppd.c (+22, -0)
		src/cups/test-ppds.in (+1, -5)

	Fix PPD files with very long device ID strings; improve test coverage.

2018-09-16  <Robert Krawitz>	6f710cefb8bbde8e14032b462d3cfea79be9649e

	Lines: +14, -7
	Files:	scripts/build-release (+14, -7)

	Ensure that we fail if any step fails along the way.

2018-09-16  <Robert Krawitz>	cb164d718571317659583f1945fe1ed07bd1b62b

	Lines: +12, -3
	Files:	src/main/print-escp2.c (+10, -3)
		src/main/printers.c (+2, -0)

	Minor performance improvements

2018-09-15  <Robert Krawitz>	7a4a301afc439c948fc7ba1a451b3b6eb3bb6875

	Lines: +3, -5
	Files:	src/cups/genppd.c (+3, -5)

	Fix license of generated PPD files

2018-09-15  <Solomon Peachy>	bbd3ed059438d5b9331ea1ab5409940f2cfbc346

	Lines: +15, -16
	Files:	src/main/print-dyesub.c (+15, -16)

	dyesub:  DS820: Correct print definitions for A4-based paper sizes.

2018-09-12  <Gernot Hassenpflug>	38df350590ea76cc73c356250c1628e2fbaac3a3

	Lines: +1, -1
	Files:	src/xml/printers/canon.xml (+1, -1)

	Expanded IEEE 1284 device ID for Canon MG6800 s00 series

2018-09-10  <Gernot Hassenpflug>	05a90abcfa0eed9a3022168ec370062a82c81428

	Lines: +1, -1
	Files:	src/xml/printers/canon.xml (+1, -1)

	Added IEEE 1284 device ID for Canon MG6800 series for automatic detection.

2018-09-09  <Solomon Peachy>	b4b7e29d2530c6b499e3ab5bcb2a67e7b18cdc49

	Lines: +29, -5
	Files:	src/main/print-dyesub.c (+21, -3)
		src/main/print-escp2.c (+2, -2)
		src/main/printers.c (+6, -0)

	Push responsibility of job/page mode handling into printer drivers

2018-09-08  <Robert Krawitz>	4fafcc1ccba0e0966993ef17d03c2a2bfc6da756

	Lines: +64, -1
	Files:	src/main/print-escp2.c (+2, -0)
		src/testpattern/testpattern.c (+50, -0)
		src/testpattern/testpattern.h (+1, -0)
		src/testpattern/testpatternl.l (+1, -0)
		src/testpattern/testpatterny.y (+10, -1)

	Add colorline option to print a color line rather than a black line

2018-09-08  <Robert Krawitz>	0b62a0bff8247920d2e3070c9e8cb1cf72d73359

	Lines: +28, -25
	Files:	src/xml/escp2/inks/claria_xp.xml (+28, -25)

	Correct the head offsets for the XP15000

2018-09-08  <Robert Krawitz>	c7855d01fe40bc94d8208576ff835feec7f03e52

	Lines: +43, -18
	Files:	NEWS (+11, -6)
		src/cups/cups-genppdupdate.in (+32, -12)

	Don't update PPD files across major.minor version by default

2018-09-07  <Robert Krawitz>	fb82d5986084a07960ad231a03bcef7a79a8b262

	Lines: +1, -0
	Files:	src/cups/test-rastertogutenprint.in (+1, -0)

	Clean up PPD files after successful test run

2018-09-07  <Robert Krawitz>	b87917cfd6930a260f0edbbeed523cb98bc91636

	Lines: +1, -1
	Files:	scripts/build-release (+1, -1)

	Whitespace cleanup

2018-09-07  <Solomon Peachy>	db72afe03b3dd2659e1e45ffab4a5f0cb7485611

	Lines: +2, -77
	Files:	src/main/print-dyesub.c (+2, -77)

	dyesub:  Switch Citizen CW-01 to generate "native" job output common to other Citizen models.

2018-09-07  <Solomon Peachy>	607d59d4b81661515704a9efbdc692084a53740a

	Lines: +2656, -1380
	Files:	NEWS (+19, -7)
		src/cups/backend_canonselphy.c (+114, -109)
		src/cups/backend_canonselphyneo.c (+60, -20)
		src/cups/backend_common.c (+125, -16)
		src/cups/backend_common.h (+25, -3)
		src/cups/backend_dnpds40.c (+505, -247)
		src/cups/backend_kodak1400.c (+85, -62)
		src/cups/backend_kodak605.c (+57, -33)
		src/cups/backend_kodak6800.c (+68, -42)
		src/cups/backend_magicard.c (+114, -79)
		src/cups/backend_mitsu70x.c (+494, -214)
		src/cups/backend_mitsu9550.c (+267, -181)
		src/cups/backend_mitsud90.c (+81, -44)
		src/cups/backend_mitsup95d.c (+107, -69)
		src/cups/backend_shinkos1245.c (+59, -27)
		src/cups/backend_shinkos2145.c (+60, -40)
		src/cups/backend_shinkos6145.c (+137, -74)
		src/cups/backend_shinkos6245.c (+63, -35)
		src/cups/backend_sonyupdr150.c (+216, -78)

	backend:  Major upstream resync

	Notable visible chages:

	 * New, simpler URI scheme:

	      gutenprint53+usb://backendname/serialnum

	    vs old scheme:

	      gutenprint53+usb://iManufacturer/iModel?backend=backendname&serial=serialnum

	   (Old scheme will be recognized and handled indefinitely)

	Under-the-hood changes:

	 * Complete re-think of parsing/printing split
	   * Distinguish between "pages" and "jobs"
	   * Necessary plumbing for a lot of future plans
	 * Fixed many minor memory leaks and other bugs

2018-09-06  <Gernot Hassenpflug>	87ac956984e182fd242f86d1331aaa96007589ec

	Lines: +9, -9
	Files:	NEWS (+9, -9)

	Fixed missing words.

2018-09-05  <Robert Krawitz>	d3a3b3ba404ed3fd61869ba05134ac45a937b0ab

	Lines: +1, -3
	Files:	src/cups/test-rastertogutenprint.in (+1, -3)

	Cut down some on the output noise.

2018-09-03  <Robert Krawitz>	67b6c6892ab7cea36a895ccfba4b4b97a2cf93e4

	Lines: +8, -8
	Files:	src/testpattern/Makefile.am (+4, -4)
		src/testpattern/run-testpattern-2.check.in (+3, -3)
		src/testpattern/run-testpattern-2.in (+1, -1)

	Need to use fd#4 rather than 3

2018-09-03  <Robert Krawitz>	6db26253f7b67297fea6512b7ef6226d7ec8d513

	Lines: +1, -0
	Files:	scripts/build-release (+1, -0)

	Log parallelism level

2018-09-03  <Robert Krawitz>	65d4d49abda8c68714c22eaa9260193932bba4e3

	Lines: +13, -9
	Files:	include/gutenprint/types.h (+2, -0)
		src/cups/rastertogutenprint.c (+3, -3)
		src/gutenprintui2/panel.c (+3, -2)
		src/main/curve.c (+1, -1)
		src/main/print-lexmark.c (+1, -1)
		src/main/print-papers.c (+3, -2)

	Clean up clang warnings

2018-09-03  <Robert Krawitz>	8be5b037a76679dd12cb97255b64df5ec0833edd

	Lines: +4, -3
	Files:	configure.ac (+1, -1)
		m4/stp_option.m4 (+3, -2)

	Clang compatibility.  Remove -O6, which isn't really well defined.

2018-09-03  <Robert Krawitz>	12dc4090612a6dff816d6165b5d81f5cbb8ac1e3

	Lines: +13, -1
	Files:	.travis.yml (+5, -1)
		scripts/build-release (+8, -0)

	Travis improvements

2018-09-03  <Robert Krawitz>	db0864a68b4a1c3973a8eb007d5744a0a5c595b4

	Lines: +2, -2
	Files:	doc/gutenprint.dox.in (+1, -1)
		doc/gutenprintui2.dox.in (+1, -1)

	Shut up verbose messages from doxygen

2018-09-03  <Robert Krawitz>	d5ff0d5dc93ccdfdba9dae1120ee0d0b2607b211

	Lines: +12, -6
	Files:	test/curve.c (+12, -6)

	Shut up unnecessary noise from curve test.

2018-09-03  <Robert Krawitz>	b5db555dc0f16559910d9860d9863995cd805e8d

	Lines: +11, -10
	Files:	src/testpattern/run-testpattern-2.check.in (+11, -10)

	Quiet things down a bit in travis mode

2018-09-03  <Robert Krawitz>	7b8b78fd26afe4d27ba0ba6bee9727c47eb5e588

	Lines: +65, -0
	Files:	src/xml/escp2/media/claria_xp.xml (+65, -0)

	Add inkset definitions for CD printing

2018-09-03  <Robert Krawitz>	f3f7c5e82450e0d86760209130ad59e9fabd92e6

	Lines: +0, -2
	Files:	src/main/printers.c (+0, -2)

	Remove spurious debugging tags

2018-09-03  <Robert Krawitz>	4da4af1781917e3e19ce44a257b1a1c7593c3b19

	Lines: +4, -2
	Files:	.travis.yml (+1, -1)
		scripts/build-release (+3, -1)

	Fix typos in travis

2018-09-03  <Robert Krawitz>	b7031cc2478ed80330dc03c84edd62b05a7b7121

	Lines: +64, -17
	Files:	.travis.yml (+1, -1)
		scripts/build-release (+24, -8)
		src/cups/test-ppds.in (+5, -1)
		src/cups/test-rastertogutenprint.check.in (+5, -1)
		src/testpattern/run-testpattern-1.in (+5, -1)
		src/testpattern/run-testpattern-2.check.in (+5, -1)
		src/xml/printers/check_duplicate_printers.c (+3, -0)
		test/run-testdither.in (+5, -1)
		test/run-weavetest.in (+6, -2)
		test/test-curve.in (+5, -1)

	More travis improvements

2018-09-03  <Robert Krawitz>	600f167fe57caa3d2573338cbef8858bec1c051e

	Lines: +1, -0
	Files:	configure.ac (+1, -0)

	autoconf uses /bin/sh for bash, but some scripts really need bash

2018-09-02  <Robert Krawitz>	40a41392604638fd40380c1512041a191ab51986

	Lines: +1, -8
	Files:	configure.ac (+1, -1)
		scripts/build-release (+0, -7)

	AM_GNU_GETTEXT_REQUIRE_VERSION doesn't work everywhere.

	Only check for tag after build.

2018-09-02  <Robert Krawitz>	c7da678c5f2713275e5b88da84c4f6bb6bbe9522

	Lines: +10, -6
	Files:	.travis.yml (+1, -1)
		scripts/build-release (+9, -5)

	Generate verbose output with BUILD_VERBOSE

2018-09-02  <Robert Krawitz>	41005c7fdb43c1b28a206e2b731834c5336a7e3b

	Lines: +3, -3
	Files:	scripts/build-release (+3, -3)

	Another silly typo

2018-09-02  <Robert Krawitz>	b9b010e701b77c313314bf2717f14da8e56a71f8

	Lines: +65, -38
	Files:	.travis.yml (added +34)
		scripts/build-release (+31, -38)

	Add experimental Travis CI

2018-09-02  <Robert Krawitz>	6a03ad29723c9cabdd40f2d795ec6b0a0d03653c

	Lines: +10, -11
	Files:	macosx/Gutenprint Utility for EPSON Inkjet Printers/Gutenprint Utility for EPSON Inkjet Printers.command (+1, -2)
		macosx/scripts/Gutenprint Utility for EPSON Inkjet Printers.command (+1, -2)
		macosx/src/gutenprint.dmg.src/Contents/Documentation/GPL License.rtf (+1, -1)
		macosx/src/gutenprint.dmg.src/Contents/Gutenprint Utility for EPSON Inkjet Printers/Gutenprint Utility for EPSON Inkjet Printers.command (+1, -2)
		src/cups/backend_common.c (+1, -2)
		src/cups/backend_mitsud90.c (+1, -2)
		src/xml/printers/escp2.xml (+4, -0)

	Fix up a few more references to old FSF address

2018-09-01  <Robert Krawitz>	d85d518751e80107d4163375798d2672f8998db1

	Lines: +1, -0
	Files:	NEWS (+1, -0)

	Add inadvertently omitted ET-3700.

2018-09-01  <Robert Krawitz>	cea6222f5695e58d5f53beec412d1e26f10e7f9b

	Lines: +83, -0
	Files:	NEWS (+83, -0)

	Add status of more current Epson printers

2018-09-01  <Robert Krawitz>	0eebc28978545fe77b9e61714463af4e4e03e8be

	Lines: +212, -13
	Files:	NEWS (+1, -0)
		src/xml/printers/escp2.xml (+1, -0)
		test/parse-escp2.in (+210, -13)

	Add Epson ET-2750

	Improve ESCP/R support in parse-escp2

2018-09-01  <Robert Krawitz>	e6325d1ee743bb7f9c057e51f1f0178a0447ae26

	Lines: +2398, -34
	Files:	src/xml/escp2/media/Makefile.am (+1, -0)
		src/xml/escp2/media/claria_xp.xml (added +2355)
		src/xml/escp2/model/model_132.xml (+41, -33)
		src/xml/printers/escp2.xml (+1, -1)

	Improve tuning for Epon XP-15000.

	Improve inks (only plain paper thus far).

	Fix CD positioning.

	Fix margins.

	Verify duplex.

2018-08-26  <Robert Krawitz>	3a90a7a87312db993aa4497b5b3c46d9b421ade6

	Lines: +426, -2
	Files:	NEWS (+2, -1)
		src/escputil/escputil.c (+7, -0)
		src/xml/escp2/inks/Makefile.am (+1, -0)
		src/xml/escp2/inks/claria_xp.xml (added +242)
		src/xml/escp2/model/Makefile.am (+2, -1)
		src/xml/escp2/model/model_132.xml (added +171)
		src/xml/printers/escp2.xml (+1, -0)

	Prototype support for Epson Expression XP-15000

2018-08-07  <Solomon Peachy>	fb98cc978e4e728db4967fb020d8cfa4eac810fb

	Lines: +3, -6
	Files:	src/cups/backend_dnpds40.c (+2, -4)
		src/cups/blacklist (+1, -2)

	backend:  Correct USB PID for DNP DS80DX

2018-07-29  <Robert Krawitz>	35d45be923e8e7f0cddcebfc50a24ee20c92ceac

	Lines: +5, -5
	Files:	include/gutenprint/util.h (+4, -4)
		scripts/autogen.sh (+1, -1)

	Minor doc issues

2018-07-29  <Gernot Hassenpflug>	a75f07a1f8c9e4bdbe64557a7dee4232a1a0d5ed

	Lines: +20, -2
	Files:	NEWS (+1, -0)
		src/main/canon-printers.h (+17, -0)
		src/main/print-canon.c (+1, -1)
		src/xml/printers/canon.xml (+1, -1)

	Canon driver split off BJC S9000 from S900 owing to paper size differences.

2018-07-27  <Solomon Peachy>	34dea270b1462b7c1ef525862ad9cd438052333b

	Lines: +1, -1
	Files:	src/main/print-dyesub.c (+1, -1)

	dyesub: dnp:  Fix bad regression with 600dpi printing.

	Introduced in 360a4f43 : "cw01: support emitting native command stream"

2018-07-23  <Robert Krawitz>	9f45a671646eed643a8bfa46609e86ddbff9957a

	Lines: +1, -1
	Files:	NEWS (+1, -1)

	Correct bullet numbering.

2018-07-23  <Robert Krawitz>	a5ada764101e86cae12a20a13f4fac4050e0589a

	Lines: +5, -1
	Files:	NEWS (+4, -1)
		src/xml/printers/escp2.xml (+1, -0)

	Add Epson Expression ET-2600 EcoTank

2018-07-19  <Solomon Peachy>	4301718fa4e28af8cf8f0c43faacde2b16ebe9d1

	Lines: +1, -1
	Files:	src/main/print-dyesub.c (+1, -1)

	dyesub: Fix crash with dnp ds80

2018-07-19  <Solomon Peachy>	2c476746a67bcb7e64ac49a90548ac17857dcd08

	Lines: +129, -22
	Files:	src/main/print-dyesub.c (+129, -22)

	dyesub: Add "No Cut-Paper Waste" option for most DNP & Citizen models.

2018-06-18  <Solomon Peachy>	25e28154e9479542a585b8aea52ac9afb48a134f

	Lines: +1, -1
	Files:	src/xml/printers/dyesub.xml (+1, -1)

	xml:  Correct entry for Mitsubishi CP-D90DW (incorrect deviceid syntax)

2018-06-18  <Solomon Peachy>	c390109a95f2d93287b55e75af0503a802507bb1

	Lines: +132, -0
	Files:	NEWS (+6, -0)
		src/main/print-dyesub.c (+120, -0)
		src/xml/printers/dyesub.xml (+6, -0)

	dyesub:  Add support for Fujifilm ASK-2000/2500/4000 and Nidac Copal DPB-6000/7000/4000

2018-06-18  <Solomon Peachy>	f07ce29f34b82a90e44413e0007f65e175aca0a2

	Lines: +0, -6
	Files:	src/main/printers.c (+0, -6)

	core:  We need to issue job_start and job_end calls even in Page mode.

	(because from the printer's perspective, a 1-page job is still a job!)

2018-06-18  <Solomon Peachy>	6311182de40a1893c5e6297e1904c092758a4d5a

	Lines: +2, -1
	Files:	src/gutenprintui2/plist.c (+2, -1)

	gimp:  Make job_start and job_stop calls.

2018-06-18  <Solomon Peachy>	3fa9b82789dafd2129845b2441096697bf5c64ad

	Lines: +3, -3
	Files:	src/main/print-dyesub.c (+3, -3)

	dyesub:  Corrections for Mitsu D70's experimental output modes.

2018-06-16  <Solomon Peachy>	4a9ed0c7a60f792045f11b811dfccc573179b184

	Lines: +1, -0
	Files:	src/main/print-dyesub.c (+1, -0)

	dyesub:  Fix missing 6x8" print size on Mitsu D80.

2018-06-08  <Solomon Peachy>	ecef7be7c98659498376bc6f26259a0a5c089ad2

	Lines: +6, -8
	Files:	src/main/print-dyesub.c (+6, -8)

	dyesub:  Clean up an unused function argument.

2018-05-29  <Solomon Peachy>	b6ab35815edbc6273047ad850da47e2b8e735739

	Lines: +3020, -1107
	Files:	src/cups/Makefile.am (+1, -1)
		src/cups/backend_canonselphy.c (+89, -62)
		src/cups/backend_canonselphyneo.c (+81, -22)
		src/cups/backend_common.c (+265, -39)
		src/cups/backend_common.h (+63, -44)
		src/cups/backend_dnpds40.c (+129, -98)
		src/cups/backend_kodak1400.c (+23, -8)
		src/cups/backend_kodak605.c (+76, -66)
		src/cups/backend_kodak6800.c (+41, -31)
		src/cups/backend_magicard.c (+22, -10)
		src/cups/backend_mitsu70x.c (+96, -68)
		src/cups/backend_mitsu9550.c (+111, -118)
		src/cups/backend_mitsud90.c (added +1418)
		src/cups/backend_mitsup95d.c (+116, -93)
		src/cups/backend_shinkos1245.c (+48, -37)
		src/cups/backend_shinkos2145.c (+111, -89)
		src/cups/backend_shinkos6145.c (+101, -91)
		src/cups/backend_shinkos6245.c (+204, -221)
		src/cups/backend_sonyupdr150.c (+22, -9)
		src/cups/blacklist (+3, -0)

	backends:  Sync with upstream

	 * Support CUPS command formats
	   * Marker level queries only
	 * Rework & Unify marker level querying
	 * Support more debug/test modes
	 * Fix IEEE1284 length detection
	 * Add Mitsubishi CP-D90DW backend
	 * Fix DNP DS80DX USB VID/PID
	 * Mitsubishi CP98xx family now does gamma correction
	 * Mitsubishi P95/P93 error detection improved

2018-05-19  <Solomon Peachy>	4c370c24bcfc3cfabdea62353a9e75696cfac9f3

	Lines: +35, -12
	Files:	src/main/print-dyesub.c (+35, -12)

	dyesub:  Additional Mitsubishi D90 sizes.

2018-05-19  <Solomon Peachy>	31575aa2b1d1785e5f51f16420d69c50e9ce88f2

	Lines: +4, -216
	Files:	src/main/print-dyesub.c (+4, -216)

	dyesub:  mitsu98xx:  Scrap 12bpp output in favor of 8bpp.

	The now backend does the heavy lifting of the printer-specific 8bpp->12bpp
	8bpp BGR -> 12bpp YMC conversion.

	This eliminates the last of the non-8bpp drivers in the dyesub code, so
	eliminate >8bpp support altogether.  We can always bring it back if
	necessary.

2018-05-16  <Solomon Peachy>	5a2c65b4e77d753df9571a2bf2b556d821ade9f0

	Lines: +1, -1
	Files:	src/main/print-dyesub.c (+1, -1)

	dyesub:  mitsud90:  Don't reverse the plane data.

2018-05-16  <Solomon Peachy>	65c0702d358c2a045fe2022e18e7f750ab2f1bf2

	Lines: +6, -2
	Files:	src/main/print-dyesub.c (+6, -2)

	dyesub:  mitsud90:  Fix crash in job_end function.

2018-05-16  <Solomon Peachy>	e844fb38da896efa55e8f168b0e6d4ba0fe28e37

	Lines: +2, -2
	Files:	src/main/print-dyesub.c (+1, -1)
		src/xml/printers/dyesub.xml (+1, -1)

	dyesub:  Incorrect printjob definition for the Mitsubishi CP-D90DW.

	Also mark the D90 as no longer experimental.

2018-05-14  <Solomon Peachy>	c467799c7a77cdda1a6fd22b0706bd690751e8f9

	Lines: +17, -14
	Files:	src/main/print-dyesub.c (+17, -14)

	dyesub:  mitsu70x family needs wakeup header once per job, not per page.
		mitsu90 needs "wait footer per job, not per page.

2018-05-04  <Robert Krawitz>	1a71b41e1cc79757490d90b3d6559a1befe5a8ea

	Lines: +130, -98
	Files:	Makefile.am (+31, -16)
		scripts/build-release (+7, -1)
		src/cups/test-ppds.in (+13, -7)
		src/cups/test-rastertogutenprint.check.in (+27, -17)
		src/testpattern/run-testpattern-2.check.in (+45, -33)
		test/Makefile.am (+1, -1)
		test/run-testdither.in (+3, -0)
		test/run-weavetest.in (+2, -4)
		test/test-curve.in (+1, -13)
		test/testdither.c (+0, -6)

	Add check-valgrind-fast and sanity targets

2018-05-02  <Solomon Peachy>	64970488932766d589cd40726ebb76ce7ae1619b

	Lines: +0, -1
	Files:	src/main/print-dyesub.c (+0, -1)

	dyesub: Fix incorrect plane header for the Mitsubishi 98xx models.

2018-04-30  <Solomon Peachy>	99d60d6a79fd58db3b5b883b6a843beb16b76001

	Lines: +1, -1
	Files:	src/xml/printers/dyesub.xml (+1, -1)

	dyesub: xml:  Add IEEE1284 ID for Fujifilm ASK-300

2018-04-30  <Robert Krawitz>	e8375a73fac11693c956c487f468d07799559178

	Lines: +58, -22
	Files:	scripts/build-release (+53, -21)
		scripts/gversion.in (+5, -1)

	Add check_git_builds to build-release.
	This clones the workspace and does a minimal build/check.
	We do need to save git-version-stamp after all.

2018-04-29  <Robert Krawitz>	36b08069bb6d8396081e08ccad60092f5797c738

	Lines: +1, -1
	Files:	scripts/mkgitlog.in (+1, -1)

	Ignore .po files and partial change log in producing logs for performance.

2018-04-29  <Robert Krawitz>	f8baeff3d1ea59498eb09cdd0a72781e8fd89770

	Lines: +612, -372
	Files:	include/gutenprint/util.h (+58, -1)
		include/gutenprint/vars.h (+33, -1)
		src/cups/rastertogutenprint.c (+36, -9)
		src/cups/test-rastertogutenprint.in (+2, -1)
		src/main/channel.c (+32, -32)
		src/main/print-canon.c (+40, -40)
		src/main/print-dpl.c (+27, -27)
		src/main/print-dyesub.c (+48, -48)
		src/main/print-lexmark.c (+42, -40)
		src/main/print-pcl.c (+74, -72)
		src/main/print-ps.c (+10, -9)
		src/main/print-util.c (+128, -18)
		src/main/print-vars.c (+80, -74)
		src/main/printers.c (+2, -0)

	Separate debug and error messages, add global debug/error functions.

2018-04-28  <Robert Krawitz>	18cbf0ea4cb6902bda7b373dd91f47637ebf10d9

	Lines: +0, -1
	Files:	scripts/gversion.in (+0, -1)

	Remove debugging code

2018-04-28  <Robert Krawitz>	f1f71ccb3596a608e2cc85e70a6f1f8b4af944f9

	Lines: +2, -2
	Files:	configure.ac (+1, -1)
		scripts/autogen.sh (+1, -1)

	Allow use of more modern versions of gettext

2018-04-28  <Robert Krawitz>	6a995ce994ac9d906a00568edc340e40ed93b788

	Lines: +32, -32
	Files:	src/main/channel.c (+32, -32)

	Use stp_eprintf in preference to erprintf.

2018-04-28  <Robert Krawitz>	7216c7ec28578386647a2985af483a411a72ce72

	Lines: +50, -0
	Files:	src/xml/escp2/model/base/baseline_300.xml (added +25)
		src/xml/escp2/model/base/baseline_360.xml (added +25)

	Add missing files for 300 DPI

2018-04-28  <Robert Krawitz>	6926f2b7ed19d9179070a501d181cc1248ce1b0c

	Lines: +75, -36
	Files:	scripts/Makefile.am (+2, -0)
		scripts/gversion.in (+65, -28)
		scripts/test-gversion.in (+8, -8)

	Add gversion hash subcommand

2018-04-28  <Robert Krawitz>	8b527be03484944d3155d012681513be513a4fa8

	Lines: +107, -178
	Files:	src/main/print-escp2.c (+28, -24)
		src/xml/escp2/model/base/Makefile.am (+2, -0)
		src/xml/escp2/model/base/bx.xml (+1, -2)
		src/xml/escp2/model/base/c1xx.xml (+1, -2)
		src/xml/escp2/model/base/c2x.xml (+1, -2)
		src/xml/escp2/model/base/c4x.xml (+1, -2)
		src/xml/escp2/model/base/c7xx.xml (+1, -2)
		src/xml/escp2/model/base/c8x_base.xml (+1, -2)
		src/xml/escp2/model/base/cpro.xml (+1, -2)
		src/xml/escp2/model/base/photo2.xml (+1, -2)
		src/xml/escp2/model/base/picmate.xml (+1, -2)
		src/xml/escp2/model/base/pro_ultrachrome_k3_base.xml (+1, -2)
		src/xml/escp2/model/base/pro_ultrachrome_k3v10_base.xml (+1, -2)
		src/xml/escp2/model/base/pro_x000.xml (+1, -2)
		src/xml/escp2/model/base/pro_x500.xml (+1, -2)
		src/xml/escp2/model/base/pro_x600.xml (+1, -2)
		src/xml/escp2/model/base/pro_x800.xml (+1, -2)
		src/xml/escp2/model/base/r200.xml (+1, -2)
		src/xml/escp2/model/base/r240.xml (+1, -2)
		src/xml/escp2/model/base/r800.xml (+1, -2)
		src/xml/escp2/model/base/sc800.xml (+1, -2)
		src/xml/escp2/model/base/sp700.xml (+1, -2)
		src/xml/escp2/model/base/sp750.xml (+1, -2)
		src/xml/escp2/model/base/sp950.xml (+1, -2)
		src/xml/escp2/model/base/wf7xxx.xml (+1, -2)
		src/xml/escp2/model/model_0.xml (+1, -2)
		src/xml/escp2/model/model_1.xml (+1, -2)
		src/xml/escp2/model/model_10.xml (+1, -2)
		src/xml/escp2/model/model_100.xml (+1, -2)
		src/xml/escp2/model/model_101.xml (+1, -2)
		src/xml/escp2/model/model_108.xml (+1, -2)
		src/xml/escp2/model/model_11.xml (+1, -2)
		src/xml/escp2/model/model_115.xml (+1, -2)
		src/xml/escp2/model/model_121.xml (+1, -2)
		src/xml/escp2/model/model_122.xml (+1, -2)
		src/xml/escp2/model/model_123.xml (+1, -2)
		src/xml/escp2/model/model_13.xml (+1, -2)
		src/xml/escp2/model/model_130.xml (+1, -2)
		src/xml/escp2/model/model_18.xml (+1, -2)
		src/xml/escp2/model/model_2.xml (+1, -2)
		src/xml/escp2/model/model_20.xml (+1, -2)
		src/xml/escp2/model/model_25.xml (+1, -2)
		src/xml/escp2/model/model_26.xml (+1, -2)
		src/xml/escp2/model/model_27.xml (+1, -2)
		src/xml/escp2/model/model_3.xml (+1, -2)
		src/xml/escp2/model/model_32.xml (+1, -2)
		src/xml/escp2/model/model_34.xml (+1, -2)
		src/xml/escp2/model/model_41.xml (+1, -2)
		src/xml/escp2/model/model_47.xml (+1, -2)
		src/xml/escp2/model/model_50.xml (+1, -2)
		src/xml/escp2/model/model_51.xml (+1, -2)
		src/xml/escp2/model/model_52.xml (+1, -2)
		src/xml/escp2/model/model_54.xml (+1, -2)
		src/xml/escp2/model/model_56.xml (+1, -2)
		src/xml/escp2/model/model_57.xml (+1, -2)
		src/xml/escp2/model/model_58.xml (+1, -2)
		src/xml/escp2/model/model_61.xml (+1, -2)
		src/xml/escp2/model/model_62.xml (+1, -2)
		src/xml/escp2/model/model_65.xml (+1, -2)
		src/xml/escp2/model/model_66.xml (+1, -2)
		src/xml/escp2/model/model_68.xml (+1, -2)
		src/xml/escp2/model/model_70.xml (+1, -2)
		src/xml/escp2/model/model_71.xml (+1, -2)
		src/xml/escp2/model/model_72.xml (+1, -2)
		src/xml/escp2/model/model_74.xml (+1, -2)
		src/xml/escp2/model/model_75.xml (+1, -2)
		src/xml/escp2/model/model_76.xml (+1, -2)
		src/xml/escp2/model/model_80.xml (+1, -2)
		src/xml/escp2/model/model_81.xml (+1, -2)
		src/xml/escp2/model/model_82.xml (+1, -2)
		src/xml/escp2/model/model_87.xml (+1, -2)
		src/xml/escp2/model/model_9.xml (+1, -2)
		src/xml/escp2/model/model_91.xml (+1, -2)
		src/xml/escp2/model/model_93.xml (+1, -2)
		src/xml/escp2/model/model_94.xml (+1, -2)
		src/xml/escp2/model/model_95.xml (+1, -2)
		src/xml/escp2/model/model_96.xml (+1, -2)
		src/xml/escp2/model/model_97.xml (+1, -2)
		src/xml/escp2/model/model_98.xml (+1, -2)

	Preliminary: allow non-1/360 base unit.

2018-04-28  <Robert Krawitz>	be853481a678311898f91b44aac7a3b820744a6f

	Lines: +1, -5
	Files:	src/cups/test-rastertogutenprint.in (+1, -3)
		src/testpattern/run-testpattern-2.in (+0, -2)

	Shared builds now work with valgrind

2018-04-26  <Solomon Peachy>	cb627f5a6d35f79f0529eeec79a5351cd3b7eec2

	Lines: +38, -25
	Files:	src/cups/backend_canonselphy.c (+5, -2)
		src/cups/backend_canonselphyneo.c (+4, -1)
		src/cups/backend_common.c (+1, -5)
		src/cups/backend_dnpds40.c (+6, -4)
		src/cups/backend_magicard.c (+7, -5)
		src/cups/backend_mitsu70x.c (+11, -6)
		src/cups/backend_shinkos1245.c (+4, -2)

	dyesub: backend: Fix a pile of cppcheck-discovered problems.

	 * memory leaks in error paths
	 * not checking some return values
	 * logic bugs in selphy and s1245
	 * format string bugaboos

2018-04-25  <Solomon Peachy>	ff97912013a15f0922e4d1a83b945bf4851b5f03

	Lines: +1392, -1240
	Files:	NEWS (+7, -7)
		src/cups/Makefile.am (+1, -1)
		src/cups/backend_canonselphy.c (+132, -75)
		src/cups/backend_canonselphyneo.c (+17, -11)
		src/cups/backend_citizencw01.c (removed -909)
		src/cups/backend_common.c (+72, -35)
		src/cups/backend_common.h (+5, -4)
		src/cups/backend_dnpds40.c (+345, -47)
		src/cups/backend_kodak1400.c (+14, -9)
		src/cups/backend_kodak605.c (+11, -6)
		src/cups/backend_kodak6800.c (+13, -7)
		src/cups/backend_magicard.c (+109, -13)
		src/cups/backend_mitsu70x.c (+21, -14)
		src/cups/backend_mitsu9550.c (+496, -44)
		src/cups/backend_mitsup95d.c (+69, -9)
		src/cups/backend_shinkos1245.c (+12, -7)
		src/cups/backend_shinkos2145.c (+19, -17)
		src/cups/backend_shinkos6145.c (+13, -8)
		src/cups/backend_shinkos6245.c (+12, -7)
		src/cups/backend_sonyupdr150.c (+13, -8)
		src/cups/blacklist (+11, -2)

	dysub: backend:  Resync with upstream.

	 * report unique "backend name" for each distinct supported model
	   * still supports old names for backwards-compatibility
	 * Major enhancements for Mitsubishi CP-98xx
	 * Merge CW-01 backend into core CNP/Citizen backend
	 * Minor fixes and improvements

2018-04-25  <Solomon Peachy>	360a4f435c3551f705a26a7e537aac764e4e69b1

	Lines: +24, -3
	Files:	src/main/print-dyesub.c (+24, -3)

	dyesub: cw01: Support emitting native command stream

	This brings it into line with the other Citzen and DNP models.

2018-04-24  <Robert Krawitz>	f182b5c4c6360947b84f196d86873a2fc90155f1

	Lines: +34, -20
	Files:	scripts/build-release (+34, -20)

	Check for tag presence after doing the build.

	Other git checks are not version-specific.

2018-04-24  <Robert Krawitz>	b95af8c15f0bc2b6bda1c1d11f95e9bac84fb853

	Lines: +1, -1
	Files:	test/test-curve.in (+1, -1)

	Don't redirect Valgrind log.

2018-04-24  <Robert Krawitz>	87a8bcfb02dcf30eb2b35975cb84a6eb3191ecc0

	Lines: +103, -11
	Files:	configure.ac (+1, -0)
		src/main/curve.c (+5, -0)
		test/Makefile.am (+4, -2)
		test/curve.c (+23, -9)
		test/test-curve.in (added +70)

	Fix memory leak in curve error path

2018-04-23  <Robert Krawitz>	e91649a1a8afd45cc653a7ef7be78e9087669c36

	Lines: +13, -10
	Files:	configure.ac (+0, -2)
		scripts/{build-release.in => build-release} (+13, -8)
		scripts/{count-cpus.in => count-cpus} (+0, -0)

	Allow build-release to run in clean sandbox

2018-04-23  <Robert Krawitz>	b8e6e7beba1865f9ad6fee3840acf768c2e0cfe4

	Lines: +67, -30
	Files:	scripts/build-release.in (+58, -26)
		scripts/count-cpus.in (+6, -3)
		scripts/gversion.in (+3, -1)

	Allow build-release to run on a clean sandbox

2018-04-23  <Solomon Peachy>	25105bc381d25722cac0bc5440391fafa188e265

	Lines: +87, -28
	Files:	src/main/print-dyesub.c (+87, -28)

	dyesub: Continue migrating mitsu 98xx family to fancier backend.

2018-04-23  <Solomon Peachy>	d2a298ca41dde75b0b8b53fdbf57bfc1b9b7cbee

	Lines: +3, -6
	Files:	src/main/print-dyesub.c (+3, -6)

	dyesub:  Fix buffer overflow in 16bpp printers (mitsu 98xx)

2018-04-21  <Robert Krawitz>	db35518aa023154aed106d344b4145e9ca3ac95b

	Lines: +4, -4
	Files:	scripts/build-release.in (+4, -4)

	Do preliminary build early

2018-04-21  <Robert Krawitz>	660e1d63e5047bf8ba351dc0a4074677d567c877

	Lines: +1, -1
	Files:	include/gutenprint/types.h (+1, -1)

	Fix typo in doxygen comment

2018-04-21  <Robert Krawitz>	c98b62777238f698409144288d37769d95f96455

	Lines: +5, -1
	Files:	scripts/mkgitlog.in (+5, -1)

	Ignore all whitespace changes in change computation

2018-04-21  <Robert Krawitz>	015857514ea6446f12684a7c62c01be7eac13ac4

	Lines: +1, -1
	Files:	scripts/mkgitlog.in (+1, -1)

	Ignore whitespace-only changes in line calculation.

2018-04-21  <Robert Krawitz>	c6642d7befc5e262e205685a0fca2c3b346116b3

	Lines: +4, -3
	Files:	scripts/mkgitlog.in (+4, -3)

	Remove .po and cached changelog file noise from change log

2018-04-21  <Robert Krawitz>	0cb9dd60e529f06033a3eabf71fa819fb6254919

	Lines: +37, -23
	Files:	NEWS (+18, -5)
		README (+19, -18)

	Bump version.

2018-04-21  <Robert Krawitz>	c2ed4c6acb6c2b9f21ac0bc4c4ebefe4df4135f5

	Lines: +23, -38
	Files:	Makefile.am (+6, -4)
		scripts/build-release.in (+2, -10)
		src/cups/test-rastertogutenprint.in (+1, -7)
		src/testpattern/run-testpattern-1.in (+4, -4)
		src/testpattern/run-testpattern-2.in (+5, -8)
		src/testpattern/run-testpattern.in (+4, -4)
		test/run-testdither.in (+1, -1)

	Make valgrind play nice with non-static builds

2018-04-21  <Robert Krawitz>	c349a45281a84eddf1fb4b88894f3b84f31c6211

	Lines: +1, -1
	Files:	configure.ac (+1, -1)

	Bump version

2018-04-21  <Robert Krawitz>	3fa178079f1390d48cc39e05897e2a35ebbfa8a4

	Lines: +21, -8
	Files:	configure.ac (+1, -1)
		src/testpattern/run-testpattern-2.check.in (+6, -1)
		src/testpattern/run-testpattern-2.in (+14, -6)

	Testing enhancement: run some checks at full page size

2018-04-21  <Robert Krawitz>	2709aa9a395e14a3544d1a6d27c1b9d478693966

	Lines: +10, -0
	Files:	src/main/print-color.c (+10, -0)

	Print a usefiul error message if bad parameters are passed to

	color init

2018-04-20  <Solomon Peachy>	4d6ee9630e836298b228f7c01671c65b82ff056b

	Lines: +1, -3
	Files:	src/main/print-dyesub.c (+1, -3)

	dyesub:  Fix regression on the Mitsubishi CP98xx family.

2018-04-20  <Robert Krawitz>	99a5cb8bd5c1597d751c765b926901713dcb790e

	Lines: +14, -2
	Files:	scripts/autogen.sh (+14, -2)

	Create stp_release.m4 prior to autoreconf.

2018-04-20  <Robert Krawitz>	ee6dbe7eac3625bc4bc4a3bf98eaa3c5d9d7a599

	Lines: +10, -9
	Files:	src/main/print-dyesub.c (+10, -9)

	Fix seg faults in Magicard Tango driver

2018-04-18  <Solomon Peachy>	73d50057ec4291fc376d2aac5b2a552e29568d21

	Lines: +66, -7
	Files:	src/main/print-dyesub.c (+66, -7)

	dyesub:  mitsu98xx:  Support pushing gamma & matte into backend.

	Code is disabled at the moment, pending testing on real hardware.

	Also, wrap all non-8bpp code in the same ifdefs, so it can be nuked once
	the 98xx code no longer uses it.

	(That non-8bpp stuff was a ton of work.  It's a shame to see it go..)

2018-04-18  <Solomon Peachy>	a4ce002fb79cd44524c25d1ebd8a6b5f32a3e204

	Lines: +1, -1
	Files:	src/main/print-dyesub.c (+1, -1)

	dyesub:  Fix incorrect 'Fine' printing on Mitsu 9800/9810

2018-04-17  <Solomon Peachy>	bdf7edde3dae31dd18afa9e50e249e2e2b1af120

	Lines: +9, -0
	Files:	src/main/print-dyesub.c (+9, -0)

	dyesub:  Do not use App Gamma correction for 8bpp dyesubs.

	A straight port of the Color PCL patch.

2018-04-14  <Solomon Peachy>	80e8ae1c3764bd1791c506e5f835b8a17fb8c198

	Lines: +1, -1
	Files:	src/cups/rastertogutenprint.c (+1, -1)

	Revert "rastertoprinter:  Properly initialize printer defaults."

	This reverts commit 7db5948b57de48450b82cfe27f57aebcf31a9a4f.

2018-04-11  <Solomon Peachy>	6317585a5ac40a8f28eda8c617e71548201dd498

	Lines: +4, -3
	Files:	src/main/print-dyesub.c (+4, -3)

	dyesub:  Fix a build warning that shows up on ARMv7 CPUs.

	 (A cast increased alignment requirements.  There are a bunch of others
	  elsewhere in the gutenprint code..)

2018-04-08  <Solomon Peachy>	a8607fa4b6cd4f35017b65361cab2b8a83464630

	Lines: +63, -37
	Files:	src/main/print-pcl.c (+63, -37)

	pcl:  Support printer-generated copies

	It's a core feature for PCL5, HPGL/2 and HP-RTL, so all models that
	support one of them got enabled.

	Basically, LaserJet 3 and newer, all DesignJets, all DPL printers, and
	just two DeskJet models.  (There may be more..)

2018-04-08  <Solomon Peachy>	fb14acaa572a3d26d6a1a6ba8c7677bd780f343c

	Lines: +165, -160
	Files:	src/main/print-dyesub.c (+165, -160)

	dyesub:  Internally rename 'laminate' to 'overcoat'

	Needed because the latter is more accurate, and some printers do both.

	The external option name remains 'Laminate' for backwards compatibility.

	Also renamed the Magicard 'OvercoatDuplex' option to 'LaminateDuplex' so
	that it's in sync with the mis-named 'Laminate' option.

	In a subsequent commit I will add a new option, probably 'TrueLaminate'
	for a printer that supports both Overcoat and Lamination.

2018-04-04  <Solomon Peachy>	c9dc12d29859a9c6e49c364f7cfcefa7dff4eead

	Lines: +169, -164
	Files:	src/cups/genppd.c (+4, -2)
		src/main/print-dyesub.c (+62, -56)
		src/xml/printers/dyesub.xml (+103, -106)

	dyesub:  Pull the 'NativeCopies' parameter from XML into C

2018-04-01  <Robert Krawitz>	22e46057b54d4acf1d30813f6a56b0bd4bb3b949

	Lines: +3, -3
	Files:	scripts/autogen.sh (+3, -3)

	m4local needs to exist prior to autoreconf.

2018-03-25  <Robert Krawitz>	0bd090d41be4f427f0ecce6edf14aa2b173b97c8

	Lines: +59, -57
	Files:	.gitignore (+59, -57)

	Clean up the exclude list

2018-03-25  <Robert Krawitz>	47a9c2eed5d83d762aba3ccbbbbd2687c6d7d4a5

	Lines: +134, -39
	Files:	Makefile.am (+1, -1)
		scripts/Makefile.am (+1, -0)
		scripts/build-release.in (+25, -8)
		src/cups/test-ppds.in (+9, -0)
		src/cups/test-rastertogutenprint.check.in (+18, -7)
		src/testpattern/Makefile.am (+8, -4)
		src/testpattern/run-testpattern-1.in (+6, -1)
		src/testpattern/run-testpattern-2.check.in (+27, -16)
		src/testpattern/run-testpattern-2.in (+3, -1)
		src/xml/printers/check_duplicate_printers.c (+11, -0)
		test/curve.c (+13, -1)
		test/run-testdither.in (+6, -0)
		test/run-weavetest.in (+6, -0)

	Store actual test logs in log directory and other testing improvements.

	The automake test harness stores test logs in the tree.  During a
	distcheck run, the build tree is deleted after the run, making it
	impossible to review the results.  Also, each run overwrites the
	previous results, which isn't conducive to the multi-step process that
	scripts/build-release does.  Include the checksums in the logs, too.

	Also allow specifying the log directory (via STP_LOG_DIR) to store
	results externally; this would be useful for a containerized test
	where the results are logged to external storage.

2018-03-24  <Robert Krawitz>	5deb047064559af81a8253b42e734b8aa3d197f7

	Lines: +63, -61
	Files:	test/pcl-unprint.c (+63, -61)

	Don't print EOF error if the printer is in safe reset state.

2018-03-25  <Gernot Hassenpflug>	40aa46267eebe7f7d7b1649254b468ad7b7e31a2

	Lines: +1, -3
	Files:	src/main/print-canon.c (+1, -3)

	Corrected ESC (c and ESC (l output for Canon BJC-2100

2018-03-25  <Gernot Hassenpflug>	5ba4b98cb340a5907795fe894993fc0a17e02bfb

	Lines: +14, -1
	Files:	NEWS (+1, -0)
		src/main/canon-printers.h (+1, -1)
		src/main/print-canon.c (+12, -0)

	Corrected ESC (c and ESC (l output for Canon BJC-2100

2018-03-19  <Robert Krawitz>	5607bf0db1f8fcc682701cbe14b5f89bfaf42d33

	Lines: +1, -1
	Files:	scripts/mkgitlog.in (+1, -1)

	Correctly extract tag from message.

2018-03-18  <Robert Krawitz>	9509b61b1f6adeec5fe5fa5871471ba85b586331

	Lines: +1, -0
	Files:	src/cups/genppd.c (+1, -0)

	Need to always include the translation for the default page size.

2018-03-18  <Solomon Peachy>	6b43f0a67edf9a5b946bcc4ccf6c0fdab645b6bc

	Lines: +87, -2
	Files:	src/main/print-dyesub.c (+87, -2)

	dyesub:  magicard:  Improvements for duplex operation

	Side A vs B requires different lamination parameters (type & hole)
	Side B won't ever have magstripe encoding
	Side B won't ever have holokote/holopatch in use

2018-03-17  <Robert Krawitz>	939e31d6186efca394b4b4dcb330e78f6756dcda

	Lines: +7, -1
	Files:	src/main/print-color.c (+4, -1)
		src/main/print-pcl.c (+3, -0)

	Do not use an app gamma correction when printing to color laser

2018-03-16  <Stephen Letter>	e533a5ac637a3ae224c7e2d5f668696744fd93da

	Lines: +1, -1
	Files:	macosx/makegutenpkg.sh (+1, -1)

	Make file system backward compatible for Macintosh

2018-03-07  <Solomon Peachy>	0603a922f53895881a183a14d47916fd18706f3e

	Lines: +36, -3
	Files:	src/cups/backend_common.h (+2, -1)
		src/cups/backend_dnpds40.c (+34, -2)

	dyesub: backend:  Split out Citizen CW-02/OP900II from the CY

2018-03-06  <Robert Krawitz>	0d3c2ed11621eda75742a0e01b747467011702ae

	Lines: +6, -1
	Files:	NEWS (+5, -1)
		src/xml/printers/pcl.xml (+1, -0)

	Add HP LaserJet 5N

2018-03-03  <Solomon Peachy>	9e89d79cf4359deeecd84c157b6a893cb78d62dd

	Lines: +30, -1
	Files:	src/cups/backend_dnpds40.c (+4, -0)
		src/main/print-dyesub.c (+26, -1)

	dyesub:   Additional print sizes for DS40 and DS620

	DS40: (3.5x5*2) (6x6) (6x6+2x6)  Requires FW >=1.60
	DS620: (5x5+2x5)

2018-03-03  <Solomon Peachy>	f59897c2aa4ae3063c8d65e3cf13cd5b43fb27e5

	Lines: +4, -0
	Files:	src/main/print-dyesub.c (+4, -0)

	dyesub:  Fix RX1 square size generation.

2018-02-28  <Solomon Peachy>	73fde56ba73a0fa9b33078f12ec7b936d8392d92

	Lines: +23, -1
	Files:	src/cups/backend_dnpds40.c (+23, -1)

	dyesub: backend:  Try to detect non-HS media used in an RX1HS

	And throw an error (stopping the queue) if this occurs..)

2018-02-28  <Solomon Peachy>	a3fd6fd9c61bc5fb750facb0379ea64575af0456

	Lines: +5, -3
	Files:	src/xml/printers/dyesub.xml (+5, -3)

	dyesub: xml:  Re-order the Citizen models, add CX-02 and CY-02.

2018-02-24  <Robert Krawitz>	066313fe07e89e47fe0fa0637eaa9ea941312a49

	Lines: +16, -17
	Files:	src/main/color-conversions.c (+16, -17)

	Fix {cmyk,kcmy}=>rgb conversion.

2018-02-22  <Robert Krawitz>	d87b0c338cd0ddeb51ad17dbc2cfabebe058c7ae

	Lines: +3, -0
	Files:	src/main/print-pcl.c (+3, -0)

	Don't apply HSL curves to color laser printers.

2018-02-22  <Solomon Peachy>	fe861e6d5c526df77943e671d94760604259dd02

	Lines: +24, -7
	Files:	NEWS (+2, -1)
		src/cups/backend_dnpds40.c (+11, -5)
		src/cups/blacklist (+4, -1)
		src/main/print-dyesub.c (+7, -0)

	dyesub:  DNP DS-RX1 and Citizen CY-02 gain support for square prints.

	(Requires Firmware 2.06 or newer)

2018-02-06  <Robert Krawitz>	b310d7716dbc87ce299ef7c1bb9e6c4be5c0eeec

	Lines: +79, -73
	Files:	configure.ac (+1, -0)
		src/cups/Makefile.am (+6, -2)
		src/cups/test-rastertogutenprint.check.in (added +52)
		src/cups/test-rastertogutenprint.in (+1, -44)
		src/testpattern/Makefile.am (+0, -3)
		src/testpattern/run-testpattern-2.check.in (+19, -24)

	Reduce the number of test cases in full mode.

	For test-rastertogutenprint, run all printers with fast options; run
	distinct printers only with full options.

	For run-testpattern-2, run all printers with fast options and
	minimal cases; run distinct printers only with full options.

2018-02-06  <Robert Krawitz>	c813f14f820e6697e96db2f066aa9dd7a422f47b

	Lines: +544, -6
	Files:	.gitignore (+1, -0)
		Makefile.am (+6, -0)
		configure.ac (+2, -1)
		scripts/Makefile.am (+12, -5)
		scripts/build-release.in (added +523)

	First cut at build-release script

2018-02-04  <Robert Krawitz>	1ebdc886cd827f02464da4c521cade7e560caf4e

	Lines: +3, -0
	Files:	scripts/autogen.sh (+3, -0)

	Make sure all of the auto* bits are up to date.

2018-02-04  <Robert Krawitz>	566836393b9304a5a416413327d0371af32d170b

	Lines: +5, -4
	Files:	configure.ac (+5, -2)
		src/cups/test-rastertogutenprint.in (+0, -2)

	Add some more printers to the minimal test.

	Allow all PPD files to be created in minimal mode because we
	don't know which exact printers will be tested.

2018-02-03  <Solomon Peachy>	ef301e325c914e456732865ef60ba3c8baa9cd6e

	Lines: +8, -3
	Files:	Makefile.am (+2, -2)
		configure.ac (+5, -0)
		m4/stp_cups.m4 (+1, -1)

	build:  Allow make distcheck and non-distcheck builds to work

	make distcheck now sets:

	    DISTCHECK_CONFIGURE_FLAGS=NO_PKGCONFIG_PATHS=1

	And the various autoconf macros key off of that to generate paths using
	$prefix (etc) instead of relying on pkgconfig output.

	Passes make distcheck-minimal and normal builds, with and without --prefix

2018-02-03  <Solomon Peachy>	916e0a071be4274a7615daba81b52c480d101d2b

	Lines: +4, -6
	Files:	configure.ac (+0, -3)
		m4/stp_cups.m4 (+4, -3)

	build:  Fix default cups_exec_prefix setting.

2018-02-02  <Solomon Peachy>	6c0771f9c12e0a60cb8e73a5cd133a0a876a8036

	Lines: +35, -45
	Files:	src/main/print-dyesub.c (+35, -45)

	dyesub:  get rid of floating-point "interpolation"

	Yields a 4% performance improvement on my underpowered RPi2.

	For some reason exactly one printer (mitsu cp9500) shows a
	regression, but only at its higher resolution mode.

2018-02-02  <Solomon Peachy>	dc3f6e7e4cf5b5b3af0a308da06dcd7b99511eb6

	Lines: +80, -16
	Files:	src/main/print-dyesub.c (+80, -16)

	dyesub:  split out render_row into packed / interlaced functions.

	No real performance improvement from this, but it sets the stage for
	later work.

2018-02-02  <Solomon Peachy>	3b7a10646e6f4f29df52372cd5763e9f83a6feab

	Lines: +10, -126
	Files:	src/main/print-dyesub.c (+10, -126)

	dyesub:  Get rid of the D70 family's native 16bpp mode.

	...It never generated usable output anyway.

2018-02-01  <Solomon Peachy>	873a062bac73d7dbceb0f450179fbd8c3c047978

	Lines: +18, -56
	Files:	configure.ac (+18, -14)
		m4/stp_gimp.m4 (removed -39)
		src/gimp2/Makefile.am (+0, -3)

	build:  Fix gimp2 plugin installation

	 * rearrange order of evaluation
	 * respect 'install in user directory'
	 * always use gimp-tool to determine paths

2018-01-30  <Solomon Peachy>	301da605482b25e338cae88e4ea0c17c7b10b707

	Lines: +41, -87
	Files:	configure.ac (+23, -11)
		m4/stp_cups.m4 (+15, -48)
		m4/stp_gimp.m4 (+2, -27)
		src/gimp2/Makefile.am (+1, -1)

	build:   Fix up CUPS and GIMP m4 macros.

	 * Allow cups-config to be overridden at configure time
	 * Don't use $prefix when inappropriate
	 * properly handle $prefix = NONE when figuring out cups_prefix
	 * base cups_prefix/cups_exec_prefix on prefix and exec_prefix.
	 * call STP_CUPS_PATH before STP_CUPS_LIBS
	 * get rid of STP_CUPS_PROGS due to apparent uselessness
	 * allow all cups_config derived things to be overridden
	 * get rid of unused gimp m4 macro

2018-01-28  <Solomon Peachy>	d2ef6bda4e2ceac0bb9ac06613ea861b1d982eb8

	Lines: +45, -6
	Files:	NEWS (+5, -1)
		src/cups/backend_canonselphyneo.c (+36, -4)
		src/cups/blacklist (+3, -0)
		src/xml/printers/dyesub.xml (+1, -1)

	dyesub:  backend:  Add USB PID for Canon SELPHY CP1300

	Mark the printer as non-experimental too

2018-01-27  <Robert Krawitz>	e139e83efce35d212cbea0ce7e0be398a343fe37

	Lines: +62, -17
	Files:	Makefile.am (+3, -0)
		configure.ac (+8, -0)
		src/cups/test-rastertogutenprint.in (+39, -10)
		src/testpattern/run-testpattern-2.check.in (+12, -7)

	Fix valgrind issue in CUPS test; add check-valgrind-minimal test.

2018-01-27  <Robert Krawitz>	b4bcde6b270d9e4ad759149d9777bd1ae64bae12

	Lines: +172, -153
	Files:	Makefile.am (+8, -2)
		configure.ac (+1, -0)
		m4/stp_cups.m4 (+3, -3)
		src/cups/Makefile.am (+34, -31)
		src/cups/test-ppds.in (+25, -13)
		src/cups/test-rastertogutenprint.in (+11, -3)
		src/testpattern/Makefile.am (+10, -16)
		src/testpattern/run-testpattern-2.check.in (added +80)
		src/testpattern/run-testpattern-2.checksums (removed -17)
		src/testpattern/run-testpattern-2.fast (removed -20)
		src/testpattern/run-testpattern-2.full (removed -19)
		src/testpattern/run-testpattern-2.valgrind (removed -29)

	More testing improvements:

	- Reduce the proliferation of test scripts, particularly in src/testpattern.

	- Parallelize test execution.

	- Run test-ppds with a custom ppd directory so it doesn't clash with
	  test-rastertogutenprint.

	- Attempt to fix CUPS M4 prefix generation.

2018-01-25  <Robert Krawitz>	798142e3aa72a2a6bf22657706612e199fea020e

	Lines: +0, -1
	Files:	src/testpattern/printer_options.c (+0, -1)

	Remove spurious output.

2018-01-25  <Robert Krawitz>	5eb04de3097d9453910b37fd0d969f20ae9bf5bd

	Lines: +1, -0
	Files:	src/cups/test-ppds.in (+1, -0)

	Reduce parallelism in fast case to take better advantage of

	more CPUs.

2018-01-25  <Robert Krawitz>	4f2efd514dd868b09a31462f55f2227e2dda8003

	Lines: +2, -12
	Files:	Makefile.am (+2, -12)

	Make dist-time-check more permissive; configure.ac merely

	needs to be no newer than configure.

2018-01-25  <Robert Krawitz>	6303fdb4482a188d1800abafdb4b08a80c14b480

	Lines: +6, -2
	Files:	m4/stp_cups.m4 (+6, -2)

	Fix CUPS prefix test

2018-01-25  <Solomon Peachy>	7b71c66b52636dea96631030895275d9a7303bd5

	Lines: +41, -46
	Files:	src/main/print-dyesub.c (+41, -46)

	dyesub: Split up dyesub_render_pixel() into optimized chunks

	* render_pixel_u8
	* render_pixel_u16
	* render_pixel_packed

	  Also replaced its memcpy()s with assignments.

	With my worst-case 8x12 @600dpi test print, this yield a 23% improvement
	in rastertogutenprint runtime on a RPi2 (6.60s->5.05s)

	Further optimizations are possible, including possibly an optimized
	render_row()

2018-01-24  <Robert Krawitz>	f390e0cd67808314336469b733f69c2ecf701f62

	Lines: +94, -292
	Files:	Makefile.am (+4, -28)
		configure.ac (+29, -6)
		doc/Makefile.am (+9, -3)
		doc/developer/Makefile.am (+1, -1)
		doc/users_guide/Makefile.am (+2, -2)
		m4/gimp.m4 (removed -211)
		m4/stp_cups.m4 (+4, -4)
		m4/stp_gimp.m4 (+2, -2)
		scripts/autogen.sh (+3, -1)
		scripts/global.mk (+0, -5)
		src/cups/Makefile.am (+27, -26)
		src/cups/test-ppds.in (+9, -2)
		src/testpattern/Makefile.am (+1, -0)
		src/xml/Makefile.am (+1, -1)
		src/xml/printers/Makefile.am (+1, -0)
		test/Makefile.am (+1, -0)

	Allow full out of tree build and make distcheck

2018-01-24  <Robert Krawitz>	4616d3beab2b31be385526efd0d7aa3774b31b54

	Lines: +3, -2
	Files:	include/gutenprint/refcache.h (+3, -2)

	Fix documentation.

2018-01-24  <Robert Krawitz>	c9e8334835962fba1dfd5f51a82a361946117f56

	Lines: +1, -1
	Files:	src/xml/printers/Makefile.am (+1, -1)

	Fix test case name.

2018-01-24  <Robert Krawitz>	247d0e205f62a2a0b58a38697a51072c7b1f7d68

	Lines: +9, -1
	Files:	src/testpattern/run-testpattern-2.valgrind (+9, -1)

	Add bjc-s200 to the selective list of printers thoroughly tested in valgrind.

	Add comment explaining why low resolution/small paper size is a good
	test case in and of itself.

2018-01-22  <Robert Krawitz>	a67425ae61d30619b5287e59446be6bfc1084e4c

	Lines: +13, -9
	Files:	src/main/module.c (+6, -4)
		src/main/print-pcl.c (+7, -5)

	Clean up some compilation warnings

2018-01-21  <Robert Krawitz>	0809b235283d0b2333300de7f49160d794f32c71

	Lines: +1, -1
	Files:	include/gutenprint/refcache.h (+1, -1)

	Fix declaration of stp_refcache_list_cache_items

2018-01-21  <Robert Krawitz>	c1c06d9abf26fc71482786389c4689ac505efb88

	Lines: +25, -6
	Files:	include/gutenprint/util.h (+1, -0)
		src/main/gutenprint-internal.h (+3, -0)
		src/main/print-dyesub.c (+5, -5)
		src/main/print-ps.c (+1, -1)
		src/main/print-util.c (+13, -0)
		src/testpattern/run-testpattern-2.checksums (+2, -0)

	Force timestamps to the epoch for checksum comparison.

2018-01-21  <Robert Krawitz>	4742312909e0d08a4776483059a68b813cb38a37

	Lines: +66, -63
	Files:	src/main/bit-ops.c (+66, -63)

	Cleanup, tested via checksums.

2018-01-21  <Robert Krawitz>	624dd33e9bc3d2c69f785f7124443c4666ada373

	Lines: +1, -1
	Files:	src/main/print-canon.c (+1, -1)

	Use TIFF memory allocation function since canon_compress_data

	later uses TIFF compression internally.

2018-01-21  <Robert Krawitz>	719a4cef5222359923fc4a01de41412c0378f7e1

	Lines: +1, -0
	Files:	src/main/channel.c (+1, -0)

	Initialize uninitialized variable.

2018-01-21  <Robert Krawitz>	a873d7b9c5e2ab59ca2878fa04ef68af3a765925

	Lines: +12, -2
	Files:	src/cups/test-rastertogutenprint.in (+12, -2)

	Allow specifying multiple levels of verbosity (skip the

	DEBUG2 and progress messages with just -V).

2018-01-21  <Robert Krawitz>	ea8045db0813b77dbf4f2a2d52b2aea39d6cdf1c

	Lines: +1, -1
	Files:	src/cups/rastertogutenprint.c (+1, -1)

	Suppress INFO and ATTR messages only when suppressing verbose messages.

2018-01-21  <Robert Krawitz>	3bc868ee5db8057d3e8310bb0b7ce2203cc980c4

	Lines: +21, -8
	Files:	src/testpattern/run-testpattern-2.in (+21, -8)

	Allow specifying printers by <model_family> notation.

2018-01-19  <Robert Krawitz>	5ed53ec8103d4564ead0a8c613d2e5b3ca1baf91

	Lines: +5, -0
	Files:	.gitignore (+5, -0)

	Some more things to ignore.

2018-01-19  <Robert Krawitz>	ea725a7490f6996a948359507f036f3319ace5b4

	Lines: +24, -22
	Files:	src/testpattern/run-testpattern-2.in (+24, -22)

	Change the granularity of parallelism from printer to test case.

	This reduces the variation between parallel jobs, improving
	performance some.

2018-01-19  <Robert Krawitz>	21d458c6de70b0502c8d6c9a1c62d732cc18791c

	Lines: +9, -23
	Files:	src/cups/rastertogutenprint.c (+7, -9)
		src/gutenprintui2/panel.c (+1, -1)
		src/main/print-canon.c (+0, -1)
		src/main/print-dyesub.c (+0, -3)
		src/main/print-escp2.c (+1, -4)
		src/main/print-lexmark.c (+0, -2)
		src/main/print-pcl.c (+0, -1)
		src/main/print-ps.c (+0, -1)
		src/main/print-raw.c (+0, -1)

	Remove unneeded calls to stp_verify and stp_prune_inactive_options.
	These calls add small but not entirely negligible overhead, particularly
	at low quality settings.

2018-01-19  <Robert Krawitz>	f1d2b3d61466c719efeb84f4a8a3bbb34c4c8c6a

	Lines: +3, -3
	Files:	src/main/print-weave.c (+3, -3)

	Eliminate some unnecessary calls to retrieve metadata.

2018-01-19  <Robert Krawitz>	578ad42323f81c8a486d7dd03ec56423a115a33e

	Lines: +533, -337
	Files:	src/main/channel.c (+59, -51)
		src/main/color-conversions.c (+472, -286)
		src/main/print-color.c (+2, -0)

	Performance improvements in color/channel code.

	Speed up some of the inner loops in the color conversion.

	Don't unnecessarily recompute the zero mask in the channel code at the end.

	Don't compute the GCR curve if it's trivial.

	Improve debuggability of color and channel code.

2018-01-19  <Robert Krawitz>	a15d64449e8413e87cec4a1f83c7908996350e71

	Lines: +16, -0
	Files:	src/main/print-escp2.c (+16, -0)

	Substitute CMYK ink if user tries to print BW with ink sets

	that don't contain black ink.

2018-01-19  <Robert Krawitz>	f2cd27e6c8073e8db12d77a52df17ff2c4368896

	Lines: +46, -12
	Files:	src/testpattern/run-testpattern-2.checksums (+4, -2)
		src/testpattern/run-testpattern-2.fast (+4, -0)
		src/testpattern/run-testpattern-2.full (+2, -0)
		src/testpattern/run-testpattern-2.in (+31, -10)
		src/testpattern/run-testpattern-2.valgrind (+5, -0)

	Add coverage for input modes

2018-01-16  <Robert Krawitz>	f37915d4b58dbcc827f410725030965b7dacdff0

	Lines: +2, -0
	Files:	src/cups/test-rastertogutenprint.in (+2, -0)

	Test only 2 pages rather than 3 with valgrind and fast tests in CUPS.
	There is additional code tested in multiple page testing that is not
	tested with single page, so there's still some value in this.

2018-01-16  <Robert Krawitz>	7e9f05bea5f53fe50b0d3532b7b7ec8d8d8cb7a9

	Lines: +112, -17
	Files:	src/main/gutenprint-internal.h (+4, -0)
		src/main/module.c (+1, -0)
		src/main/printers.c (+70, -16)
		src/xml/printers/Makefile.am (+7, -1)
		src/xml/printers/check_duplicate_printers.c (added +30)

	Speed up duplicate printer checking by doing it on sorted data
	after loading all printers.  Also add a check for this to compile-time.

2018-01-14  <Robert Krawitz>	06b856c25a85847717dfe1bfac4d94504efd649a

	Lines: +79, -12
	Files:	src/main/curve.c (+69, -9)
		src/main/sequence.c (+10, -3)

	Improve performance of curve resample

2018-01-14  <Robert Krawitz>	80ef6e660d92d7441b1b2a2d6b2b42e8874f4c3b

	Lines: +2, -2
	Files:	src/testpattern/run-testpattern-2.fast (+2, -2)

	Fast test should accept command line arguments.

2018-01-14  <Robert Krawitz>	9f1dd3d0b9a1e68f2ec379220c9e328feb169ca5

	Lines: +1, -6
	Files:	src/main/printers.c (+1, -6)

	Improve verify checking

2018-01-14  <Robert Krawitz>	58e1340e55efa16d0bef0a8ace5f11055ffcbf56

	Lines: +38, -33
	Files:	src/main/print-list.c (+38, -33)

	Improve element cache behavior.

2018-01-13  <Robert Krawitz>	2c43782789be856182d4b8896a05779f9fa053e6

	Lines: +159, -57
	Files:	include/gutenprint/vars.h (+7, -0)
		src/cups/rastertogutenprint.c (+3, -5)
		src/main/gutenprint-internal.h (+1, -2)
		src/main/libgutenprint.sym (+102, -6)
		src/main/print-canon.c (+12, -12)
		src/main/print-canon.h (+2, -2)
		src/main/print-vars.c (+14, -12)
		test/testdither.c (+18, -18)

	Clean up symbol names

2018-01-13  <Robert Krawitz>	aafe8923aa13d77c3edbc832f8bf403a149dc503

	Lines: +109, -140
	Files:	configure.ac (+1, -0)
		src/cups/Makefile.am (+1, -5)
		src/cups/min-pagesize.c (removed -86)
		src/cups/min-pagesize.in (added +42)
		src/cups/test-rastertogutenprint.in (+4, -3)
		src/testpattern/Makefile.am (+4, -0)
		src/testpattern/printers.c (+2, -1)
		src/testpattern/run-testpattern-2.in (+55, -45)

	More performance improvement for check-fast

2018-01-10  <Solomon Peachy>	79ad892b22bfc8467264b60462da7e6b6eafa4a4

	Lines: +3, -3
	Files:	src/cups/backend_shinkos1245.c (+3, -3)

	dyesub: backend:  Fix buffer overflow with S1245 and matte operation.

2018-01-09  <Robert Krawitz>	c252b886b914b2ca9d8a0d39c6bc14efd6a06982

	Lines: +86, -0
	Files:	src/cups/min-pagesize.c (added +86)

	Add missing source file

2018-01-09  <Solomon Peachy>	fc4a20dd4894625dd543eecf45708b8ca4fe87fb

	Lines: +20, -18
	Files:	NEWS (+1, -0)
		src/cups/backend_shinkos1245.c (+17, -16)
		src/xml/printers/dyesub.xml (+2, -2)

	dyesub:  backend:  Bugfixes for the s1245 backend

	Mark S1245 as no longer experimental!

2018-01-09  <Solomon Peachy>	e24562b09197d96b9d6076d20f7269175c066e97

	Lines: +5, -5
	Files:	src/main/print-dyesub.c (+5, -5)

	dyesub:  Shinko S1245 lamination data was incorrectly specified.

2018-01-09  <Solomon Peachy>	0840125d8ecd920e603be7b70b54b090741b43b7

	Lines: +5, -1
	Files:	src/cups/backend_common.c (+5, -1)

	backend:  Don't issue a USB alt_setting if it's not needed.

	Caused a regression on the Shinko S2145

2018-01-07  <Robert Krawitz>	046bb12d0a887403a23f4a10bb508cae6fdf8455

	Lines: +423, -187
	Files:	Makefile.am (+50, -5)
		scripts/count-cpus.in (+6, -0)
		src/cups/Makefile.am (+5, -0)
		src/cups/test-ppds.in (+21, -5)
		src/cups/test-rastertogutenprint.in (+44, -9)
		src/testpattern/Makefile.am (+22, -17)
		src/testpattern/printer_options.c (+72, -107)
		src/testpattern/run-testpattern-1.in (+7, -1)
		src/testpattern/run-testpattern-2.checksums (added +13)
		src/testpattern/run-testpattern-2.fast (added +16)
		src/testpattern/run-testpattern-2.full (added +17)
		src/testpattern/run-testpattern-2.in (+128, -39)
		src/testpattern/run-testpattern-2.valgrind (added +16)
		test/Makefile.am (+0, -2)
		test/run-weavetest.in (+2, -1)
		test/testdither.c (+4, -1)

	More testing improvements

	Reduce the amount of work done by printer_options and run-testpattern-2
	parsing that output.

	Add some more test profiles for run-testpattern-2:

	- make check-fast (fast) runs a quick, minimal test.  It uses VeryFast
	  dithering and lowest resolution and smallest page size for
	  run-testpattern-2 and test-rastertogutenprint.  For test-ppds, it
	  checks only full non-translated PPD files, one per distinct printer
	  model.  It parallelizes.  On Xeon E3-1505M/i7-6820HQ/87-6920HQ:

	  1266.13user 130.63system 3:21.96elapsed 691%CPU

	- make check-full (full) runs the full test, in parallel.  It also
	  tests all page sizes at lowest resolution and Very Fast dithering on
	  all distinct printer models.

	  38101.55user 1341.99system 1:27:20elapsed 752%CPU

	- make check-valgrind (valgrind) runs valgrind.  It tests only
	  distinct printers, using very fast dithering and lowest resolution
	  and smallest page size.

	  19332.97user 194.95system 43:31.85elapsed 747%CPU

	- make check-parallel is currently a synonym for make check-full.

	  38098.75user 1380.92system 1:28:13elapsed 745%CPU

	Change STP_FAST_TEST to STP_TEST_FAST.

	Add STP_TEST_FAMILY to allow restricting testing to one family.

2018-01-05  <Solomon Peachy>	4b2779a629e4aeddb678354fb0969bbd5d3f3dcb

	Lines: +0, -1
	Files:	src/main/print-dyesub.c (+0, -1)

	dyesub:  Eliminate duplicated paper size for 4x6*2 on Mitsu CP-D80DW

2018-01-03  <Robert Krawitz>	b7784b1748c085154e23a31185c108f1b62bed34

	Lines: +95, -95
	Files:	src/xml/printers/pcl.xml (+95, -95)

	Change ricoh-aficio to ricoh-afc for 5.2 compatibility.

2018-01-03  <Solomon Peachy>	a4ee6a0abf508dc185eb83106b5e71179fbef604

	Lines: +6, -4
	Files:	src/main/print-dyesub.c (+6, -4)

	dyesub: magicard:  Bugfixes.

	 * Duplexing was always being turned on
	 * Incorrect image offset being computed
	 * Extraneous ',' in output

2018-01-03  <Solomon Peachy>	4704b573787587f9aa18ea5d547fd82f788bd38e

	Lines: +205, -13
	Files:	src/cups/backend_magicard.c (+205, -13)

	dyesub: backend: magicard:  Add proper gamma correction!

	The values 0,1,2 correspond to none, 2.2, and 1.8 curves.  Not sure if
	this matches the windows drivers output but the results are pretty
	decent.

2018-01-02  <Solomon Peachy>	b8fdb57f5fe50a2edd44d2feac60f5706e1f63d3

	Lines: +51, -21
	Files:	NEWS (+1, -0)
		src/cups/backend_mitsu70x.c (+19, -8)
		src/main/print-dyesub.c (+31, -13)

	dyesub:  Fix 4x6*2 printing on Mitsu D70/D707, Mitsu D80, and Fuji ASK300

	 * D70x/A300 needed the backend to sort of lie at one point
	 * All margins were off

2018-01-02  <Robert Krawitz>	a7075b90baac67c371743be1301ddf2cd88747b1

	Lines: +10, -10
	Files:	src/xml/printers/pcl.xml (+10, -10)

	Fix XML validation problems

2018-01-02  <Robert Krawitz>	bc3c44b55641da925c4f9a800d8bc88172701c45

	Lines: +15, -8
	Files:	scripts/autogen.sh (+15, -8)

	Fix doc tool requirements for developer build

2018-01-02  <Robert Krawitz>	e751066b28c770784a4168664d622cb5ada92185

	Lines: +2, -0
	Files:	NEWS (+1, -0)
		src/xml/printers/pcl.xml (+1, -0)

	Add Canon imageRunner C5030 (tested)

2018-01-01  <Robert Krawitz>	3e76b9adaaa58f54078d68c82aa23291d9dbac5a

	Lines: +2, -1
	Files:	src/cups/test-rastertogutenprint.in (+1, -1)
		src/main/printers.c (+1, -0)

	Correct callgrind option in run-testpattern-2.

	Add note to printers.c that we ned to look at printer list registration
	duplicate checking.

2017-12-31  <Robert Krawitz>	5dc23627c666b5efe01ad38809796379d0d2c1f2

	Lines: +2, -0
	Files:	src/testpattern/run-testpattern-2.in (+2, -0)

	Use very fast dithering and minimum resolution in fast test mode
	in run-testpattern-2.

2017-12-31  <Robert Krawitz>	4424222030d91e8f3f1836c9327cce0c3df8157e

	Lines: +2, -1
	Files:	src/cups/test-rastertogutenprint.in (+2, -1)

	Use very fast dithering in fast test.

2017-12-31  <Robert Krawitz>	06121dd4b1d96c1c30272f668ab0210f65e5109e

	Lines: +86, -10
	Files:	Makefile.am (+6, -0)
		configure.ac (+1, -0)
		scripts/Makefile.am (+2, -1)
		scripts/count-cpus.in (added +27)
		src/cups/cups-genppd.c (+25, -1)
		src/cups/test-ppds.in (+4, -4)
		src/cups/test-rastertogutenprint.in (+8, -3)
		src/testpattern/run-testpattern-1.in (+4, -0)
		test/Makefile.am (+2, -1)
		test/run-weavetest.in (+4, -0)
		test/testdither.c (+3, -0)

	More testing improvements.

	make fast-check at top level runs the fast test with parallelism
	make full-check at top level similarly runs the full test.

	scripts/count-cpus attempts to count the CPUs in the system for
	auto-parallelization.  Currently likely only supports Linux.

	Mark testdither and run-weavetest as skipped when run under make check
	rather than taking them out (so we know that they are deliberately
	skipped).  Same for run-testpattern-1.in in fast mode, which isn't
	particularly useful.

2017-12-31  <Solomon Peachy>	77f0e64af0418afea568fd8ac10419d514826ce5

	Lines: +72, -45
	Files:	src/cups/backend_mitsu70x.c (+72, -45)

	dyesub: backend:  mitsu70x:  Backend updates

	 * Blocking and non-blocking wakeup support
	 * Better/saner firmware version matching
	 * Tweaks to output for consistency

2017-12-30  <Robert Krawitz>	3458306367db9418b226d6130dda6fb50ec6904f

	Lines: +179, -86
	Files:	src/cups/Makefile.am (+49, -14)
		src/cups/cups-genppd.c (+1, -1)
		src/cups/test-ppds.in (+30, -9)
		src/cups/test-rastertogutenprint.in (+3, -1)
		src/testpattern/run-testpattern-2.in (+4, -0)
		test/Makefile.am (+3, -1)
		test/testdither.c (+89, -60)

	Speed up testing.

	STP_FAST_TEST tests only one printer per model in test-rastertogutenprint
	and run-testpattern-2.

	Remove testdither from the tests; it doesn't actually do any checking
	of any kind.  Also, speed it up in auto mode if anyone really wants it.

	Test both normal and simplified PPD files; omit simplified PPD files
	if STP_FAST_TEST is used.

	Set smaller batch size for test-ppds; we were getting unbalanced
	behavior resulting in about 1 minute tailoff.

	Print progress in test-ppds.

	Add explicit targets for simplified-only PPD files in makefile.

	Change progress reporting to every 100 printers in cups-genppd.c due to
	greater number of printers.

2017-12-30  <Robert Krawitz>	826b2d3b580931606fa9817679a8b15830bdef22

	Lines: +33, -32
	Files:	src/cups/test-rastertogutenprint.in (+33, -32)

	Cleanup output for simplified PPD files

2017-12-30  <Robert Krawitz>	cb7abc4d5df85bd3c9cce30d55698791afb1b2d2

	Lines: +243, -246
	Files:	src/cups/test-rastertogutenprint.in (+243, -246)

	Rewrite in bash.

	Use lowest resolution by default for performance.

	Add -f option.

	Improve performance of -s.

2017-12-30  <Solomon Peachy>	cd7aeb7a6cb829fc355981e79be79d2e8ae08032

	Lines: +1, -0
	Files:	src/xml/printers/pcl.xml (+1, -0)

	Add entry for Brother HL-5340D b&w laser printer

	(personally tested)

2017-12-29  <Robert Krawitz>	85b1b173860315b08e07d0315d945fa4b16ad809

	Lines: +534, -63
	Files:	src/main/printers.c (+2, -1)
		src/xml/printers/pcl.xml (+532, -62)

	Add a mass of more printers from the foomatic database.
	These are all tagged UNTESTED Automatically Generated

2017-12-29  <Robert Krawitz>	6d0a965693fced69f602087d9363cf148ed7852a

	Lines: +126, -25
	Files:	NEWS (+10, -9)
		src/cups/test-rastertogutenprint.in (+100, -15)
		src/main/print-pcl.c (+14, -0)
		src/xml/printers/pcl.xml (+1, -1)
		test/pcl-unprint.c (+1, -0)

	Fix HP Color LJ 5.

	Speed up test-rastertogutenprint by using the lowest resolution possible.

	Minor fix to pcl-unprint.

2017-12-29  <Solomon Peachy>	3dd063030f7a74f4a5c328eeec3e59bd260e5c6b

	Lines: +1, -1
	Files:	src/main/print-dyesub.c (+1, -1)

	dyesub:  Fix crash when using a non-duplex-capable magicard printer.

2017-12-28  <Robert Krawitz>	8a0fa481523230eee3323ae4a9fb34ba708e4507

	Lines: +1, -1
	Files:	src/cups/test-rastertogutenprint.in (+1, -1)

	Correctly handle PPD args on the command line.

2017-12-28  <Robert Krawitz>	4b71c50c9d10e2034ceb65d9dfcb5b1c7d8c4d54

	Lines: +8, -8
	Files:	NEWS (+8, -8)

	Complete editing the NEWS file

2017-12-28  <Robert Krawitz>	493d2ae84a9a6597d3061d885b9dc3d92ef311e0

	Lines: +242, -178
	Files:	NEWS (+50, -17)
		README (+1, -1)
		src/main/print-pcl.c (+5, -5)
		src/main/printers.c (+2, -2)
		src/xml/printers/pcl.xml (+184, -153)

	Add more new printers.

2017-12-28  <Robert Krawitz>	49d283c15f74cbf40451f652fbba95038400df45

	Lines: +10, -10
	Files:	NEWS (+5, -5)
		src/xml/printers/pcl.xml (+5, -5)

	Fix some typos in the updated printer list.

2017-12-28  <Robert Krawitz>	82e7c8aaff48fc783a4871984185a3cc4999698a

	Lines: +318, -21
	Files:	NEWS (+156, -1)
		src/main/printers.c (+9, -0)
		src/xml/printers/pcl.xml (+153, -20)

	Printing verified by Solomon Peachy.

	Fix scaling error if input resolution is higher than output.

	Add list of color laser printers extracted from HPIJS and HPLIP.

	Error out if there are duplicate printers found.

2017-12-28  <Robert Krawitz>	94fc4e99c4d6b2d31af78fe1e25193118e66ddd4

	Lines: +3, -4
	Files:	src/main/print-pcl.c (+3, -4)

	Fix scaling error if input resolution is higher than output.

2017-12-28  <Robert Krawitz>	a04fe7f18399cac4a282ad55cceb88b7d034646d

	Lines: +388, -77
	Files:	include/gutenprint/channel.h (+1, -0)
		src/main/channel.c (+88, -60)
		src/main/color-conversions.c (+27, -0)
		src/main/print-pcl.c (+244, -6)
		src/testpattern/compare-checksums.in (+1, -1)
		src/xml/printers/pcl.xml (+12, -7)
		test/pcl-unprint.c (+15, -3)

	Initial bench-only tested support for color laser printers.

	Add 8-bit output option for channel code.

	Fix reporting bug in compare-checksums.

	Add debug code to color-conversions (print the chosen conversion func)

	Handle multi-band pages in pcl-unprint

2017-12-27  <Robert Krawitz>	13b0b6108e08464a4845595bf51a62d9eebbaf28

	Lines: +472, -77
	Files:	test/pcl-unprint.c (+472, -77)

	Handle color laser printer output (at least in direct pixel mode)

2017-12-18  <Robert Krawitz>	ebd674534d1b2ad4c0807e07e83ab13ff76401e1

	Lines: +2, -2
	Files:	src/main/print-ps.c (+2, -2)

	Correct calling sequence for stpi_get_listed_papersize

	ModelName is not guaranteed to not have non-standard characters.

2017-12-16  <Solomon Peachy>	16f22f11d8c2ffa3c297c8cc46d2416ffc2ea099

	Lines: +39, -3
	Files:	src/main/print-dyesub.c (+38, -2)
		src/xml/printers/dyesub.xml (+1, -1)

	dyesub: magicard:  Duplex support for Tango2E!

	(Note it's untested; my printer's duplexer is busted..)

2017-12-09  <Gernot Hassenpflug>	383e2891f44f6b14cde32f3978dcdf19f2de9aa7

	Lines: +2, -0
	Files:	src/main/print-canon.c (+2, -0)

	Added naming support for Canon PIXMA TR and XK series.

2017-12-08  <Solomon Peachy>	9c73ed7ed33c7e710ac5401235c779a5af76db45

	Lines: +88, -40
	Files:	src/cups/backend_canonselphyneo.c (+2, -2)
		src/cups/backend_dnpds40.c (+2, -2)
		src/cups/backend_mitsu70x.c (+84, -36)

	backends:  Fix fast return mode when multiple copies are in use.

2017-12-08  <Solomon Peachy>	2eb1127131f0cf0012c311235788127fa7de78d6

	Lines: +10, -2
	Files:	NEWS (+4, -0)
		src/main/print-dyesub.c (+6, -2)

	dyesub:  Further improvements to Fujifilm ASK-300

	 * More print sizes
	 * Matte support

2017-12-09  <Gernot Hassenpflug>	cca1ace371902b542d5554cdf8c492c9f8c28a16

	Lines: +6, -0
	Files:	NEWS (+6, -0)

	Improved support for Canon BJC-85 and BJC-1000: updated paper media codes and ESC (l command. Added more resolution modes to BJC-85 (to be tested), corrected available inks.

2017-12-09  <Gernot Hassenpflug>	30c63087dbbe369774f8db068c3425fb0c786e42

	Lines: +88, -15
	Files:	src/main/canon-media-mode.h (+11, -3)
		src/main/canon-media.h (+23, -0)
		src/main/canon-modes.h (+34, -8)
		src/main/canon-printers.h (+3, -3)
		src/main/print-canon.c (+17, -1)

	Improved support for Canon BJC-85 and BJC-1000: updated paper media codes and ESC (l command. Added more resolution modes to BJC-85 (to be tested), corrected available inks.

2017-11-29  <Solomon Peachy>	f477db89a45fbf203c342877f362056a7fa74532

	Lines: +171, -3
	Files:	src/main/print-dyesub.c (+171, -3)

	dyesub:  magicard:  Add ISO 7811-2 magstripe support!

	Open question -- automatically put on the start/end sentinels, or
	require the user to specify them?

2017-11-28  <Solomon Peachy>	c239bde615d488b060060edf8975589c33b5ceae

	Lines: +2, -0
	Files:	src/cups/blacklist (+2, -0)

	dyesub: backend: Add 'Magicard Tango 2E' to the usb blacklist.

2017-11-28  <Solomon Peachy>	733d6178bcb7eba0ddffd88ffe17e55cd442ad7f

	Lines: +60, -4
	Files:	src/cups/backend_magicard.c (+60, -4)

	dyesub:  backend:  Bugfixes and enhancements to magicard backend.

2017-11-27  <Solomon Peachy>	e35e50a4cae6a9785eaa84526ada1766ebdec9f4

	Lines: +32, -4
	Files:	src/main/print-dyesub.c (+32, -4)

	dyesub:  Allow margins to be offset to compensate for media/head alignment.

	The only user is the magicard family, but this could be extended to others.

2017-11-26  <Robert Krawitz>	c6b176c6e7b4ec3cba7a44ca2a872c36341b084b

	Lines: +0, -8
	Files:	src/cups/genppd.c (+0, -8)

	Remove unneeded reference to driver interface from genppd.c

2017-11-26  <Robert Krawitz>	2726fcddcfceb95d26890229695ee3ee677015dc

	Lines: +19, -14
	Files:	Makefile.am (+2, -2)
		scripts/mkgitlog.in (+17, -12)

	Return to 5.2.11 as the changelog baseline.

	Reset the baseline to take advantage of new(er) git log feature of
	detecting renames.

	Don't count changes to .po files (as opposed to add/remove file) toward
	the total changed lines; most of those changes are automatic.

2017-11-25  <Robert Krawitz>	038ccfcef1cfb6a19ff6bd67fb8380357eb3ee8b

	Lines: +526, -1055
	Files:	Makefile.am (+1, -2)
		configure.ac (+2, -4)
		doc/Makefile.am (+1, -2)
		doc/developer/Makefile.am (+1, -2)
		doc/developer/cleanwarnings.pl (+1, -2)
		doc/developer/gpl-appendix.xml (+2, -2)
		doc/developer/gutenprint.xml (+1, -3)
		doc/users_guide/Makefile.am (+1, -2)
		doc/users_guide/gfdl.sgml (+1, -2)
		include/Makefile.am (+1, -2)
		include/gutenprint/Makefile.am (+1, -2)
		include/gutenprint/array.h (+1, -2)
		include/gutenprint/bit-ops.h (+1, -2)
		include/gutenprint/channel.h (+1, -2)
		include/gutenprint/color.h (+1, -2)
		include/gutenprint/curve-cache.h (+1, -2)
		include/gutenprint/curve.h (+1, -2)
		include/gutenprint/dither.h (+1, -2)
		include/gutenprint/gutenprint-intl-internal.h (+1, -2)
		include/gutenprint/gutenprint-intl.h (+1, -2)
		include/gutenprint/gutenprint-module.h (+1, -2)
		include/gutenprint/gutenprint-version.h.in (+1, -2)
		include/gutenprint/gutenprint.h (+1, -2)
		include/gutenprint/image.h (+1, -2)
		include/gutenprint/list.h (+1, -2)
		include/gutenprint/module.h (+1, -2)
		include/gutenprint/paper.h (+1, -2)
		include/gutenprint/path.h (+1, -2)
		include/gutenprint/printers.h (+1, -2)
		include/gutenprint/refcache.h (+1, -2)
		include/gutenprint/sequence.h (+1, -2)
		include/gutenprint/string-list.h (+1, -2)
		include/gutenprint/types.h (+1, -2)
		include/gutenprint/util.h (+1, -2)
		include/gutenprint/vars.h (+1, -2)
		include/gutenprint/weave.h (+1, -2)
		include/gutenprint/xml.h (+1, -2)
		include/gutenprintui2/Makefile.am (+1, -2)
		include/gutenprintui2/curve.h (+1, -3)
		include/gutenprintui2/gammacurve.h (+1, -3)
		include/gutenprintui2/gutenprintui.h (+1, -2)
		m4/stp.m4 (+1, -2)
		m4/stp_cups.m4 (+1, -2)
		m4/stp_gimp.m4 (+1, -2)
		m4/stp_option.m4 (+1, -2)
		m4extra/pkg.m4 (+1, -2)
		m4extra/stp_release.m4.in (+1, -2)
		macosx/scripts/uninstall-gutenprint.command (+1, -2)
		macosx/src/gutenprint.pkg.src/Resources/preflight (+1, -2)
		man/Makefile.am (+1, -2)
		man/cups-calibrate.8.in (+1, -2)
		man/cups-genppd.8.in (+1, -2)
		man/cups-genppdupdate.8.in (+1, -2)
		man/escputil.1.in (+1, -2)
		samples/Makefile.am (+1, -2)
		scripts/Makefile.am (+1, -2)
		scripts/gversion.in (+1, -2)
		scripts/mkgitlog.in (+1, -2)
		scripts/test-gversion.in (+1, -2)
		scripts/wzpaq.in (+1, -2)
		src/Makefile.am (+1, -2)
		src/cups/COPYING (+1, -2)
		src/cups/Makefile.am (+1, -2)
